.if n \{.nr LL +8m
.na \}
.nr PO +0.3i
.so titlepag.ms
.pn 1
.bp
.ta 1.5i 3.0i 4.5i 6.0i 7.5i
\&
.sp 3
.PP
.sp 3
.NH 1
Gnuplot
.sp 1
.LP
.XS
Gnuplot
.XE
.sp 2
.NH 1
Copyright
.sp 1
.LP
.XS
Copyright
.XE
.br
      Copyright (C) 1986 - 1993, 1997   Thomas Williams, Colin Kelley
.br

Permission to use, copy, and distribute this software and its documentation
for any purpose with or without fee is hereby granted, provided that the
above copyright notice appears in all copies and that both that copyright
notice and this permission notice appear in supporting documentation.

Permission to modify the software is granted, but not the right to distribute
the modified code.  Modifications are to be distributed as patches to the
released version.

This software is provided "as is" without express or implied warranty.


.br
      AUTHORS
.br

.br
      Original Software:
.br
.br
         Thomas Williams,  Colin Kelley.
.br

.br
      Gnuplot 2.0 additions:
.br
.br
         Russell Lang, Dave Kotz, John Campbell.
.br

.br
      Gnuplot 3.0 additions:
.br
.br
         Gershon Elber and many others.
.br
.sp 2
.NH 1
Introduction
.sp 1
.LP
.XS
Introduction
.XE
\fBgnuplot\fR is a command-driven interactive function and data plotting program.
It is case sensitive (commands and function names written in lowercase are
not the same as those written in CAPS).  All command names may be abbreviated
as long as the abbreviation is not ambiguous.  Any number of commands may
appear on a line (with the exception that \fBload\fR or \fBcall\fR must be the final
command), separated by semicolons (;).  Strings are indicated with quotes.
They may be either single or double quotation marks, e.g.,

.br
      load "filename"
.br
.br
      cd 'dir'
.br

although there are some subtle differences (see \fBsyntax\fR for more details).

Any command-line arguments are assumed to be names of files containing
\fBgnuplot\fR commands, with the exception of standard X11 arguments, which are
processed first.  Each file is loaded with the \fBload\fR command, in the order
specified.  \fBgnuplot\fR exits after the last file is processed.  When no load
files are named, \fBgnuplot\fR enters into an interactive mode.

Many \fBgnuplot\fR commands have multiple options.  These options must appear in
the proper order, although unwanted ones may be omitted in most cases.  Thus
if the entire command is "command a b c", then "command a c" will probably
work, but "command c a" will fail.

Commands may extend over several input lines by ending each line but the last
with a backslash (\\).  The backslash must be the _last_ character on each
line.  The effect is as if the backslash and newline were not there.  That
is, no white space is implied, nor is a comment terminated.  Therefore,
commenting out a continued line comments out the entire command (see
\fBcomment\fR).  But note that if an error occurs somewhere on a multi-line
command, the parser may not be able to locate precisely where the error is
and in that case will not necessarily point to the correct line.

In this document, curly braces ({}) denote optional arguments and a vertical
bar (|) separates mutually exclusive choices.  \fBgnuplot\fR keywords or \fBhelp\fR
topics are indicated by backquotes or \fBboldface\fR (where available).  Angle
brackets (<>) are used to mark replaceable tokens.

For on-line help on any topic, type \fBhelp\fR followed by the name of the topic
or just \fBhelp\fR or \fB?\fR to get a menu of available topics.

The new \fBgnuplot\fR user should begin by reading about the \fBplot\fR command (if
on-line, type \fBhelp plot\fR).
.sp 2
.NH 1
Seeking-assistance
.sp 1
.LP
.XS
Seeking-assistance
.XE
There is a mailing list for \fBgnuplot\fR users.  Note, however, that the
newsgroup
.br
      comp.graphics.apps.gnuplot
.br
is identical to the mailing list (they both carry the same set of messages).
We prefer that you read the messages through the newsgroup rather than
subscribing to the mailing list.  Administrative requests should be sent to
.br
      majordomo@dartmouth.edu
.br
Send a message with the body (not the subject) consisting of the single word
"help" (without the quotes) for more details.

The address for mailing to list members is:
.br
      info-gnuplot@dartmouth.edu
.br

Bug reports and code contributions should be mailed to:
.br
      bug-gnuplot@dartmouth.edu
.br

The list of those interested in beta-test versions is:
.br
      info-gnuplot-beta@dartmouth.edu
.br

There is also a World Wide Web page with up-to-date information, including
known bugs:
.br
      http://www.cs.dartmouth.edu/gnuplot
.br

Before seeking help, please check the
FAQ (Frequently Asked Questions) list.
If you do not have a copy of the FAQ, you may request a copy by email from
the Majordomo address above, or see the WWW \fBgnuplot\fR page.

When posting a question, please include full details of the version of
\fBgnuplot\fR, the machine, and operating system you are using.  A _small_ script
demonstrating the problem may be useful.  Function plots are preferable to
datafile plots.  If email-ing to info-gnuplot, please state whether or not
you are subscribed to the list, so that users who use news will know to email
a reply to you.  There is a form for such postings on the WWW site.
.sp 2
.NH 1
What's New in version 3.6
.sp 1
.LP
.XS
What's New in version 3.6
.XE
Gnuplot version 3.6 contains many new features.  This section gives a partial
list and links to the new items in no particular order.

1. \fBfit f(x) \&'file\&' via\fR uses the Marquardt-Levenberg method to fit data.
(This is only slightly different from the \fBgnufit\fR patch available for 3.5.)

2. Greatly expanded \fBusing\fR command.  See \fBplot using\fR.

3. \fBset timefmt\fR allows for the use of dates as input and output for time
series plots.  See \fBTime/Date data\fR and
timedat.dem.

4. Multiline labels and font selection in some drivers.

5. Minor (unlabeled) tics.  See \fBset mxtics\fR.

6. \fBkey\fR options for moving the key box in the page (and even outside of the
plot), putting a title on it and a box around it, and more.  See \fBset key\fR.

7. Multiplots on a single logical page with \fBset multiplot\fR.

8. Enhanced \fBpostscript\fR driver with super/subscripts and font changes.
(This was a separate driver (\fBenhpost\fR) that was available as a patch for
3.5.)

9. Second axes:  use the top and right axes independently of the bottom and
left, both for plotting and labels.  See \fBplot\fR.

10. Special datafile names \fB\&'-\&'\fR and \fB""\fR.  See \fBplot special-filenames\fR.

11. Additional coordinate systems for labels and arrows.  See \fBcoordinates\fR.

12. \fBset size\fR can try to plot with a specified aspect ratio.

13. \fBset missing\fR now treats missing data correctly.

14. The \fBcall\fR command: \fBload\fR with arguments.

15. More flexible \fBrange\fR commands with \fBreverse\fR and \fBwriteback\fR keywords.

16. \fBset encoding\fR for multi-lingual encoding.

17. New \fBx11\fR driver with persistent and multiple windows.

18. New plotting styles: \fBxerrorbars\fR, \fBhisteps\fR, \fBfinancebars\fR and more.
See \fBset style\fR.

19. New tic label formats, including \fB"%l %L"\fR which uses the mantissa and
exponents to a given base for labels.  See \fBset format\fR.

20. New drivers, including \fBcgm\fR for inclusion into MS-Office applications
and \fBgif\fR for serving plots to the WEB.

21. Smoothing and spline-fitting options for \fBplot\fR.  See \fBplot smooth\fR.

22. \fBset margin\fR and \fBset origin\fR give much better control over where a
graph appears on the page.

23. \fBset border\fR now controls each border individually.

24. The new commands \fBif\fR and \fBreread\fR allow command loops.

25. Point styles and sizes, line types and widths can be specified on the
\fBplot\fR command.  Line types and widths can also be specified for grids,
borders, tics and arrows.  See \fBplot with\fR.  Furthermore these types may be
combined and stored for further use.  See \fBset linestyle\fR.

26. Text (labels, tic labels, and the time stamp) can be written vertically
by those terminals capable of doing so.
.sp 2
.NH 1
Command-line-editing
.sp 1
.LP
.XS
Command-line-editing
.XE
Command-line editing is supported by the Unix, Atari, VMS, MS-DOS and OS/2
versions of \fBgnuplot\fR.  Also, a history mechanism allows previous commands to
be edited and re-executed.  After the command line has been edited, a newline
or carriage return will enter the entire line without regard to where the
cursor is positioned.

(The readline function in \fBgnuplot\fR is not the same as the readline used in
GNU Bash and GNU Emacs.  If the GNU version is desired, it may be selected
instead of the \fBgnuplot\fR version at compile time.)


The editing commands are as follows:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Character@@Function
_
@@Line Editing
^B@@move back a single character.
^F@@move forward a single character.
^A@@move to the beginning of the line.
^E@@move to the end of the line.
^H, DEL@@delete the previous character.
^D@@delete the current character.
^K@@delete from current position to the end of line.
^L, ^R@@redraw line in case it gets trashed.
^U@@delete the entire line.
^W@@delete from the current word to the end of line.
_
@@History
^P@@move back through history.
^N@@move forward through history.
.TE
.KE
.EQ
delim off
.EN


On the IBM PC, the use of a TSR program such as DOSEDIT or CED may be desired
for line editing.  The default makefile assumes that this is the case;  by
default \fBgnuplot\fR will be compiled with no line-editing capability.  If you
want to use \fBgnuplot\fR\&'s line editing, set READLINE in the makefile and add
readline.obj to the link file.  The following arrow keys may be used on the
IBM PC and Atari versions if readline is used:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Arrow key@@Function
_
Left Arrow@@same as ^B.
Right Arrow@@same as ^F.
Ctrl Left Arrow@@same as ^A.
Ctrl Right Arrow@@same as ^E.
Up Arrow@@same as ^P.
Down Arrow@@same as ^N.
_
.TE
.KE
.EQ
delim off
.EN


The Atari version of readline defines some additional key aliases:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Arrow key@@Function
_
Undo@@same as ^L.
Home@@same as ^A.
Ctrl Home@@same as ^E.
Esc@@same as ^U.
Help@@help plus return.
Ctrl Help@@help .
_
.TE
.KE
.EQ
delim off
.EN

.sp 2
.NH 1
Comments
.sp 1
.LP
.XS
Comments
.XE
Comments are supported as follows: a # may appear in most places in a line
and \fBgnuplot\fR will ignore the rest of the line.  It will not have this effect
inside quotes, inside numbers (including complex numbers), inside command
substitutions, etc.  In short, it works anywhere it makes sense to work.
.sp 2
.NH 1
Coordinates
.sp 1
.LP
.XS
Coordinates
.XE
The commands \fBset arrow\fR, \fBset key\fR, and \fBset label\fR allow you to draw
something at an arbitrary position on the graph.  This position is specified
by the syntax:

.br
      {<system>} <x>, {<system>} <y> {,{<system>} <z>}
.br

Each <system> can either be \fBfirst\fR, \fBsecond\fR, \fBgraph\fR or \fBscreen\fR.

\fBfirst\fR places the x, y, or z coordinate in the system defined by the left
and bottom axes; \fBsecond\fR places it in the system defined by the second axes
(top and right); \fBgraph\fR specifies the area within the axes---0,0 is bottom
left and 1,1 is top right (for splot, 0,0,0 is bottom left of plotting area;
use negative z to get to the base---see \fBset ticslevel\fR); and \fBscreen\fR
specifies the screen area (the entire area---not just the portion selected by
\fBset size\fR), with 0,0 at bottom left and 1,1 at top right.

If the coordinate system for x is not specified, \fBfirst\fR is used.  If the
system for y is not specified, the one used for x is adopted.

If one (or more) axis is timeseries, the appropriate coordinate should
be given as a quoted time string according to the \fBtimefmt\fR format string.
See \fBset xdata\fR and \fBset timefmt\fR.  \fBgnuplot\fR will also accept an integer
expression, which will be interpreted as seconds from 1 January 2000.
.sp 2
.NH 1
Environment
.sp 1
.LP
.XS
Environment
.XE
A number of shell environment variables are understood by \fBgnuplot\fR.  None of
these are required, but may be useful.

If GNUTERM is defined, it is used as the name of the terminal type to be
used.  This overrides any terminal type sensed by \fBgnuplot\fR on start-up, but
is itself overridden by the .gnuplot (or equivalent) start-up file (see
\fBstart-up\fR) and, of course, by later explicit changes.

On Unix, AmigaDOS, AtariTOS, MS-DOS and OS/2, GNUHELP may be defined to be
the pathname of the HELP file (gnuplot.gih).

On VMS, the logical name gnuplot$HELP should be defined as the name of the
help library for \fBgnuplot\fR.  The \fBgnuplot\fR help can be put inside any system
help library, allowing access to help from both within and outside \fBgnuplot\fR
if desired.

On Unix, HOME is used as the name of a directory to search for a .gnuplot
file if none is found in the current directory.  On AmigaDOS, AtariTOS,
MS-DOS and OS/2, gnuplot is used.  On VMS, SYS$LOGIN: is used. See \fBhelp
start-up\fR.

On Unix, PAGER is used as an output filter for help messages.

On Unix, AtariTOS and AmigaDOS, SHELL is used for the \fBshell\fR command.  On
MS-DOS and OS/2, COMSPEC is used for the \fBshell\fR command.

On MS-DOS, if the BGI interface is used, BGI is used to point to the full
path of the BGI drivers directory.  Furthermore, SVGA is used to name the
Super VGA BGI driver in 800x600 resolution and its mode of operation is
Name.Mode.  E.g., if the Super VGA driver is
.br
      C:\\TC\\BGI\\SVGADRV.BGI
.br
and mode 3 is used for 800x600 resolution, then use the following:
.br
      set BGI=C:\\TC\\BGI
.br
.br
      set SVGA=SVGADRV.3
.br

FIT_SCRIPT may be used to specify a \fBgnuplot\fR command to be executed when a
fit is interrupted---see \fBfit\fR.  FIT_LOG specifies the filename of the
logfile maintained by fit.
.sp 2
.NH 1
Expressions
.sp 1
.LP
.XS
Expressions
.XE
In general, any mathematical expression accepted by C, FORTRAN, Pascal, or
BASIC is valid.  The precedence of these operators is determined by the
specifications of the C programming language.  White space (spaces and tabs)
is ignored inside expressions.

Complex constants are expressed as {<real>,<imag>}, where <real> and <imag>
must be numerical constants.  For example, {3,2} represents 3 + 2i; {0,1}
represents \&'i\&' itself.  The curly braces are explicitly required here.

Note that gnuplot uses both "real" and "integer" arithmetic, like FORTRAN and
C.  Integers are entered as "1", "-10", etc; reals as "1.0", "-10.0", "1e1",
3.5e-1, etc.  The most important difference between the two forms is in
division: division of integers truncates: 5/2 = 2; division of reals does
not: 5.0/2.0 = 2.5.  In mixed expressions, integers are "promoted" to reals
before evaluation: 5/2e0 = 2.5.  The result of division of a negative integer
by a positive one may vary among compilers.  Try a test like "print -5/2" to
determine if your system chooses -2 or -3 as the answer.

The real and imaginary parts of complex expressions are always real, whatever
the form in which they are entered: in {3,2} the "3" and "2" are reals, not
integers.
.sp 2
.RS
.IP
.NH 2
Functions
.sp 1
.LP
.XS
Functions
.XE
The functions in \fBgnuplot\fR are the same as the corresponding functions in
the Unix math library, except that all functions accept integer, real, and
complex arguments, unless otherwise noted.

For those functions that accept or return angles that may be given in either
degrees or radians (sin(x), cos(x), tan(x), asin(x), acos(x), atan(x),
atan2(x) and arg(z)), the unit may be selected by \fBset angles\fR, which
defaults to radians.


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Function@Arguments@Returns
_
abs(x)@any@absolute value of x, $|x|$; same type
abs(x)@complex@length of x, $sqrt{roman real (x) sup 2 + roman imag (x) sup 2}$
acos(x)@any@$cos sup -1 x$ (inverse cosine)
acosh(x)@any@$cosh sup -1 x$ (inverse hyperbolic cosine) in radians
arg(x)@complex@the phase of $x$
asin(x)@any@$sin sup -1 x$ (inverse sin)
asinh(x)@any@$sinh sup -1 x$ (inverse hyperbolic sin) in radians
atan(x)@any@$tan sup -1 x$ (inverse tangent)
atan2(y,x)@int or real@$tan sup -1 (y/x)$ (inverse tangent)
atanh(x)@any@$tanh sup -1 x$ (inverse hyperbolic tangent) in radians
besj0(x)@int or real@$j sub 0$ Bessel function of $x$, in radians
besj1(x)@int or real@$j sub 1$ Bessel function of $x$, in radians
besy0(x)@int or real@$y sub 0$ Bessel function of $x$, in radians
besy1(x)@int or real@$y sub 1$ Bessel function of $x$, in radians
ceil(x)@any@$left ceiling x right ceiling$, smallest integer not less than $x$ (real part)
cos(x)@radians@$cos~x$, cosine of $x$
cosh(x)@any@$cosh~x$, hyperbolic cosine of $x$ in radians
erf(x)@any@$erf ( roman real (x))$, error function of real ($x$)
erfc(x)@any@$erfc ( roman real (x))$, 1.0 - error function of real ($x$)
exp(x)@any@$e sup x$, exponential function of $x$
floor(x)@any@$left floor x right floor$, largest integer not greater than $x$ (real part)
gamma(x)@any@$GAMMA ( roman real (x))$, gamma function of real ($x$)
ibeta(p,q,x)@any@$Ibeta ( roman real (p,q,x))$, ibeta function of real ($p$,$q$,$x$)
inverf(x)@any@inverse error function real($x$)
igamma(a,x)@any@$Igamma ( roman real (a,x))$, igamma function of real ($a$,$x$)
imag(x)@complex@imaginary part of $x$ as a real number
invnorm(x)@any@inverse normal distribution function real($x$)
int(x)@real@integer part of $x$, truncated toward zero
lgamma(x)@any@$Lgamma ( roman real (x))$, lgamma function of real ($x$)
log(x)@any@$ln~x$, natural logarithm (base $e$) of $x$
log10(x)@any@${log sub 10}~x$, logarithm (base $10$) of $x$
norm(x)@any@$norm(x)$, normal distribution function of real($x$)
rand(x)@any@$rand ( roman real (x))$, pseudo random number generator
real(x)@any@real part of $x$
sgn(x)@any@1 if $x > 0$, -1 if $x < 0$, 0 if $x = 0$. $roman imag (x)$ ignored
sin(x)@any@$sin~x$, sine of $x$
sinh(x)@any@$sinh~x$, hyperbolic sine $x$ in radians
sqrt(x)@any@$sqrt x $, square root of $x$
tan(x)@any@$tan~x$, tangent of $x$
tanh(x)@any@$tanh~x$, hyperbolic tangent of $x$ in radians
.TE
.KE
.EQ
delim off
.EN


A few additional functions are also available.


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Function@Arguments@Returns
_
column(x)@int@ column $x$ during datafile manipulation.
tm_hour(x)@int@the hour
tm_mday(x)@int@the day of the month
tm_min(x)@int@the minute
tm_mon(x)@int@the month
tm_sec(x)@int@the second
tm_wday(x)@int@the day of the week
tm_yday(x)@int@the day of the year
tm_year(x)@int@the year
valid(x)@int@ test validity of column($x$) during datafile manip.
.TE
.KE
.EQ
delim off
.EN

.sp 2
.NH 2
Operators
.sp 1
.LP
.XS
Operators
.XE
The operators in \fBgnuplot\fR are the same as the corresponding operators in the
C programming language, except that all operators accept integer, real, and
complex arguments, unless otherwise noted.  The ** operator (exponentiation)
is supported, as in FORTRAN.

Parentheses may be used to change order of evaluation.
.sp 2
.RS
.IP
.NH 3
Unary
.sp 1
.LP
.XS
Unary
.XE
The following is a list of all the unary operators and their usages:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
.TE
.EQ
delim off
.EN
.TS
center box tab (@) ;
c c l .
Symbol@Example@Explanation
_
-@-a@unary minus
+@+a@unary plus (no-operation)
~@~a@* one's complement
!@!a@* logical negation
!@a!@* factorial
$@$3@* call arg/column during `using` manipulation
_
.TE
.KE
.EQ
delim off
.EN

(*) Starred explanations indicate that the operator requires an integer
argument.

Operator precedence is the same as in Fortran and C.  As in those languages,
parentheses may be used to change the order of operation.  Thus -2**2 = -4,
but (-2)**2 = 4.

The factorial operator returns a real number to allow a greater range.
.sp 2
.NH 3
Binary
.sp 1
.LP
.XS
Binary
.XE
The following is a list of all the binary operators and their usages:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Symbol@Example@Explanation
_
**@a**b@exponentiation
*@a*b@multiplication
/@a/b@division
%@a%b@* modulo
+@a+b@addition
-@a-b@subtraction
==@a==b@equality
!=@a!=b@inequality
<@a<b@less than
<=@a<=b@less than or equal to
>@a>b@greater than
>=@a>=b@greater than or equal to
&@a&b@* bitwise AND
^@a^b@* bitwise exclusive OR
|@a|b@* bitwise inclusive OR
&&@a&&b@* logical AND
||@a||b@* logical OR
.TE
.KE
.EQ
delim off
.EN

(*) Starred explanations indicate that the operator requires integer
arguments.

Logical AND (&&) and OR (||) short-circuit the way they do in C.  That is,
the second \fB&&\fR operand is not evaluated if the first is false; the second
\fB||\fR operand is not evaluated if the first is true.
.sp 2
.NH 3
Ternary
.sp 1
.LP
.XS
Ternary
.XE
There is a single ternary operator:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Symbol@Example@Explanation
_
?:@a?b:c@* ternary operation
.TE
.KE
.EQ
delim off
.EN

The ternary operator behaves as it does in C.  The first argument (a), which
must be an integer, is evaluated.  If it is true (non-zero), the second
argument (b) is evaluated and returned; otherwise the third argument (c) is
evaluated and returned.

The ternary operator is very useful both in constructing piecewise functions
and in plotting points only when certain conditions are met.

Examples:

Plot a function that is to equal sin(x) for 0 <= x < 1, 1/x for 1 <= x < 2,
and undefined elsewhere:
.br
      f(x) = 0<=x && x<1 ? sin(x) : 1<=x && x<2 ? 1/x : 1/0
.br
.br
      plot f(x)
.br
Note that \fBgnuplot\fR quietly ignores undefined values, so the final branch of
the function (1/0) will produce no plottable points.  Note also that f(x)
will be plotted as a continuous function across the discontinuity if a line
style is used.  To plot it discontinuously, create separate functions for the
two pieces.  (Parametric functions are also useful for this purpose.)

For data in a file, plot the average of the data in columns 2 and 3 against
the datum in column 1, but only if the datum in column 4 is non-negative:

.br
      plot 'file' using 1:( $4<0 ? 1/0 : ($2+$3)/2 )
.br

Please see \fBplot data-file using\fR for an explanation of the \fBusing\fR syntax.
.sp 2
.RE
.br
.NH 2
User-defined
.sp 1
.LP
.XS
User-defined
.XE
New user-defined variables and functions of one through five variables may
be declared and used anywhere, including on the \fBplot\fR command itself.

User-defined function syntax:
.br
      <func-name>( <dummy1> {,<dummy2>} ... {,<dummy5>} ) = <expression>
.br

where <expression> is defined in terms of <dummy1> through <dummy5>.

User-defined variable syntax:
.br
      <variable-name> = <constant-expression>
.br

Examples:
.br
      w = 2
.br
.br
      q = floor(tan(pi/2 - 0.1))
.br
.br
      f(x) = sin(w*x)
.br
.br
      sinc(x) = sin(pi*x)/(pi*x)
.br
.br
      delta(t) = (t == 0)
.br
.br
      ramp(t) = (t > 0) ? t : 0
.br
.br
      min(a,b) = (a < b) ? a : b
.br
.br
      comb(n,k) = n!/(k!*(n-k)!)
.br
.br
      len3d(x,y,z) = sqrt(x*x+y*y+z*z)
.br
.br
      plot f(x) = sin(x*a), a = 0.2, f(x), a = 0.4, f(x)
.br

Note that the variable \fBpi\fR is already defined.  But it is in no way magic;
you may redefine it to be whatever you like.

Valid names are the same as in most programming languages: they must begin
with a letter, but subsequent characters may be letters, digits, "$", or "_".
Note, however, that the \fBfit\fR mechanism uses several variables with names
that begin "FIT_".  It is safest to avoid using such names.  "FIT_LIMIT",
however, is one that you may wish to redefine.

See \fBshow functions\fR and \fBshow variables\fR.
.sp 2
.RE
.br
.NH 1
Glossary
.sp 1
.LP
.XS
Glossary
.XE
Throughout this document an attempt has been made to maintain consistency of
nomenclature.  This cannot be wholly successful because as \fBgnuplot\fR has
evolved over time, certain command and keyword names have been adopted that
preclude such perfection.  This section contains explanations of the way
some of these terms are used.

A "page" or "screen" is the entire area addressable by \fBgnuplot\fR.  On a
monitor, it is the full screen; on a plotter, it is a single sheet of
paper.

A screen may contain one or more "plots".  A plot is defined by an
abscissa and an ordinate, although these need not actually appear on it, as
well as the margins and any text written therein.

A plot contains one "graph".  A graph is defined by an abscissa and an
ordinate, although these need not actually appear on it.

A graph may contain one or more "lines".  A line is a single function or
data set.  "Line" is also a plotting style.  The word will also be used in
sense "a line of text".  Presumably the context will always remove the
ambiguity.

The lines on a graph may have individual names.  These may be listed together
with a sample of the plotting style used to represent them in the "key",
sometimes also called the "legend".

The word "title" occurs with multiple meanings in \fBgnuplot\fR.  In this
document, it will always be preceded by the adjective "plot", "line", or
"key" to differentiate among them.

A graph may have up to four labelled axes.  Various commands have the name of
an axis built into their names, such as \fBset xlabel\fR.  Other commands have
one or more axis names as options, such as \fBset logscale xy\fR.  The names of
the four axes for these usages are "x" for the axis along the bottom border
of the plot, "y" for the left border, "x2" for the top border, and "y2" for
the right border.  "z" also occurs in commands used with 3-d plotting.

When discussing data files, the term "record" will be resurrected and used to
denote a single line in the file, that is, the characters between newline or
end-of-record characters.  A "point" is the datum on a single record, and a
"dataline" is a set of points on consecutive records, delimited by blank
records.
.sp 2
.NH 1
Plotting
.sp 1
.LP
.XS
Plotting
.XE
There are three \fBgnuplot\fR commands which actually create a plot: \fBplot\fR,
\fBsplot\fR and \fBreplot\fR.  \fBplot\fR generates 2-d plots, \fBsplot\fR generates 3-d
plots (actually 2-d projections, of course), and \fBreplot\fR appends its
arguments to the previous \fBplot\fR or \fBsplot\fR and executes the modified
command.

Much of the general information about plotting can be found in the discussion
of \fBplot\fR; information specific to 3-d can be found in the \fBsplot\fR section.

\fBplot\fR operates in either rectangular or polar coordinates -- see \fBset polar\fR
for details of the latter.  \fBsplot\fR operates only in rectangular coordinates,
but the \fBset mapping\fR command allows for a few other coordinate systems to be
treated.  In addition, the \fBusing\fR option allows both \fBplot\fR and \fBsplot\fR to
treat almost any coordinate system you\&'d care to define.

\fBsplot\fR can plot surfaces and contours in addition to lines.  See \fBsplot
datafile\fR for information about the requisite file structure for both of
these; see \fBset isosamples\fR for information about defining the grid for a 3-d
function.  See \fBset contour\fR and \fBset cntrparam\fR for information about
contours.
.sp 2
.NH 1
Start-up
.sp 1
.LP
.XS
Start-up
.XE
When \fBgnuplot\fR is run, it looks for an initialization file to load.  This
file is called \fB.gnuplot\fR on Unix and AmigaDOS systems, and \fBGNUPLOT.INI\fR
on other systems.  If this file is not found in the current directory, the
program will look for it in the home directory (under AmigaDOS,
Atari(single)TOS, MS-DOS and OS/2, the environment variable \fBgnuplot\fR should
contain the name of this directory).  Note: if NOCWDRC is defined during the
installation, \fBgnuplot\fR will not read from the current directory.

If the initialization file is found, \fBgnuplot\fR executes the commands in it.
These may be any legal \fBgnuplot\fR commands, but typically they are limited to
setting the terminal and defining frequently-used functions or variables.
.sp 2
.NH 1
Substitution
.sp 1
.LP
.XS
Substitution
.XE
Command-line substitution is specified by a system command enclosed in
backquotes.  This command is spawned and the output it produces replaces
the name of the command (and backquotes) on the command line.

Newlines in the output produced by the spawned command are replaced with
blanks.

Command-line substitution can be used anywhere on the \fBgnuplot\fR command
line.

Example:

This will run the program \fBleastsq\fR and replace \fBleastsq\fR (including
backquotes) on the command line with its output:
.br
      f(x) = `leastsq`
.br

or, in VMS
.br
      f(x) = `run leastsq`
.br
.sp 2
.NH 1
Syntax
.sp 1
.LP
.XS
Syntax
.XE
The general rules of syntax and punctuation in \fBgnuplot\fR are that keywords
and options are order-dependent.  Options and any accompanying parameters are
separated by spaces whereas lists and coordinates are separated by commas.
Ranges are separated by colons and enclosed in braces [], text and file names
are enclosed in quotes, and a few miscellaneous things are enclosed in
parentheses.  Brackets {} are used for a few special purposes.

Commas are used to separate coordinates on the \fBset\fR commands \fBarrow\fR,
\fBkey\fR, and \fBlabel\fR; the list of variables being fitted (the list after the
\fBvia\fR keyword on the \fBfit\fR command); lists of discrete contours or the loop
parameters which specify them on the \fBset cntrparam\fR command; the arguments
of the \fBset\fR commands \fBdgrid3d\fR, \fBdummy\fR, \fBisosamples\fR, \fBoffsets\fR, \fBorigin\fR,
\fBsamples\fR, \fBsize\fR, \fBtime\fR, and \fBview\fR; lists of tics or the loop parameters
which specify them; the offsets for titles and axis labels; parametric
functions to be used to calculate the x, y, and z coordinates on the \fBplot\fR,
\fBreplot\fR and \fBsplot\fR commands; and the complete sets of keywords specifying
individual plots (data sets or functions) on the \fBplot\fR, \fBreplot\fR and \fBsplot\fR
commands.

Parentheses are used to delimit sets of explicit tics (as opposed to loop
parameters) and to indicate computations in the \fBusing\fR filter of the \fBfit\fR,
\fBplot\fR, \fBreplot\fR and \fBsplot\fR commands.

(Parentheses and commas are also used as usual in function notation.)

Braces are used to delimit ranges, whether they are given on \fBset\fR, \fBplot\fR or
\fBsplot\fR commands.

Colons are used to separate extrema in \fBrange\fR specifications (whether they
are given on \fBset\fR, \fBplot\fR or \fBsplot\fR commands) and to separate entries in
the \fBusing\fR filter of the \fBplot\fR, \fBreplot\fR, \fBsplot\fR and \fBfit\fR commands.

Semicolons are used to separate commands given on a single command line.

Brackets are used in text to be specially processed by some terminals, like
\fBpostscript\fR.  They are also used to denote complex numbers: {3,2} = 3 + 2i.

Text may be enclosed in single- or double-quotes.  Backslash processing of
sequences like \\n (newline) and \\345 (octal character code) is performed for
double-quoted strings, but not for single-quoted strings.

The justification is the same for each line of a multi-line string.  Thus the
center-justified string
.br
      "This is the first line of text.\\nThis is the second line."
.br
will produce
.br
                       This is the first line of text.
.br
.br
                          This is the second line.
.br
but
.br
      'This is the first line of text.\\nThis is the second line.'
.br
will produce
.br
          This is the first line of text.\\nThis is the second line.
.br

At present you should not embed \\n inside {} when using the enhanced option
of the postscript terminal.

The EEPIC, Imagen, Uniplex, LaTeX, and TPIC drivers allow a newline to be
specified by \\\\ in a single-quoted string or \\\\\\\\ in a double-quoted string.

Back-quotes are used to enclose system commands for substitution.
.sp 2
.NH 1
Time/Date data
.sp 1
.LP
.XS
Time/Date data
.XE
\fBgnuplot\fR supports the use of time and/or date information as input data.
This feature is activated by the commands \fBset xdata time\fR, \fBset ydata time\fR,
etc.

Internally all times and dates are converted to the number of seconds from
the year 2000.  The command \fBset timefmt\fR defines the format for all inputs:
data files, ranges, tics, label positions---in short, anything that accepts a
data value must receive it in this format.  Since only one input format can
be in force at a given time, all time/date quantities being input at the same
time must be presented in the same format.  Thus if both x and y data in a
file are time/date, they must be in the same format.

Commands like \fBshow xrange\fR will re-interpret the integer according to
\fBtimefmt\fR.  If you change \fBtimefmt\fR, and then \fBshow\fR the quantity again, it
will be displayed in the new \fBtimefmt\fR.  For that matter, if you give the
deactivation command (like \fBset xdata\fR), the quantity will be shown in its
numerical form.

The command \fBset format\fR defines the format that will be used for tic labels,
whether or not the specified axis is time/date.

If time/date information is to be plotted from a file, the \fBusing\fR option
_must_ be used on the \fBplot\fR or \fBsplot\fR command.  These commands simply use
white space to separate columns, but white space may be embedded within the
time/date string.  If you use tabs as a separator, some trial-and-error may
be necessary to discover how your system treats them.

The following example demonstrates time/date plotting.

Suppose the file "data" contains records like

.br
      03/21/95 10:00  6.02e23
.br

This file can be plotted by

.br
      set xdata time
.br
.br
      set timefmt "%m/%d"
.br
.br
      set xrange ["03/21":"03/22"]
.br
.br
      set format x "%m/%d"
.br
.br
      set timefmt "%m/%d/%y %H:%M"
.br
.br
      plot "data" using 1:3
.br

which will produce xtic labels that look like "03/21".

See the descriptions of each command for more details.
.sp 3
.NH 1
Commands
.sp 1
.LP
.XS
Commands
.XE
.sp 2
.NH 1
Cd
.sp 1
.LP
.XS
Cd
.XE
The \fBcd\fR command changes the working directory.

Syntax:
.br
      cd '<directory-name>'
.br

The directory name must be enclosed in quotes.

Examples:
.br
      cd 'subdir'
.br
.br
      cd ".."
.br

DOS users _must_ use single-quotes---backslash [\\] has special significance
inside double-quotes.  For example,
.br
      cd "c:\\newdata"
.br
fails, but
.br
      cd 'c:\\newdata'
.br
works as expected.
.sp 2
.NH 1
Call
.sp 1
.LP
.XS
Call
.XE
The \fBcall\fR command is identical to the load command with one exception: you
can have up to ten additional parameters to the command (delimited according
to the standard parser rules) which can be substituted into the lines read
from the file.  As each line is read from the \fBcall\fRed input file, it is
scanned for the sequence \fB$\fR (dollar-sign) followed by a digit (0--9).  If
found, the sequence is replaced by the corresponding parameter from the
\fBcall\fR command line.  If the parameter was specified as a string in the
\fBcall\fR line, it is substituted without its enclosing quotes.  \fB$\fR followed by
any character other than a digit will be that character.  E.g. use \fB$$\fR to
get a single \fB$\fR.  Providing more than ten parameters on the \fBcall\fR command
line will cause an error.  A parameter that was not provided substitutes as
nothing.  Files being \fBcall\fRed may themselves contain \fBcall\fR or \fBload\fR
commands.

The \fBcall\fR command _must_ be the last command on a multi-command line.

Syntax:
.br
      call "<input-file>" <parameter-0> <parm-1> ... <parm-9>
.br

The name of the input file must be enclosed in quotes, and it is recommended
that parameters are similarly enclosed in quotes (future versions of gnuplot
may treat quoted and unquoted arguments differently).

Example:

If the file \&'calltest.gp\&' contains the line:
.br
      print "p0=$0 p1=$1 p2=$2 p3=$3 p4=$4 p5=$5 p6=$6 p7=x$7x"
.br

entering the command:
.br
      call 'calltest.gp' "abcd" 1.2 + "'quoted'" -- "$2"
.br

will display:
.br
      p0=abcd p1=1.2 p2=+ p3='quoted' p4=- p5=- p6=$2 p7=xx
.br

NOTE: there is a clash in syntax with the datafile \fBusing\fR callback
operator.  Use \fB$$n\fR or \fBcolumn(n)\fR to access column n from a datafile inside
a \fBcall\fRed datafile plot.
.sp 2
.NH 1
Clear
.sp 1
.LP
.XS
Clear
.XE
The \fBclear\fR command erases the current screen or output device as specified
by \fBset output\fR.  This usually generates a formfeed on hardcopy devices.  Use
\fBset terminal\fR to set the device type.

For some terminals \fBclear\fR erases only the portion of the plotting surface
defined by \fBset size\fR, so for these it can be used in conjunction with \fBset
multiplot\fR to create an inset.

Example:
.br
      set multiplot
.br
.br
      plot sin(x)
.br
.br
      set origin 0.5,0.5
.br
.br
      set size 0.4,0.4
.br
.br
      clear
.br
.br
      plot cos(x)
.br
.br
      set nomultiplot
.br

Please see \fBset multiplot\fR, \fBset size\fR, and \fBset origin\fR for details of these
commands.
.sp 2
.NH 1
Exit
.sp 1
.LP
.XS
Exit
.XE
The commands \fBexit\fR and \fBquit\fR and the END-OF-FILE character will exit
\fBgnuplot\fR.  Each of these commands will clear the output device (as does
the \fBclear\fR command) before exiting.
.sp 2
.NH 1
Fit
.sp 1
.LP
.XS
Fit
.XE
This implementation incorporates the capability of nonlinear least squares
fitting using the Marquardt-Levenberg Algorithm.  It may fit any user-defined
function to any set of data points (x,y) or (x,y,z).  x, y, z and the
function\&'s return type _must_ be real!  Any variable occurring in the
function body may serve as a fit parameter (fitting functions without
adjustable parameters make no sense).

Syntax:
.br
      fit {[xrange]} {[yrange]} <function>
.br
.br
          '<datafile>' {datafile-modifiers}
.br
.br
           via {'<parameter file>' | <var1>,<var2>,...}
.br

Notice that \fBvia\fR is now a required keyword, to distinguish it from a \&'scanf\&'
format string.

[xrange] and [yrange] are of the form [{variable=}{<min>}{:<max>}], allowing
the range of the fit to be limited temporarily in a manner analogous to
\fBplot\fR.  <function> is any valid \fBgnuplot\fR expression, although it is usual
to use a previously user-defined function of the form f(x) or f(x,y).
<datafile> is treated as in the \fBplot\fR command.  All the modifiers for
datafiles (\fBusing\fR, \fBevery\fR,...) in \fBplot\fR are available here (except
\fBsmooth\fR)---see \fBplot datafile\fR for full details.  The default columns for x
and y are 1 and 2.  These may be changed by the \fBusing x:y\fR mechanism.  If
\fBusing\fR has a third entry (a column or an expression), it will be interpreted
as the standard deviation of each y value and will be used to compute the
weight; otherwise all data will be weighted equally.  If four columns are
specified, they are x:y:z:error---note that an error _must_ be specified in
order to perform a 3-d fit.  If errors are not available, a constant value
can be specified, e.g., \fBusing ...:(1)\fR.

Initial values for the parameters to be fit may be specified in a (load-)file
wherein each line is of the form:

.br
      varname = value
.br

Comments, marked by \&'#\&', and blank lines are permissible.  The special form

.br
      varname = value       # FIXED
.br

means that the variable is treated as a \fBfixed parameter\fR that is initialized
but will not be adjusted.  It is not necessary (but sometimes useful for
clarity) to specify them at all.  The keyword \fB# FIXED\fR has to appear in
exactly this form.

The other means of specifying the adjustable parameters is to provide a
comma-separated list of variable names after the \fBvia\fR keyword.  If any of
these variables do not yet exist within the current \fBgnuplot\fR session, they
are created with an initial value of 1.0, but the fit is more likely to
converge if a more appropriate starting value is given.  If this form is
used, it may prove beneficial to iterate the fit, allowing only one or two
variables to be adjusted at a time until a reasonably close fit is obtained,
before allowing \fBfit\fR to vary all parameters.

After each iteration step, detailed information is given about the fit\&'s
state, both on the screen and on a logfile "fit.log".  This file will never be
erased but always appended to so that the fit\&'s history isn\&'t lost.  After
each iteration step, the fit may be interrupted by pressing Ctrl-C (any key
_but_ Ctrl-C under MSDOS and Atari Multitasking Systems).  Then you have the
options of stopping (and accepting the current parameter values), continuing
the iteration of the fit, or executing a \fBgnuplot\fR command specified by an
environment variable FIT_SCRIPT.  A \fBplot\fR or \fBload\fR command may be useful in
this context.

Special \fBgnuplot\fR variables:

.br
      FIT_LIMIT
.br
may be specified to change the default epsilon limit (1e-5).  When the sum
of squared residuals changes between two iteration steps by less than a
factor of this number, the fit is considered to have \&'converged\&'.

Once the fit is converged, the final values may be stored in (load-)file
suitable for use as an initial-value file, as discussed above.  Please see
\fBupdate\fR for details.

.br
      FIT_MAXITER
.br
may be specified to limit the number of iterations performed without
convergence by FIT_LIMIT.  A value of 0 (or not defining it at all) means
that there is no limit.

[FIT_SKIP was available in previous releases of gnufit.  Its functionality
is now obtained using the \fBevery\fR modifier for datafiles.  FIT_INDEX was
previously available in order to allow multi-branch fitting.  Multi-branch
fitting in 2-d can now be done as a pseudo-3-d fit in which the y values are
the dataline number (\fBusing 1:-1:...\fR) or index (\fBusing 1:-2:...\fR).]

Environment variables:

.br
      FIT_LOG
.br
changes the logfile\&'s path from \&'./fit.log\&' (write permission is necessary).

.br
      FIT_SCRIPT
.br
specifies a command to be executed after an user interrupt.

Examples:
.br
      f(x) = a*x**2 + b*x + c
.br
.br
      FIT_LIMIT = 1e-6
.br
.br
      fit f(x) 'measured.dat' via 'start.par'
.br
.br
      fit f(x) 'measured.dat' using 3:($7-5) via 'start.par'
.br
.br
      fit f(x) './data/trash.dat' using 1:2:3 via a, b, c
.br
.br
      fit f(x,y) 'surface.dat' using 1:2:3:(1) via a, b, c
.br
.sp 2
.RS
.IP
.NH 2
Introduction To Fitting
.sp 1
.LP
.XS
Introduction To Fitting
.XE
Beginner\&'s guide to fitting in general

\fBfit\fR is used to find a set of parameters to be used in a parametric function
to make it fit to your data optimally.  The quantity to be minimized is the
sum of squared differences between your input data points and the function
values at the same places, usually called \&'chisquared\&' (i.e. the Greek letter
chi, to the power of 2).  (To be precise, the differences will be divided by
the input data errors before being squared; see \fBfit errors\fR for details.)

Now that you know why it\&'s called \&'least squares fitting\&', let\&'s see why it\&'s
\&\&'nonlinear\&'.  That\&'s because the function\&'s dependence on the parameters (not
the data!) may be non-linear.  Of course, this might not tell you much if you
didn\&'t know already, so let me try to describe it.  If the fitting problem
were to be linear, the target function would have to be a sum of simple,
non-parametric functions, each multiplied by one parameter.  (For example,
consider the function f(x) = c*sin(x), where we want to find the best value
for the constant c.  This is nonlinear in x, of course, but it is linear in
c.  Since the fitting procedure solves for c, it has a linear equation to
solve.)  For such a linear case, the task of fitting can be performed by
comparatively simple linear algebra in one direct step.  But \fBfit\fR can do
more for you:  the parameters may be used in your function in any way you can
imagine.  To handle this more general case, however, it has to perform an
iteration, i.e. it will repeat a sequence of steps until it finds the fit to
have \&'converged\&', or until you stop it.

Generally, the function to be fitted will come from some kind of theory (some
prefer the term \&'model\&' here) that makes a prediction about how the data
should behave, and \fBfit\fR is then used to find the free parameters of the
theory.  This is a typical task in scientific work, where you have lots of
data that depend in more or less complicated ways on the values you\&'re
interested in.  The results will then usually be of the form \&'the measured
data can be described by the {foo} theory, for the following set of
parameters\&', and then a set of values is given, together with the errors of
your determination of these values.

This reasoning implies that \fBfit\fR is probably _not_ your tool of choice if
all you really want is a smooth line through your data points.  If you want
this, the \fBsmooth\fR option to \fBplot\fR is what you\&'ve been looking for, not
\fBfit\fR.  See \fBplot datafile smooth\fR for details.
.sp 2
.NH 2
Errors In Fitting
.sp 1
.LP
.XS
Errors In Fitting
.XE
One of the most important things to keep in mind when using \fBfit\fR is the
handling of errors.  Here, this term refers to the measurement errors
accompanying both your input data and resulting parameters.

The reason for the importance of input data errors to fitting is that
normally the single measurements aren\&'t all of the same quality, so they
shouldn\&'t have the same importance in determining the results.  That\&'s one
major reason for dividing the differences between data and function by the
input errors, also known as \&'weighting\&', in the computation of chisquared.

By weighting, deviations from your function at places where the data have
large errors will have a smaller part in chisquared, as the division will
make them smaller compared to the better measurements.  Another reason for
the division is that, for mathematical reasons, chisquared has to be a
dimensionless variable, i.e. chisquared should be something like \&'15.3\&', not
\&\&'15.3 square seconds\&'.

Without input data errors being given, all data will be weighted equally, and
the resulting errors of the parameters won\&'t have much of a real meaning.
Therefore, you should always try to find a sensible set of y-errors for your
data.  An important example is that of data representing a histogram.  In
such a case, the square root of the y value is often the correct input error
to use.

Once the fit iteration has stopped, it will display a load of valuable
information which you will have to learn to interpret before you can use it.
The \&'sum of squares residuals\&' is the distance between the data and your fit
function, shortly called \&'chisquared\&'.  This is what \fBfit\fR tries to minimize.
To quickly test if your fit went well, check that this is about the same as
the number of data points minus the number of parameters (all this is only
valid if you supplied y-errors, and the number of data points is large
enough).  For details on this, look up the \&'Chi-squared distribution\&' in your
favourite statistics textbook.

If chisquared is much larger than that, then your function didn\&'t fit the
data very well.  Try another, more general one, or allow more of the
parameters to be adjusted by \fBfit\fR.  Another possible reason could be that
the y-errors you supplied were a bit optimistic, i.e. too small.

If, on the other hand, chisquared is too small, then the function fit the
data _too_ well.  Either the given y-errors were too large, or the function
is too general.  You should try to restrict it by either fixing some
parameters, or just make it simpler one way or the other.

If all else went well, you\&'ll see a list of the resulting parameter values,
together with estimates of the errors of these values.  And you should
always be aware of this:  they\&'re _estimates_, not more.  You\&'ll have to get
used to both \fBfit\fR and kind of problems you usually apply it to before you
can use these errors for anything serious.  To start with, the errors
reported by \fBfit\fR are insensitive to the global scale of the y-errors, i.e.
if you multiply all y-errors by a constant, the resulting parameter errors
don\&'t change.

And, to repeat this once more: if you didn\&'t supply y-errors, the parameter
errors will normally be meaningless.

.sp 2
.NH 2
Tips and Tricks
.sp 1
.LP
.XS
Tips and Tricks
.XE
Here are some tips to keep in mind to get the most out of \fBfit\fR.  They\&'re not
very organized, so you\&'ll have to read them several times until their essence
has sunk in.

The two forms of the \fBvia\fR argument to \fBfit\fR serve two largely distinct
purposes.  The \fBvia "file"\fR form is best used for batch operation (possibly
unattended), where you just supply the startup values in a file and perhaps
later use \fBupdate\fR to copy the results back into another file (or the same
one).

The \fBvia var1, var2, ...\fR form is best used interactively.  Using the command
history mechanism built into gnuplot, you can easily edit the list of
parameters to be fitted or supply new startup values for the next try.  This
is particularly useful for hard problems, where a direct fit to all the
parameters at once won\&'t work, at least not without really _good_ values to
start with.  To find such a set of good starting parameters, you can iterate
several times, fitting only some of the parameters each time, until the
values are close enough to the goal that the final fit (to all the
parameters at once) will work.

A general word about starting values:  \fBfit\fR may, and often will, get really
badly lost in searching for the optimal parameter set if you start it way off
any possible solution.  The main reason for this is that nonlinear fitting is
not guaranteed to converge to a global optimum.  It can get stuck in a local
optimum, and there\&'s no way for the routine to find out about that.  You\&'ll
have to use your own judgement in checking whether this has happened to you
or not.

To partly avoid that problem, you should put all starting values at least
roughly into the vicinity of the solution.  At least the order of magnitude
should be correct, if possible.  The better your starting values are, the
less error-prone the fit.  A good way to find starting values is to draw data
and fit-function into one plot, and iterate, changing the values and
\fBreplot\fR-ting until reasonable similarity is reached.  The same plot is also
useful to check if the fit got stuck in a non-global minimum.

Make sure that there is no mutual dependency among parameters of the function
you are fitting.  E.g., don\&'t try to fit a*exp(x+b), because a*exp(x+b) =
a*exp(b)*exp(x).  Instead, fit either a*exp(x) or exp(x+b).

A technical issue:  the parameters must not be too different in magnitude.
The larger the quotient of the largest and the smallest absolute parameter
values, the slower the fit will converge.  If the quotient is close to or
above the inverse of the machine floating point precision, it may take next
to forever to converge, or refuse to converge at all.  You\&'ll have to adapt
your function to avoid this, e.g. replace \&'parameter\&' by \&'1e9*parameter\&' in
the function definition, and divide the starting value by 1e9.

If you can write your function as a linear combination of simple functions
weighted by the parameters to be fitted, by all means do so.  That helps a
lot, because the problem is then not nonlinear any more.  It should take only
a really small number of iterations to converge on a linear case, maybe even
only one.

In prescriptions for analysing data from practical experimentation courses,
you\&'ll often find descriptions how to first fit your data to some functions,
maybe in a multi-step process accounting for several aspects of the
underlying theory one by one, and then extract the data you really wanted
from the fitting parameters of that function.  With \fBfit\fR, this last step can
often be eliminated by rewriting the model function to directly use the
desired final parameters.  Transforming data can also be avoided quite often,
although sometimes at the cost of a harder fit problem.  If you think this
contradicts the previous paragraph about keeping the fit function as simple
as possible, you\&'re correct.

Finally, a nice quote from the manual of another fitting package (fudgit)
that kind of summarizes all these issues:  "Nonlinear fitting is an art!"
.sp 2
.RE
.br
.NH 1
Help
.sp 1
.LP
.XS
Help
.XE
The \fBhelp\fR command displays on-line help. To specify information on a
particular topic use the syntax:

.br
      help {<topic>}
.br

If <topic> is not specified, a short message is printed about \fBgnuplot\fR.
After help for the requested topic is given, a menu of subtopics is given;
help for a subtopic may be requested by typing its name, extending the help
request.  After that subtopic has been printed, the request may be extended
again or you may go back one level to the previous topic.  Eventually, the
\fBgnuplot\fR command line will return.

If a question mark (?) is given as the topic, the list of topics currently
available is printed on the screen.
.sp 2
.NH 1
If
.sp 1
.LP
.XS
If
.XE
The \fBif\fR command allows commands to be executed conditionally.

Syntax:
.br
      if (<condition>) <command-line>
.br

<condition> will be evaluated.  If it is true (non-zero), then the command(s)
of the <command-line> will be executed.  If <condition> is false (zero), then
the entire <command-line> is ignored.  Note that use of \fB;\fR to allow multiple
commands on the same line will _not_ end the conditionalized commands.

Examples:
.br
      pi=3
.br
.br
      if (pi!=acos(-1)) print "?Fixing pi!"; pi=acos(-1); print pi
.br
will display:
.br
      ?Fixing pi!
.br
.br
      3.14159265358979
.br
but
.br
      if (1==2) print "Never see this"; print "Or this either"
.br
will not display anything.

See \fBreread\fR for an example of how \fBif\fR and \fBreread\fR can be used together to
perform a loop.
.sp 2
.NH 1
Load
.sp 1
.LP
.XS
Load
.XE
The \fBload\fR command executes each line of the specified input file as if it
had been typed in interactively.  Files created by the \fBsave\fR command can
later be \fBload\fRed.  Any text file containing valid commands can be created
and then executed by the \fBload\fR command.  Files being \fBload\fRed may themselves
contain \fBload\fR or \fBcall\fR commands.  See \fBcomment\fR for information about
comments in commands.

The \fBload\fR command _must_ be the last command on a multi-command line.

Syntax:
.br
      load "<input-file>"
.br

The name of the input file must be enclosed in quotes.

Examples:
.br
      load 'work.gnu'
.br
.br
      load "func.dat"
.br

The \fBload\fR command is performed implicitly on any file names given as
arguments to \fBgnuplot\fR.  These are loaded in the order specified, and
then \fBgnuplot\fR exits.  See also \fBcall\fR.
.sp 2
.NH 1
Pause
.sp 1
.LP
.XS
Pause
.XE
The \fBpause\fR command displays any text associated with the command and then
waits a specified amount of time or until the carriage return is pressed.
\fBpause\fR is especially useful in conjunction with \fBload\fR files.

Syntax:
.br
      pause <time> {"<string>"}
.br

<time> may be any integer constant or expression.  Choosing -1 will wait
until a carriage return is hit, zero (0) won\&'t pause at all, and a positive
integer will wait the specified number of seconds.  \fBpause 0\fR is synonymous
with \fBprint\fR.

Note: Since \fBpause\fR communicates with the operating system rather than the
graphics, it may behave differently with different device drivers (depending
upon how text and graphics are mixed).

Examples:
.br
      pause -1    # Wait until a carriage return is hit
.br
.br
      pause 3     # Wait three seconds
.br
.br
      pause -1  "Hit return to continue"
.br
.br
      pause 10  "Isn't this pretty?  It's a cubic spline."
.br

.sp 2
.NH 1
Plot
.sp 1
.LP
.XS
Plot
.XE
\fBplot\fR is the primary command for drawing plots with \fBgnuplot\fR.  It creates
plots of functions and data in many, many ways.  \fBplot\fR is used to draw 2-d
functions and data; \fBsplot\fR draws 2-d projections of 3-d surfaces and data.
\fBplot\fR and \fBsplot\fR contain many common features; see \fBsplot\fR for differences.

Syntax:
.br
      plot {<ranges>}
.br
.br
           {<function> | {"<datafile>" {datafile-modifiers}}}
.br
.br
           {axes <axes>} {<title-spec>} {with <style>}
.br
.br
           {, {definitions,} <function> ...}
.br

where either a <function> or the name of a data file enclosed in quotes is
supplied.  A function is a mathematical expression or a pair of mathematical
expressions in parametric mode.  The expressions may be defined completely or
in part earlier in the stream of \fBgnuplot\fR commands (see \fBuser-defined\fR).

It is also possible to define functions and parameters on the \fBplot\fR command
itself.  This is done merely by isolating them from other items with commas.

There are four possible sets of axes available; the keyword <axes> is used to
select the axes for which a particular line should be scaled.  \fBx1y1\fR refers
to the axes on the bottom and left; \fBx2y2\fR to those on the top and right;
\fBx1y2\fR to those on the bottom and right; and \fBx2y1\fR to those on the top and
left.  Ranges specified on the \fBplot\fR command apply only to the first set of
axes (bottom left).

Examples:
.br
      plot sin(x)
.br
.br
      plot f(x) = sin(x*a), a = .2, f(x), a = .4, f(x)
.br
.br
      plot [t=1:10] [-pi:pi*2] tan(t), \\
.br
.br
           "data.1" using (tan($2)):($3/$4) smooth csplines \\
.br
.br
                    axes x1y2 notitle with lines 5
.br

.sp 2
.RS
.IP
.NH 2
Data-file
.sp 1
.LP
.XS
Data-file
.XE
Discrete data contained in a file can be displayed by specifying the name of
the data file (enclosed in quotes) on the \fBplot\fR or \fBsplot\fR command line.

Syntax:
.br
      {s}plot '<file_name>' {index <index list>}
.br
.br
                            {every <every list>}
.br
.br
                            {thru <thru expression>}
.br
.br
                            {using <using list>}
.br
.br
                            {smooth <option>}
.br

The modifiers \fBindex\fR, \fBevery\fR, \fBthru\fR, \fBusing\fR, and \fBsmooth\fR are discussed
separately.  In brief, \fBindex\fR selects which data sets in a multi-data-set
file are to be plotted, \fBevery\fR specifies which points within a single data
set are to be plotted, \fBusing\fR determines how the columns within a single
record are to be interpreted (\fBthru\fR is a special case of \fBusing\fR), and
\fBsmooth\fR allows for simple interpolation and approximation.

Data files should contain one data point per record.  Records beginning with
# (or ! on VMS) will be treated as comments and ignored.  Each data point
represents an (x,y) pair.  For \fBplot\fRs with error bars (see \fBset style
errorbars\fR), each data point is (x,y,ydelta), (x,y,ylow,yhigh), (x,y,xdelta),
(x,y,xlow,xhigh), or (x,y,xlow,xhigh,ylow,yhigh).  In all cases, the numbers
on each record of a data file must be separated by white space (one or more
blanks or tabs), unless a format specifier is provided by the \fBusing\fR option.
This white space divides each record into columns.

Data may be written in exponential format with the exponent preceded by the
letter e, E, d, D, q, or Q.

Only one column (the y value) need be provided.  If x is omitted, \fBgnuplot\fR
provides integer values starting at 0.

In datafiles, blank records (records with no characters other than blanks and
a newline and/or carriage return) are significant---pairs of blank records
separate \fBindex\fRes (see \fBplot datafile index\fR).  Data separated by double
blank records are treated as if they were in separate data files.

Single blank records designate discontinuities in a \fBplot\fR; no line will join
points separated by a blank records (if they are plotted with a line style).

If autoscaling has been enabled (\fBset autoscale\fR), the axes are automatically
extended to include all datapoints, with a whole number of tic marks if tics
are being drawn.  This has two consequences: i) For \fBsplot\fR, the corner of
the surface may not coincide with the corner of the base.  In this case, no
vertical line is drawn.  ii) When plotting data with the same x range on a
dual-axis graph, the x coordinates may not coincide if the x2tics are not
being drawn.  This is because the x axis has been autoextended to a whole
number of tics, but the x2 axis has not.  The following example illustrates
the problem:

.br
      reset; plot '-', '-'
.br
.br
      1 1
.br
.br
      19 19
.br
.br
      e
.br
.br
      1 1
.br
.br
      19 19
.br
.br
      e
.br
.sp 2
.RS
.IP
.NH 3
Every
.sp 1
.LP
.XS
Every
.XE
The \fBevery\fR keyword allows a periodic sampling of a data set to be plotted.

In the discussion a "point" is a datum defined by a single record in the
file.

Syntax:
.br
      plot 'file' every {<point_incr>}
.br
.br
                          {:{<line_incr>}
.br
.br
                            {:{<start_point>}
.br
.br
                              {:{<start_line>}
.br
.br
                                {:{<end_point>}
.br
.br
                                  {:<end_line>}}}}}
.br

The data points to be plotted are selected according to a loop from
<\fBstart_point\fR> to <\fBend_point\fR> with increment <\fBpoint_incr\fR> and the
datalines according to a loop from <\fBstart_line\fR> to <\fBend_line\fR> with
increment <\fBline_incr\fR>.

The first datum in each dataline is numbered \&'0\&', as is the first dataline in
the file.

Note that records containing unplottable information are counted.

Any of the numbers can be omitted; the increments default to unity, the start
values to the first point or dataline, and the end values to the last point
or dataline.  If \fBevery\fR is not specified, all points in all datalines are
plotted.

Examples:
.br
      every :::3::3    # selects just the fourth dataline ('0' is first)
.br
.br
      every :::::9     # selects the first 10 datalines
.br
.br
      every 2:2        # selects every other point in every other dataline
.br
.br
      every ::5::15    # selects points 5 through 15 in each dataline
.br
.sp 2
.NH 3
Example datafile
.sp 1
.LP
.XS
Example datafile
.XE
This example compares the data in the file population.dat to a theoretical
curve:

.br
      pop(x) = 103*exp((1965-x)/10)
.br
.br
      plot [1960:1990] 'population.dat', pop(x)
.br

The file "population.dat" might contain:

.br
      # Gnu population in Antarctica since 1965
.br
.br
         1965   103
.br
.br
         1970   55
.br
.br
         1975   34
.br
.br
         1980   24
.br
.br
         1985   10
.br

.sp 2
.NH 3
Index
.sp 1
.LP
.XS
Index
.XE
The \fBindex\fR keyword allows only some of the data sets in a multi-data-set
file to be plotted.

Syntax:
.br
      plot 'file' index <m>{{:<n>}:<p>}
.br

Data sets are separated by pairs of blank records.  \fBindex <m>\fR selects only
set <m>; \fBindex <m>:<n>\fR selects sets in the range <m> to <n>; and \fBindex
<m>:<n>:<p>\fR selects indices <m>, <m>+<p>, <m>+2<p>, etc., but stopping at
<n>.  Following C indexing, the index 0 is assigned to the first data set in
the file.  Specifying too large an index results in an error message.  If
\fBindex\fR is not specified, all sets are plotted as a single data set.

Example:
.br
      plot 'file' index 4:5
.br
.sp 2
.NH 3
Smooth
.sp 1
.LP
.XS
Smooth
.XE
\fBgnuplot\fR includes a few general-purpose routines for interpolation and
approximation of data; these are grouped under the \fBsmooth\fR option.  More
sophisticated data processing may be performed by preprocessing the data
externally or by using \fBfit\fR with an appropriate model.

Syntax:
.br
      smooth {unique | csplines | acsplines | bezier | sbezier}
.br

\fBunique\fR plots the data after making them monotonic.  Each of the other
routines uses the data to determine the coefficients of a continuous curve
between the endpoints of the data.  This curve is then plotted in the same
manner as a function, that is, by finding its value at uniform intervals
along the abscissa (see \fBset samples\fR) and connecting these points with
straight line segments (if a line style is chosen).

If \fBautoscale\fR is in effect, the ranges will be computed such that the
plotted curve lies within the borders of the graph.

If too few points are available to allow the selected option to be applied,
an error message is produced.  The minimum number is one for \fBunique\fR, four
for \fBacsplines\fR, and three for the others.

The \fBsmooth\fR options have no effect on function plots.
.sp 2
.RS
.IP
.NH 4
Acsplines
.sp 1
.LP
.XS
Acsplines
.XE
\fBacsplines\fR approximates the data with a "natural smoothing spline".  After
the data are made monotonic in x (see \fBsmooth unique\fR), a curve is piecewise
constructed from segments of cubic polynomials whose coefficients are found
by the weighting the data points; the weights are taken from the third column
in the data file.  That default can be modified by the third entry in the
\fBusing\fR list, e.g.,
.br
      plot 'data-file' using 1:2:(1.0) smooth acsplines
.br

Qualitatively, the absolute magnitude of the weights determines the number
of segments used to construct the curve.  If the weights are large, the
effect of each datum is large and the curve approaches that produced by
connecting consecutive points with natural cubic splines.  If the weights are
small, the curve is composed of fewer segments and thus is smoother; the
limiting case is the single segment produced by a weighted linear least
squares fit to all the data.  The smoothing weight can be expressed in terms
of errors as a statistical weight for a point divided by a "smoothing factor"
for the curve so that (standard) errors in the file can be used as smoothing
weights.

Example:
.br
      sw(x,S)=1/(x*x*S)
.br
.br
      plot 'data_file' using 1:2:(sw($3,100)) smooth acsplines
.br
.sp 2
.NH 4
Bezier
.sp 1
.LP
.XS
Bezier
.XE
The \fBbezier\fR option approximates the data with a Bezier curve of degree n
(the number of data points) that connects the endpoints.
.sp 2
.NH 4
Csplines
.sp 1
.LP
.XS
Csplines
.XE
The \fBcsplines\fR option connects consecutive points by natural cubic splines
after rendering the data monotonic (see \fBsmooth unique\fR).
.sp 2
.NH 4
Sbezier
.sp 1
.LP
.XS
Sbezier
.XE
The \fBsbezier\fR option first renders the data monotonic (\fBunique\fR) and then
applies the \fBbezier\fR algorithm.
.sp 2
.NH 4
Unique
.sp 1
.LP
.XS
Unique
.XE
The \fBunique\fR option makes the data monotonic in x; points with the same
x-value are replaced by a single point having the average y-value.  The
resulting points are then connected by straight line segments.
.sp 2
.RE
.br
.NH 3
Special-filenames
.sp 1
.LP
.XS
Special-filenames
.XE
A special filename of \fB\&'-\&'\fR specifies that the data are inline; i.e., they
follow the command.  Only the data follow the command; \fBplot\fR options like
filters, titles, and line styles remain on the \&'plot\&' command line.  This is
similar to << in unix shell script, and $DECK in VMS DCL.  The data are
entered as though they are being read from a file, one data point per record.
The letter "e" at the start of the first column terminates data entry.  The
\fBusing\fR option can be applied to these data---using it to filter them through
a function might make sense, but selecting columns probably doesn\&'t!

\fB\&'-\&'\fR is intended for situations where it is useful to have data and commands
together, e.g., when \fBgnuplot\fR is run as a sub-process of some front-end
application.  Some of the demos, for example, might use this feature.  While
\fBplot\fR options such as \fBindex\fR and \fBevery\fR are recognized, their use forces
you to enter data that won\&'t be used.  For example, while

.br
      plot '-' index 0, '-' index 1
.br
.br
      2
.br
.br
      4
.br
.br
      6
.br


.br
      10
.br
.br
      12
.br
.br
      14
.br
.br
      e
.br
.br
      2
.br
.br
      4
.br
.br
      6
.br


.br
      10
.br
.br
      12
.br
.br
      14
.br
.br
      e
.br

does indeed work,

.br
      plot '-', '-'
.br
.br
      2
.br
.br
      4
.br
.br
      6
.br
.br
      e
.br
.br
      10
.br
.br
      12
.br
.br
      14
.br
.br
      e
.br

is a lot easier to type.

If you use \fB\&'-\&'\fR with \fBreplot\fR, you may need to enter the data more than once
(see \fBreplot\fR).

A blank filename (\&'\&') specifies that the previous filename should be reused.
This can be useful with things like

.br
      plot 'a/very/long/filename' using 1:2, '' using 1:3, '' using 1:4
.br

(If you use both \fB\&'-\&'\fR and \fB\&'\&'\fR on the same \fBplot\fR command, you\&'ll need to
have two sets of inline data, as in the example above.)

On some computer systems with a popen function (Unix), the datafile can be
piped through a shell command by starting the file name with a \&'<\&'.  For
example,

.br
      pop(x) = 103*exp(-x/10)
.br
.br
      plot "< awk '{print $1-1965, $2}' population.dat", pop(x)
.br

would plot the same information as the first population example but with
years since 1965 as the x axis.  If you want to execute this example, you
have to delete all comments from the data file above or substitute the
following command for the first part of the command above (the part up to
the comma):

.br
      plot "< awk '$0 !~ /^#/ {print $1-1965, $2}' population.dat"
.br

While this approach is most flexible, it is possible to achieve simple
filtering with the \fBusing\fR or \fBthru\fR keywords.
.sp 2
.NH 3
Thru
.sp 1
.LP
.XS
Thru
.XE
The \fBthru\fR function is provided for backward compatibility.

Syntax:
.br
      plot 'file' thru f(x)
.br

It is equivalent to:

.br
      plot 'file' using 1:(f($2))
.br

While the latter appears more complex, it is much more flexible.  The more
natural

.br
      plot 'file' thru f(y)
.br

also works (i.e. you can use y as the dummy variable).

\fBthru\fR is parsed for \fBsplot\fR and \fBfit\fR but has no effect.
.sp 2
.NH 3
Using
.sp 1
.LP
.XS
Using
.XE
The most common datafile modifier is \fBusing\fR.

Syntax:
.br
      plot 'file' using {<entry> {:<entry> {:<entry> ...}}} {'format'}
.br

If a format is specified, each datafile record is read using the C library\&'s
\&\&'scanf\&' function, with the specified format string.  Otherwise the record is
read and broken into columns at spaces or tabs.  A format cannot be specified
if time-format data is being used (this must be done by \fBset data time\fR).

The resulting array of data is then sorted into columns according to the
entries.  Each <entry> may be a simple column number, which selects the
datum, an expression enclosed in parentheses, or empty.  The expression can
use $1 to access the first item read, $2 for the second item, and so on.  It
can also use \fBcolumn(x)\fR and \fBvalid(x)\fR where x is an arbitrary expression
resulting in an integer.  \fBcolumn(x)\fR returns the x\&'th datum; \fBvalid(x)\fR
tests that the datum in the x\&'th column is a valid number.  A column number
of 0 generates a number increasing (from zero) with each point, and is reset
upon encountering two blank records.  A column number of -1 gives the
dataline number, which starts at 0, increments at single blank records, and
is reset at double blank records.  A column number of -2 gives the index
number, which is incremented only when two blank records are found.  An empty
<entry> will default to its order in the list of entries.  For example,
\fBusing ::4\fR is interpreted as \fBusing 1:2:4\fR.

N.B.---the \fBcall\fR command also uses $\&'s as a special character.  See \fBcall\fR
for details about how to include a column number in a \fBcall\fR argument list.

If the \fBusing\fR list has but a single entry, that <entry> will be used for y
and the data point number is used for x; for example, "\fBplot \&'file\&' using 1\fR"
is identical to "\fBplot \&'file\&' using 0:1\fR".  If the \fBusing\fR list has two
entries, these will be used for x and y.  Additional entries are usually
errors in x and/or y.  See \fBset style\fR for details about plotting styles that
make use of error information, and \fBfit\fR for use of error information in
curve fitting.

\&\&'scanf\&' accepts several numerical specifications but \fBgnuplot\fR requires all
inputs to be double-precision floating-point variables, so \fBlf\fR is the only
permissible specifier.  \&'scanf\&' expects to see white space---a blank, tab
("\\t"), newline ("\\n"), or formfeed ("\\f")---between numbers; anything else
in the input stream must be explicitly skipped.

Note that the use of "\\t", "\\n", or "\\f" or requires use of double-quotes
rather than single-quotes.

Examples:

This creates a plot of the sum of the 2nd and 3rd data against the first:
(The format string specifies comma- rather than space-separated columns.)
.br
      plot 'file' using 1:($2+$3) '%lf,%lf,%lf'
.br

In this example the data are read from the file "MyData" using a more
complicated format:
.br
      plot "MyData" using "%*lf%lf%*20[^\\n]%lf"
.br

The meaning of this format is:

.br
      %*lf        ignore a number
.br
.br
      %lf         read a double-precision number (x by default)
.br
.br
      %*20[^\\n]   ignore 20 non-newline characters
.br
.br
      %lf         read a double-precision number (y by default)
.br

One trick is to use the ternary \fB?:\fR operator to filter data:

.br
      plot 'file' using 1:($3>10 ? $2 : 1/0)
.br

which plots the datum in column two against that in column one provided
the datum in column three exceeds ten.  \fB1/0\fR is undefined; \fBgnuplot\fR
quietly ignores undefined points, so unsuitable points are suppressed.

In fact, you can use a constant expression for the column number, provided it
doesn\&'t start with an opening parenthesis; constructs like \fBusing
0+(complicated expression)\fR can be used.  The crucial point is that the
expression is evaluated once if it doesn\&'t start with a left parenthesis, or
once for each data point read if it does.

If timeseries data are being used, the time can span multiple columns.  The
starting column should be specified.  Note that the spaces within the time
must be included when calculating starting columns for other data.  E.g., if
the first element on a line is a time with an embedded space, the y value
should be specified as column three.

It should be noted that \fBplot \&'file\&'\fR, \fBplot \&'file\&' using 1:2\fR, and \fBplot
\&\&'file\&' using ($1):($2)\fR can be subtly different: 1) if \fBfile\fR has some lines
with one column and some with two, the first will invent x values when they
are missing, the second will quietly ignore the lines with one column, and
the third will store an undefined value for lines with one point (so that in
a plot with lines, no line joins points across the bad point); 2) if a line
contains text at the first column, the first will abort the plot on an error,
but the second and third should quietly skip the garbage.

In fact, it is often possible to plot a file with lots of lines of garbage at
the top simply by specifying

.br
      plot 'file' using 1:2
.br

If you want to leave text in your data files, it is always safe to put the
comment character (#) in the first column of the text lines.
.sp 2
.RE
.br
.NH 2
Errorbars
.sp 1
.LP
.XS
Errorbars
.XE
Error bars are supported for 2-d data file plots by reading one to four
additional columns (or \fBusing\fR entries); these additional values are used in
different ways by the various errorbar styles.

In the default situation, \fBgnuplot\fR expects to see three, four, or six
numbers on each line of the data file---either

.br
      (x, y, ydelta),
.br
.br
      (x, y, ylow, yhigh),
.br
.br
      (x, y, xdelta),
.br
.br
      (x, y, xlow, xhigh),
.br
.br
      (x, y, xdelta, ydelta), or
.br
.br
      (x, y, xlow, xhigh, ylow, yhigh).
.br

The x coordinate must be specified.  The order of the numbers must be
exactly as given above, though the \fBusing\fR qualifier can manipulate the order
and provide values for missing columns.  For example,

.br
      plot 'file' with errorbars
.br
.br
      plot 'file' using 1:2:(sqrt($1)) with xerrorbars
.br
.br
      plot 'file' using 1:2:($1-$3):($1+$3):4:5 with xyerrorbars
.br

The last example is for a file containing an unsupported combination of
relative x and absolute y errors.  The \fBusing\fR entry generates absolute x min
and max from the relative error.

The y error bar is a vertical line plotted from (x, ylow) to (x, yhigh).
If ydelta is specified instead of ylow and yhigh, ylow = y - ydelta and
yhigh = y + ydelta are derived.  If there are only two numbers on the record,
yhigh and ylow are both set to y.  The x error bar is a horizontal line
computed in the same fashion.  To get lines plotted between the data points,
\fBplot\fR the data file twice, once with errorbars and once with lines (but
remember to use the \fBnotitle\fR option on one to avoid two entries in the key).

The error bars have crossbars at each end unless \fBset bar\fR is used (see \fBset
bar\fR for details).

If autoscaling is on, the ranges will be adjusted to include the error bars.

See \fBplot using\fR, \fBplot with\fR, and \fBset style\fR for more information.
.sp 2
.NH 2
Parametric
.sp 1
.LP
.XS
Parametric
.XE
When in parametric mode (\fBset parametric\fR) mathematical expressions must be
given in pairs for \fBplot\fR and in triplets for \fBsplot\fR.

Examples:
.br
      plot sin(t),t**2
.br
.br
      splot cos(u)*cos(v),cos(u)*sin(v),sin(u)
.br

Data files are plotted as before, except any preceding parametric function
must be fully specified before a data file is given as a plot.  In other
words, the x parametric function (\fBsin(t)\fR above) and the y parametric
function (\fBt**2\fR above) must not be interrupted with any modifiers or data
functions; doing so will generate a syntax error stating that the parametric
function is not fully specified.

Other modifiers, such as \fBwith\fR and \fBtitle\fR, may be specified only after the
parametric function has been completed:

.br
      plot sin(t),t**2 title 'Parametric example' with linespoints
.br
.sp 2
.NH 2
Ranges
.sp 1
.LP
.XS
Ranges
.XE
The optional ranges specify the region of the graph that will be displayed.

Syntax:
.br
      [{<dummy-var>=}{{<min>}:{<max>}}]
.br
.br
      [{{<min>}:{<max>}}]
.br

The first form applies to the independent variable (\fBxrange\fR or \fBtrange\fR, if
in parametric mode).  The second form applies to the dependent variable
\fByrange\fR (and \fBxrange\fR, too, if in parametric mode).  <dummy-var> is a new
name for the independent variable.  (The defaults may be changed with \fBset
dummy\fR.)  The optional <min> and <max> terms can be constant expressions or *.

In non-parametric mode, the order in which ranges must be given is \fBxrange\fR
and \fByrange\fR.

In parametric mode, the order for the \fBplot\fR command is \fBtrange\fR, \fBxrange\fR,
and \fByrange\fR.  The following \fBplot\fR command shows setting the \fBtrange\fR to
[-pi:pi], the \fBxrange\fR to [-1.3:1.3] and the \fByrange\fR to [-1:1] for the
duration of the graph:

.br
      plot [-pi:pi] [-1.3:1.3] [-1:1] sin(t),t**2
.br

Note that the x2range and y2range cannot be specified here---\fBset x2range\fR
and \fBset y2range\fR must be used.

Ranges are interpreted in the order listed above for the appropriate mode.
Once all those needed are specified, no further ones must be listed, but
unneeded ones cannot be skipped---use an empty range \fB[]\fR as a placeholder.

\fB*\fR can be used to allow autoscaling of either of min and max.  See also
\fBset autoscale\fR.

Ranges specified on the \fBplot\fR or \fBsplot\fR command line affect only that
graph; use the \fBset xrange\fR, \fBset yrange\fR, etc., commands to change the
default ranges for future graphs.

With time data, you must provide the range (in the same manner as the time
appears in the datafile) within quotes.  \fBgnuplot\fR uses the \fBtimefmt\fR string
to read the value---see \fBset timefmt\fR.

Examples:

This uses the current ranges:
.br
      plot cos(x)
.br

This sets the x range only:
.br
      plot [-10:30] sin(pi*x)/(pi*x)
.br

This is the same, but uses t as the dummy-variable:
.br
      plot [t = -10 :30]  sin(pi*t)/(pi*t)
.br

This sets both the x and y ranges:
.br
      plot [-pi:pi] [-3:3]  tan(x), 1/x
.br

This sets only the y range, and turns off autoscaling on both axes:
.br
      plot [ ] [-2:sin(5)*-8] sin(x)**besj0(x)
.br

This sets xmax and ymin only:
.br
      plot [:200] [-pi:]  exp(sin(x))
.br

This sets the x range for a timeseries:
.br
      set timefmt "%d/%m/%y %H:%M"
.br
.br
      plot ["1/6/93 12:00":"5/6/93 12:00"] 'timedata.dat'
.br

.sp 2
.NH 2
Title
.sp 1
.LP
.XS
Title
.XE
A line title for each function and data set appears in the key, accompanied
by a sample of the line and/or symbol used to represent it.  It can be
changed by using the \fBtitle\fR option.

Syntax:
.br
      title "<title>" | notitle
.br

where <title> is the new title of the line and must be enclosed in quotes.
The quotes will not be shown in the key.  A special character may be given as
a backslash followed by its octal value ("\\345").  The tab character "\\t" is
understood.  Note that backslash processing occurs only for strings enclosed
in double quotes---use single quotes to prevent such processing.  The newline
character "\\n" is not processed in key entries in either type of string.

The line title and sample can be omitted from the key by using the keyword
\fBnotitle\fR.  A null title (\fBtitle \&'\&'\fR) is equivalent to \fBnotitle\fR.  If only
the sample is wanted, use one or more blanks (\fBtitle \&' \&'\fR).

By default the line title is the function or file name as it appears on the
\fBplot\fR command.  If it is a file name, any datafile modifiers specified will
be included in the default title.

The layout of the key itself (position, title justification, etc.) can be
controlled by \fBset key\fR.  Please see \fBset key\fR for details.

Examples:

This plots y=x with the title \&'x\&':
.br
      plot x
.br

This plots x squared with title "x^2" and "data.1" with title \&'measured
data\&':
.br
      plot x**2 title "x^2", "data.1" t 'measured data'
.br

This puts an untitled circular border around a polar graph:
.br
      set polar; plot my_function(t), 1 notitle
.br
.sp 2
.NH 2
With
.sp 1
.LP
.XS
With
.XE
Functions and data may be displayed in one of a large number of styles.
The \fBwith\fR keyword provides the means of selection.

Syntax:
.br
      with <style> { {linestyle | ls <line_style>}
.br
.br
                     | {{linetype | lt <line_type>}
.br
.br
                        {linewidth | lw <line_width>}
.br
.br
                        {pointtype | pt <point_type>}
.br
.br
                        {pointsize | ps <point_size>}} }
.br

where <style> is either \fBlines\fR, \fBpoints\fR, \fBlinespoints\fR, \fBimpulses\fR, \fBdots\fR,
\fBsteps\fR, \fBfsteps\fR, \fBhisteps\fR, \fBerrorbars\fR, \fBxerrorbars\fR, \fByerrorbars\fR,
\fBxyerrorbars\fR, \fBboxes\fR, \fBboxerrorbars\fR, \fBboxxyerrorbars\fR, \fBfinancebars\fR,
\fBcandlesticks\fR or \fBvector\fR.  Some of these styles require additional
information.  See \fBset style <style>\fR for details of each style.

Default styles are chosen with the \fBset function style\fR and \fBset data style\fR
commands.

By default, each function and data file will use a different line type and
point type, up to the maximum number of available types.  All terminal
drivers support at least six different point types, and re-use them, in
order, if more are required.  The LaTeX driver supplies an additional six
point types (all variants of a circle), and thus will only repeat after 12
curves are plotted with points.  The PostScript drivers (\fBpostscript\fR)
supplies a total of 64.

If you wish to choose the line or point type for a single plot, <line_type>
and <point_type> may be specified.  These are positive integer constants (or
expressions) that specify the line type and point type to be used for the
plot.  Use \fBtest\fR to display the types available for your terminal.

You may also scale the line width and point size for a plot by using
<line_width> and <point_size>, which are specified relative to the default
values for each terminal.  The pointsize may also be altered globally---see
\fBset pointsize\fR for details.  But note that both <point_size> as set here and
as set by \fBset pointsize\fR multiply the default point size---their effects are
not cumulative.  That is, \fBset pointsize 2; plot x w p ps 3\fR will use points
three times default size, not six.

If you have defined specific line type/width and point type/size combinations
with \fBset linestyle\fR, one of these may be selected by setting <line_style> to
the index of the desired style.

The keywords may be abbreviated as indicated.

Note that the linewidth and pointsize options are not supported by all
terminals.

Examples:

This plots sin(x) with impulses:
.br
      plot sin(x) with impulses
.br

This plots x with points, x**2 with the default:
.br
      plot x*y w points, x**2 + y**2
.br

This plots tan(x) with the default function style, "data.1" with lines:
.br
      plot [ ] [-2:5] tan(x), "data.1" with l
.br

This plots "leastsq.dat" with impulses:
.br
      plot 'leastsq.dat' w i
.br

This plots the data file \&'population\&' with boxes:
.br
      plot "population" with boxes
.br

This plots "exper.dat" with errorbars and lines connecting the points
(\&'exper.dat\&' should have three or four data columns):
.br
      plot 'exper.dat' w lines, 'exper.dat' notitle w errorbars
.br

This plots sin(x) and cos(x) with linespoints, using the same line type but
different point types:
.br
      plot sin(x) with linesp lt 1 pt 3, cos(x) with linesp lt 1 pt 4
.br

This plots file "data" with points of type 3 and twice usual size:
.br
      plot "data" with points pointtype 3 pointsize 2
.br

This plots two data sets with lines differing only by weight:
.br
      plot "d1" t "good" w l lt 2 lw 3, "d2" t "bad" w l lt 2 lw 1
.br

See \fBset style\fR to change the default styles.
.sp 2
.RE
.br
.NH 1
Print
.sp 1
.LP
.XS
Print
.XE
The \fBprint\fR command prints the value of <expression> to the screen.  It is
synonymous with \fBpause 0\fR.  <expression> may be anything that \fBgnuplot\fR can
evaluate that produces a number, or it can be a string.

Syntax:
.br
      print <expression> {, <expression>, ...}
.br

See \fBexpressions\fR.
.sp 2
.NH 1
Pwd
.sp 1
.LP
.XS
Pwd
.XE
The \fBpwd\fR command prints the name of the working directory to the screen.
.sp 2
.NH 1
Quit
.sp 1
.LP
.XS
Quit
.XE
The \fBexit\fR and \fBquit\fR commands and END-OF-FILE character will exit \fBgnuplot\fR.
Each of these commands will clear the output device (as does the \fBclear\fR
command) before exiting.
.sp 2
.NH 1
Replot
.sp 1
.LP
.XS
Replot
.XE
The \fBreplot\fR command without arguments repeats the last \fBplot\fR or \fBsplot\fR
command.  This can be useful for viewing a plot with different \fBset\fR options,
or when generating the same plot for several devices.

Arguments specified after a \fBreplot\fR command will be added onto the last
\fBplot\fR or \fBsplot\fR command (with an implied \&',\&' separator) before it is
repeated.  \fBreplot\fR accepts the same arguments as the \fBplot\fR and \fBsplot\fR
commands except that ranges cannot be specified.  Thus you can use \fBreplot\fR
to plot a function against the second axes if the previous command was \fBplot\fR
but not if it was \fBsplot\fR, and similarly you can use \fBreplot\fR to add a plot
from a binary file only if the previous command was \fBsplot\fR.

N.B.---use of

.br
      plot '-' ; ... ; replot
.br

is not recommended.  \fBgnuplot\fR does not store the inline data internally, so
since \fBreplot\fR appends new information to the previous \fBplot\fR and then
executes the modified command, the \fB\&'-\&'\fR from the initial \fBplot\fR will expect
to read inline data again.

Note that \fBreplot\fR does not work in \fBmultiplot\fR mode, since it reproduces
only the last plot rather than the entire screen.

See also \fBcommand-line-editing\fR for ways to edit the last \fBplot\fR (\fBsplot\fR)
command.
.sp 2
.NH 1
Reread
.sp 1
.LP
.XS
Reread
.XE
The \fBreread\fR command causes the current \fBgnuplot\fR command file, as specified
by a \fBload\fR command or on the command line, to be reset to its starting
point before further commands are read from it.  This essentially implements
an endless loop of the commands from the beginning of the command file to
the \fBreread\fR command.  (But this is not necessarily a disaster---\fBreread\fR can
be very useful when used in conjunction with \fBif\fR.  See \fBif\fR for details.)
The \fBreread\fR command has no effect if input from standard input.

Examples:

Suppose the file "looper" contains the commands
.br
      a=a+1
.br
.br
      plot sin(x*a)
.br
.br
      pause -1
.br
.br
      if(a<5) reread
.br
and from within \fBgnuplot\fR you submit the commands
.br
      a=0
.br
.br
      load 'looper'
.br
The result will be four plots (separated by the \fBpause\fR message).

Suppose the file "data" contains six columns of numbers with a total yrange
from 0 to 10; the first is x and the next are five different functions of x.
Suppose also that the file "plotter" contains the commands
.br
      c_p = c_p+1
.br
.br
      plot "$0" using 1:c_p with lines linetype c_p
.br
.br
      if(c_p <  n_p) reread
.br
and from within \fBgnuplot\fR you submit the commands
.br
      n_p=6
.br
.br
      c_p=1
.br
.br
      set nokey
.br
.br
      set yrange [0:10]
.br
.br
      set multiplot
.br
.br
      call 'plotter' 'data'
.br
.br
      set nomultiplot
.br
The result is a single graph consisting of five plots.  The yrange must be
set explicitly to guarantee that the five separate graphs (drawn on top of
each other in multiplot mode) will have exactly the same axes.  The linetype
must be specified; otherwise all the plots would be drawn with the same type.
.sp 2
.NH 1
Reset
.sp 1
.LP
.XS
Reset
.XE
The \fBreset\fR command causes all options that can be set with the \fBset\fR
command to take on their default values.  The only exceptions are that the
terminal set with \fBset term\fR and the output file set with \fBset output\fR are
left unchanged.  This command is useful, e.g., to restore the default
settings at the end of a command file, or to return to a defined state after
lots of settings have been changed within a command file.  Please refer to
the \fBset\fR command to see the default values that the various options take.
.sp 2
.NH 1
Save
.sp 1
.LP
.XS
Save
.XE
The \fBsave\fR command saves user-defined functions, variables, \fBset\fR options,
or all three, plus the last \fBplot\fR (\fBsplot\fR) command to the specified file.

Syntax:
.br
      save  {<option>} "<filename>"
.br

where <option> is \fBfunctions\fR, \fBvariables\fR or \fBset\fR. If no option is used,
\fBgnuplot\fR saves functions, variables, \fBset\fR options and the last \fBplot\fR
(\fBsplot\fR) command.

\fBsave\fRd files are written in text format and may be read by the \fBload\fR
command.

The filename must be enclosed in quotes.

Examples:
.br
      save "work.gnu"
.br
.br
      save functions 'func.dat'
.br
.br
      save var 'var.dat'
.br
.br
      save set "options.dat"
.br
.sp 2
.NH 1
Set-show
.sp 1
.LP
.XS
Set-show
.XE
The \fBset\fR command sets _lots_ of options.  No screen is drawn, however, until
a \fBplot\fR, \fBsplot\fR, or \fBreplot\fR command is given.

The \fBshow\fR command shows their settings.  \fBshow all\fR shows all the
settings.

If a variable contains time/date data, \fBshow\fR will display it according to
the format currently defined by \fBset timefmt\fR, even if that was not in effect
when the variable was initially defined.
.sp 2
.RS
.IP
.NH 2
Angles
.sp 1
.LP
.XS
Angles
.XE
By default, \fBgnuplot\fR assumes the independent variable in polar graphs is in
units of radians.  If \fBset angles degrees\fR is specified before \fBset polar\fR,
then the default range is [0:360] and the independent variable has units of
degrees.  This is particularly useful for plots of data files.  The angle
setting also applies to 3-d mapping as set via the \fBset mapping\fR command.

Syntax:
.br
      set angles {degrees | radians}
.br
.br
      show angles
.br

The angle specified in \fBset grid polar\fR is also read and displayed in the
units specified by \fBset angles\fR.

\fBset angles\fR also affects the arguments of the machine-defined functions
sin(x), cos(x) and tan(x), and the outputs of asin(x), acos(x), atan(x),
atan2(x), and arg(x).  It has no effect on the arguments of hyperbolic
functions or Bessel functions.  Note that the output of inverse hyperbolic
functions of complex arguments are effected, however; if these functions are
used, \fBset angles radians\fR must be in effect:

.br
      x={1.0,0.1}
.br
.br
      set angles radians
.br
.br
      y=sinh(x)
.br
.br
      print y         #prints {1.16933, 0.154051}
.br
.br
      print asinh(y)  #prints {1.0, 0.1}
.br
but
.br
      set angles degrees
.br
.br
      y=sinh(x)
.br
.br
      print y         #prints {1.16933, 0.154051}
.br
.br
      print asinh(y)  #prints {57.29578, 5.729578}
.br
.sp 2
.NH 2
Arrow
.sp 1
.LP
.XS
Arrow
.XE
Arbitrary arrows can be placed on a plot using the \fBset arrow\fR command.

Syntax:
.br
      set arrow {<tag>} {from <position>} {to <position>} {{no}head}
.br
.br
                { {linestyle | ls <line_style>}
.br
.br
                  | {linetype | lt <line_type>}
.br
.br
                    {linewidth | lw <line_width} }
.br
.br
      set noarrow {<tag>}
.br
.br
      show arrow
.br

<tag> is an integer that identifies the arrow.  If no tag is given, the
lowest unused tag value is assigned automatically.  The tag can be used to
delete or change a specific arrow.  To change any attribute of an existing
arrow, use the \fBset arrow\fR command with the appropriate tag and specify the
parts of the arrow to be changed.

The <position>s are specified by either x,y or x,y,z, and may be preceded by
\fBfirst\fR, \fBsecond\fR, \fBgraph\fR, or \fBscreen\fR to select the coordinate system.
Unspecified coordinates default to 0.  The endpoints can be specified in
one of four coordinate systems---\fBfirst\fR or \fBsecond\fR axes, \fBgraph\fR or
\fBscreen\fR.  See \fBcoordinates\fR for details.  A coordinate system specifier
does not carry over from the "from" position to the "to" position.  Arrows
outside the screen boundaries are permitted but may cause device errors.

Specifying \fBnohead\fR produces an arrow drawn without a head---a line segment.
This gives you yet another way to draw a line segment on the plot.  By
default, arrows have heads.

The line style may be selected from a user-defined list of line styles (see
\fBset linestyle\fR) or may be defined here by providing values for <line_type>
(an index from the default list of styles) and/or <line_width> (which is a
multiplier for the default width).

Note, however, that if a user-defined line style has been selected, its
properties (type and width) cannot be altered merely by issuing another
\fBset arrow\fR command with the appropriate index and \fBlt\fR or \fBlw\fR.

Examples:

To set an arrow pointing from the origin to (1,2) with user-defined style 5,
use:
.br
      set arrow to 1,2 ls 5
.br

To set an arrow from bottom left of plotting area to (-5,5,3), and tag the
arrow number 3, use:
.br
      set arrow 3 from graph 0,0 to -5,5,3
.br

To change the preceding arrow to end at 1,1,1, without an arrow head and
double its width, use:
.br
      set arrow 3 to 1,1,1 nohead lw 2
.br

To draw a vertical line from the bottom to the top of the graph at x=3, use:
.br
      set arrow from 3, graph 0 to 3, graph 1 nohead
.br

To delete arrow number 2, use:
.br
      set noarrow 2
.br

To delete all arrows, use:
.br
      set noarrow
.br

To show all arrows (in tag order), use:
.br
      show arrow
.br
.sp 2
.NH 2
Autoscale
.sp 1
.LP
.XS
Autoscale
.XE
Autoscaling may be set individually on the x, y or z axis or globally on all
axes. The default is to autoscale all axes.

Syntax:
.br
      set autoscale {<axes>{min|max}}
.br
.br
      set noautoscale {<axes>{min|max}}
.br
.br
      show autoscale
.br

where <axes> is either \fBx\fR, \fBy\fR, \fBz\fR, \fBx2\fR, \fBy2\fR or \fBxy\fR.  A keyword with
\fBmin\fR or \fBmax\fR appended (this cannot be done with \fBxy\fR) tells \fBgnuplot\fR to
autoscale just the minimum or maximum of that axis.  If no keyword is given,
all axes are autoscaled.

When autoscaling, the axis range is automatically computed and the dependent
axis (y for a \fBplot\fR and z for \fBsplot\fR) is scaled to include the range of the
function or data being plotted.

If autoscaling of the dependent axis (y or z) is not set, the current y or z
range is used.

Autoscaling the independent variables (x for \fBplot\fR and x,y for \fBsplot\fR) is a
request to set the domain to match any data file being plotted.  If there are
no data files, autoscaling an independent variable has no effect.  In other
words, in the absence of a data file, functions alone do not affect the x
range (or the y range if plotting z = f(x,y)).

Please see \fBset xrange\fR for additional information about ranges.

The behavior of autoscaling remains consistent in parametric mode, (see \fBset
parametric\fR).  However, there are more dependent variables and hence more
control over x, y, and z axis scales.  In parametric mode, the independent or
dummy variable is t for \fBplot\fRs and u,v for \fBsplot\fRs.  \fBautoscale\fR in
parametric mode, then, controls all ranges (t, u, v, x, y, and z) and allows
x, y, and z to be fully autoscaled.

Autoscaling works the same way for polar mode as it does for parametric mode
for \fBplot\fR, with the extension that in polar mode \fBset dummy\fR can be used to
change the independent variable from t (see \fBset dummy\fR).

When tics are displayed on second axes but no plot has been specified for
those axes, x2range and y2range are inherited from xrange and yrange.  This
is done _before_ xrange and yrange are autoextended to a whole number of
tics, which can cause unexpected results.

Examples:

This sets autoscaling of the y axis (other axes are not affected):
.br
      set autoscale y
.br

This sets autoscaling only for the minimum of the y axis (the maximum of the
y axis and the other axes are not affected):
.br
      set autoscale ymin
.br

This sets autoscaling of the x and y axes:
.br
      set autoscale xy
.br

This sets autoscaling of the x, y, z, x2 and y2 axes:
.br
      set autoscale
.br

This disables autoscaling of the x, y, z, x2 and y2 axes:
.br
      set noautoscale
.br

This disables autoscaling of the z axis only:
.br
      set noautoscale z
.br
.sp 2
.RS
.IP
.NH 3
Parametric mode
.sp 1
.LP
.XS
Parametric mode
.XE
When in parametric mode (\fBset parametric\fR), the xrange is as fully scalable
as the y range.  In other words, in parametric mode the x axis can be
automatically scaled to fit the range of the parametric function that is
being plotted.  Of course, the y axis can also be automatically scaled just
as in the non-parametric case.  If autoscaling on the x axis is not set, the
current x range is used.

Data files are plotted the same in parametric and non-parametric mode.
However, there is a difference in mixed function and data plots: in
non-parametric mode with autoscaled x, the x range of the datafile controls
the x range of the functions; in parametric mode it has no influence.

For completeness a last command \fBset autoscale t\fR is accepted.  However, the
effect of this "scaling" is very minor.  When \fBgnuplot\fR determines that the
t range would be empty, it makes a small adjustment if autoscaling is true.
Otherwise, \fBgnuplot\fR gives an error.  Such behavior may, in fact, not be very
useful and the command \fBset autoscale t\fR is certainly questionable.

\fBsplot\fR extends the above ideas as you would expect.  If autoscaling is set,
then x, y, and z ranges are computed and each axis scaled to fit the
resulting data.
.sp 2
.NH 3
Polar mode
.sp 1
.LP
.XS
Polar mode
.XE
When in polar mode (\fBset polar\fR), the xrange and the yrange are both found
from the polar coordinates, and thus they can both be automatically scaled.
In other words, in polar mode both the x and y axes can be automatically
scaled to fit the ranges of the polar function that is being plotted.

When plotting functions in polar mode, the rrange may be autoscaled.  When
plotting data files in polar mode, the trange may also be autoscaled.  Note
that if the trange is contained within one quadrant, autoscaling will produce
a polar plot of only that single quadrant.

Explicitly setting one or two ranges but not others may lead to unexpected
results.
.sp 2
.RE
.br
.NH 2
Bar
.sp 1
.LP
.XS
Bar
.XE
The \fBset bar\fR command controls the tics at the ends of errorbars.

Syntax:
.br
      set bar {small | large | <size>}
.br
.br
      show bar
.br

\fBsmall\fR is a synonym for 0.0, and \fBlarge\fR for 1.0.
The default is 1.0 if no size is given.
.sp 2
.NH 2
Bmargin
.sp 1
.LP
.XS
Bmargin
.XE
The command \fBset bmargin\fR sets the size of the bottom margin.  Please see
\fBset margin\fR for details.
.sp 2
.NH 2
Border
.sp 1
.LP
.XS
Border
.XE
The \fBset border\fR and \fBset noborder\fR commands control the display of the graph
borders for the \fBplot\fR and \fBsplot\fR commands.

Syntax:
.br
      set border {<integer>}
.br
.br
      set noborder
.br
.br
      show border
.br

The borders are encoded in a 12-bit integer.  The bottom four bits control
the border for \fBplot\fR and the sides of the base for \fBsplot\fR, the next four
bits control the verticals in \fBsplot\fR and the top four bits control the edges
on top of the \fBsplot\fR.  In detail, the \fB<integer>\fR should be the sum of the
appropriate entries from the following table:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
@plot border@@
@and@@
@splot base@splot verticals@splot top
_
bottom (south)@1@16@256
left   (west)@2@32@512
top    (north)@4@64@1024
right  (east)@8@128@2048
.TE
.KE
.EQ
delim off
.EN


The default is 31, which is all four sides for \fBplot\fR, and base and z axis
for \fBsplot\fR.

To have tics on edges other than bottom and left, disable the usual tics and
enable the second axes.

Examples:

Draw all borders:
.br
      set border
.br

Draw only the SOUTHWEST borders:
.br
      set border 3
.br

Draw a complete box around a \fBsplot\fR:
.br
      set border 4095
.br

Draw a partial box, omitting the front vertical:
.br
      set border 127+256+512
.br

Draw only the NORTHEAST borders:
.br
      set noxtics; set noytics; set x2tics; set y2tics; set border 12
.br

.sp 2
.NH 2
Boxwidth
.sp 1
.LP
.XS
Boxwidth
.XE
The \fBset boxwidth\fR command is used to set the default width of boxes in the
\fBboxes\fR and \fBboxerrorbars\fR styles.

Syntax:
.br
      set boxwidth {<width>}
.br
.br
      show boxwidth
.br

If a data file is plotted without the width being specified in the third,
fourth, or fifth column (or \fBusing\fR entry), or if a function is plotted, the
width of each box is set by the \fBset boxwidth\fR command.  (If a width is given
both in the file and by the \fBset boxwidth\fR command, the one in the file is
used.)  If the width is not specified in one of these ways, the width of each
box will be calculated automatically so that it touches the adjacent boxes.
In a four-column data set, the fourth column will be interpreted as the box
width unless the width is set to -2.0, in which case the width will be
calculated automatically.  See \fBset style boxerrorbars\fR for more details.

To set the box width to automatic use the command
.br
      set boxwidth
.br
or, for four-column data,
.br
      set boxwidth -2
.br

The same effect can be achieved with the \fBusing\fR keyword in \fBplot\fR:
.br
      plot 'file' using 1:2:3:4:(-2)
.br
.sp 2
.NH 2
Clabel
.sp 1
.LP
.XS
Clabel
.XE
\fBgnuplot\fR will vary the linetype used for each contour level when clabel is
set.  When this option on (the default), a legend labels each linestyle with
the z level it represents.  It is not possible at present to separate the
contour labels from the surface key.

Syntax:
.br
      set clabel {'<format>'}
.br
.br
      set noclabel
.br
.br
      show clabel
.br

The default for the format string is %8.3g, which gives three decimal places.
This may produce poor label alignment if the key is altered from its default
configuration.

See also \fBset contour\fR.
.sp 2
.NH 2
Clip
.sp 1
.LP
.XS
Clip
.XE
\fBgnuplot\fR can clip data points and lines that are near the boundaries of a
graph.

Syntax:
.br
      set clip <clip-type>
.br
.br
      set noclip <clip-type>
.br
.br
      show clip
.br

Three clip types are supported by \fBgnuplot\fR: \fBpoints\fR, \fBone\fR, and \fBtwo\fR.
One, two, or all three clip types may be active for a single graph.

The \fBpoints\fR clip type forces \fBgnuplot\fR to clip (actually, not plot at all)
data points that fall within but too close to the boundaries.  This is done
so that large symbols used for points will not extend outside the boundary
lines.  Without clipping points near the boundaries, the plot may look bad.
Adjusting the x and y ranges may give similar results.

Setting the \fBone\fR clip type causes \fBgnuplot\fR to draw a line segment which has
only one of its two endpoints within the graph.  Only the in-range portion of
the line is drawn.  The alternative is to not draw any portion of the line
segment.

Some lines may have both endpoints out of range, but pass through the graph.
Setting the \fBtwo\fR clip-type allows the visible portion of these lines to be
drawn.

In no case is a line drawn outside the graph.

The defaults are \fBnoclip points\fR, \fBclip one\fR, and \fBnoclip two\fR.

To check the state of all forms of clipping, use
.br
      show clip
.br

For backward compatibility with older versions, the following forms are also
permitted:
.br
      set clip
.br
.br
      set noclip
.br

\fBset clip\fR is synonymous with \fBset clip points\fR; \fBset noclip\fR turns off all
three types of clipping.
.sp 2
.NH 2
Cntrparam
.sp 1
.LP
.XS
Cntrparam
.XE
\fBset cntrparam\fR controls the generation of contours and their smoothness for
a contour plot.

Syntax:
.br
      set cntrparam {  {linear | cubicspline | bspline}
.br
.br
                     | points <n> | order <n>
.br
.br
                     | levels  {auto} {<n>}
.br
.br
                             | discrete <z1> {,<z2>} ...
.br
.br
                             | incremental {<start>, <incr> {,<end>}} }
.br
.br
      show cntrparam
.br

This command controls the way contours are plotted.  <n> should be an
integral constant expression and <z1>, <z2> ... any constant expressions.
The parameters are:

\fBlinear\fR, \fBcubicspline\fR, \fBbspline\fR---Controls type of approximation or
interpolation.  If \fBlinear\fR, then the contours are drawn piecewise linear, as
extracted from the surface directly.  If \fBcubicspline\fR, then piecewise linear
contours are interpolated to form somewhat smoother contours, but which may
undulate.  If \fBbspline\fR, a guaranteed-smoother curve is drawn, which only
approximates the piecewise linear data.

\fBpoints\fR---Eventually all drawings are done with piecewise linear strokes.
This number controls the number of points used to approximate a curve.
It is relevant only for \fBcubicspline\fR and \fBbspline\fR modes.

\fBorder\fR---Order of the bspline approximation to be used.  The bigger this
order is, the smoother the resulting contour.  (Of course, higher order
bspline curves will move further away from the original piecewise linear
data.)  This option is relevant for \fBbspline\fR mode only.  Allowed values are
integers in the range from 2 (linear) to 10.

\fBlevels\fR---Approximate number of contour levels.  Selection of the levels is
controlled by \fBauto\fR (default), \fBdiscrete\fR, and \fBincremental\fR.  For \fBauto\fR,
if the surface is bounded by zmin and zmax, contours will be generated at
integer multiples of dz between zmin and zmax, where dz is 1, 2, or 5 times
some power of ten (like the step between two tic marks).  For \fBdiscrete\fR,
contours will be generated at z = <z1>, <z2> ... as specified.  The number of
discrete levels is limited to MAX_DISCRETE_LEVELS, defined in plot.h to be
30.  If \fBincremental\fR, contours are generated at values of z beginning at
<start> and increasing by <increment> until <end> is reached.  If <end> is
not specified, MAX_DISCRETE_LEVELS will be generated.

If the command \fBset cntrparam\fR is given without any arguments specified,  the
defaults are used: linear, 5 points, order 4, 5 \fBauto\fR levels.

Examples:
.br
      set cntrparam bspline
.br
.br
      set cntrparam points 7
.br
.br
      set cntrparam order 10
.br

To select 5 levels automatically:
.br
      set cntrparam levels auto 5
.br

To specify discrete levels at .1, .37, and .9:
.br
      set cntrparam levels discrete .1,1/exp(1),.9
.br

To specify levels from 0 to 4 with increment 1:
.br
      set cntrparam levels incremental  0,1,4
.br

To set the number of levels to 10 (retaining the current settings of auto,
discr. and increment\&'s start and increment value, while changing its end):
.br
      set cntrparam levels 10
.br

To set the start and increment while retaining the number of levels:
.br
      set cntrparam levels incremental 100,50
.br

See also \fBset contour\fR for control of where the contours are drawn, and \fBset
clabel\fR for control of the format of the contour labels.
.sp 2
.NH 2
Contour
.sp 1
.LP
.XS
Contour
.XE
\fBset contour\fR enables contour drawing for surfaces. This option is available
for \fBsplot\fR only.

Syntax:
.br
      set contour {base | surface | both}
.br
.br
      set nocontour
.br
.br
      show contour
.br

The three options specify where to draw the contours: \fBbase\fR draws the
contours on the grid base where the x/ytics are placed, \fBsurface\fR draws the
contours on the surfaces themselves, and \fBboth\fR draws the contours on both
the base and the surface.  If no option is provided, the default is \fBbase\fR.

See also \fBset cntrparam\fR for the parameters that affect the drawing of
contours, and \fBset clabel\fR for control of labelling of the contours.

The surface can be switched off (see \fBset surface\fR), giving a contour-only
graph.  Though it is possible to use \fBset view\fR to enlarge the plot to fill
the screen, better results can be obtained by writing the contour information
out to a file, and rereading it as a 2-d datafile plot:

.br
      set nosurface
.br
.br
      set contour
.br
.br
      set cntrparam ...
.br
.br
      set term table
.br
.br
      set out 'filename'
.br
.br
      splot ...
.br
.br
      set out
.br
.br
      # contour info now in filename
.br
.br
      set term <whatever>
.br
.br
      plot 'filename'
.br

In order to draw contours, the data must be organized as "grid data".  In
such a file all of the points for a single y value are listed, then all the
points for the next y, and so on.  A single blank line (a line containing no
characters other than blank spaces and a carriage return and/or a line feed)
separates one y value group from the next.  See also \fBplot datafile\fR.

If contours are desired from non-grid data, \fBset dgrid3d\fR can be used to
create an appropriate grid.  See \fBset dgrid3d\fR for more information.
.sp 2
.NH 2
Data style
.sp 1
.LP
.XS
Data style
.XE
The \fBset data style\fR command changes the default plotting style for data
plots.

Syntax:
.br
      set data style <style-choice>
.br
.br
      show data style
.br

See \fBset style\fR for the choices.  If no choice is given, the choices are
listed.  \fBshow data style\fR shows the current default data plotting style.
.sp 2
.NH 2
Dgrid3d
.sp 1
.LP
.XS
Dgrid3d
.XE
The \fBset dgrid3d\fR command enables and sets the different parameters for
non-grid to grid data mapping.

Syntax:
.br
      set dgrid3d {<row_size>} {,{<col_size>} {,<norm>}}
.br
.br
      set nodgrid3d
.br
.br
      show dgrid3d
.br

By default \fBdgrid3d\fR is disabled.  When enabled, 3-d data read from a file
are always treated as a scattered data set.  A grid with dimensions derived
from a bounding box of the scattered data and size as specified by the
row/col_size parameters is created for plotting and contouring.  The grid is
equally spaced in x and y; the z values are computed as weighted averages of
the scattered points\&' values.

The third parameter, norm, controls the weighting: each point is weighted
inversely by its distance (from the grid point) raised to the norm power.
(Actually it\&'s not quite the distance: the weights are given by the inverse
of dx^norm + dy^norm, where dx and dy are the components of the separation
of the grid point from each data point.)  Thus the closer the data point is
to a grid point, the more effect it has on that grid point.  In \fBgnuplot\fR,
this distance computation is optimized for norms that are powers of 2,
specifically 1, 2, 4, 8, and 16, but any non-negative integer can be used.

The \fBdgrid3d\fR option is a simple low pass filter that converts scattered data
to a grid data set.  More sophisticated approaches to this problem exist and
should be used to preprocess the data outside \fBgnuplot\fR if this simple
solution is found inadequate.

Examples:
.br
      set dgrid3d 10,10,1     # defaults
.br
.br
      set dgrid3d ,,4
.br

The first specifies that a grid of size 10 by 10 is to be constructed using
the L2 norm (a norm of 2 is to be used in the distance computation).  The
second only modifies the norm to be used to L4.

.sp 2
.NH 2
Dummy
.sp 1
.LP
.XS
Dummy
.XE
The \fBset dummy\fR command changes the default dummy variable names.

Syntax:
.br
      set dummy {<dummy-var>} {,<dummy-var>}
.br
.br
      show dummy
.br

By default, \fBgnuplot\fR assumes that the independent, or "dummy", variable for
the \fBplot\fR command is "t" if in parametric or polar mode, or "x" otherwise.
Similarly the independent variables for the \fBsplot\fR command are "u" and "v"
in parametric mode (\fBsplot\fR cannot be used in polar mode), or "x" and "y"
otherwise.

It may be more convenient to call a dummy variable by a more physically
meaningful or conventional name.  For example, when plotting time functions:

.br
      set dummy t
.br
.br
      plot sin(t), cos(t)
.br

At least one dummy variable must be set on the command; \fBset dummy\fR by itself
will generate an error message.

Examples:
.br
      set dummy u,v
.br
.br
      set dummy ,s
.br

The second example sets the second variable to s.
.sp 2
.NH 2
Encoding
.sp 1
.LP
.XS
Encoding
.XE
The \fBset encoding\fR command selects a character encoding.  Valid values are
\fBdefault\fR, which does nothing; \fBiso_8859_1\fR (known in the PostScript world as
\fBISO-Latin1\fR), which is used on many Unix workstations and with MS-Windows;
\fBcp850\fR, for OS/2; and \fBcp437\fR, for MS-DOS.

Syntax:
.br
      set encoding <value>
.br
.br
      show encoding
.br

Please note that this is not supported on all terminal types.  Note also that
the device must be able to produce the non-standard characters.
.sp 2
.NH 2
Format
.sp 1
.LP
.XS
Format
.XE
The format of the tic-mark labels can be set with the \fBset format\fR command.

Syntax:
.br
      set format {<axes>} {"<format-string>"}
.br
.br
      set format {<axes>} {'<format-string>'}
.br
.br
      show format
.br

where <axes> is either \fBx\fR, \fBy\fR, \fBz\fR, \fBxy\fR, \fBx2\fR, \fBy2\fR or nothing (which is
the same as \fBxy\fR).  The length of the string representing a ticmark (after
formatting with \&'printf\&') is restricted to 100 characters.  If the format
string is omitted, the format will be returned to the default "%g".  For
LaTeX users, the format "$%g$" is often desirable.  If the empty string "" is
used, no label will be plotted with each tic, though the tic mark will still
be plotted.  To eliminate all tic marks, use \fBset noxtics\fR or \fBset noytics\fR.

Newline (\\n) is accepted in the format string.  Use double-quotes rather than
single-quotes to enable such interpretation.  See also \fBsyntax\fR.

The default format for both axes is "%g", but other formats such as "%.2f" or
"%3.0em" are often desirable.  Anything accepted by \&'printf\&' when given a
double precision number, and accepted by the terminal, will work.  Some other
options have been added.  If the format string looks like a floating point
format, then \fBgnuplot\fR tries to construct a reasonable format.

Characters not preceded by "%" are printed verbatim.  Thus you can include
spaces and labels in your format string, such as "%g m", which will put " m"
after each number.  If you want "%" itself, double it: "%g %%".

The acceptable formats (if not in date/time mode) are:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Format@Explanation
_
%f@floating point notation
%e or %E@exponential notation; an "e" or "E" before the power
%g or %G@the shorter of %e (or %E) and %f
%x or %X@hex
%o or %O@octal
%t@mantissa to base 10
%l@mantissa to base of current logscale
%s@mantissa to base of current logscale; scientific power
%T@power to base 10
%L@power to base of current logscale
%S@scientific power
%c@character replacement for scientific power
%P@multiple of pi
_
.TE
.KE
.EQ
delim off
.EN


A \&'scientific\&' power is one such that the exponent is a multiple of three.
Character replacement of scientific powers (\fB"%c"\fR) has been implemented
for powers in the range -18 to +18.  For numbers outside of this range the
format reverts to exponential.

Other acceptable modifiers (which come after the "%" but before the format
specifier) are "-", which left-justifies the number; "+", which forces all
numbers to be explicitly signed; "#", which places a decimal point after
floats that have only zeroes following the decimal point; a positive integer,
which defines the field width; "0" (the digit, not the letter) immediately
preceding the field width, which indicates that leading zeroes are to be used
instead of leading blanks; and a decimal point followed by a non-negative
integer, which defines the precision (the minimum number of digits of an
integer, or the number of digits following the decimal point of a float).

Some releases of \&'printf\&' may not support all of these modifiers but may also
support others; in case of doubt, check the appropriate documentation and
then experiment.

Examples:
.br
      set format y "%t"; set ytics (5,10)          # "5.0" and "1.0"
.br
.br
      set format y "%s"; set ytics (500,1000)      # "500" and "1.0"
.br
.br
      set format y "+-12.3f"; set ytics(12345)     # "+12345.000  "
.br
.br
      set format y "%.2t*10^%+03T"; set ytic(12345)# "1.23*10^+04"
.br
.br
      set format y "%s*10^{%S}"; set ytic(12345)   # "12.345*10^{3}"
.br
.br
      set format y "%s %cg"; set ytic(12345)       # "12.345 kg"
.br
.br
      set format y "%.0P pi"; set ytic(6.283185)   # "2 pi"
.br
.br
      set format y "%.0P%%"; set ytic(50)          # "50%"
.br

.br
      set log y 2; set format y '%l'; set ytics (1,2,3)
.br
.br
      #displays "1.0", "1.0" and "1.5" (since 3 is 1.5 * 2^1)
.br

There are some problem cases that arise when numbers like 9.999 are printed
with a format that requires both rounding and a power.

If the data type for the axis is date/time, the format string must contain
valid codes for the \&'strftime\&' function (outside of \fBgnuplot\fR, type "man
strftime").  See \fBset timefmt\fR for a list of the allowed input format codes.

In date/time mode, the acceptable formats are:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Format@Explanation
_
%a@abbreviated name of day of the week
%A@full name of day of the week
%b or %h@abbreviated name of the month
%B@full name of the month
%d@day of the month, 1--31
%D@shorthand for "%m/%d/%y"
%H or %k@hour, 0--24
%I or %l@hour, 0--12
%j@day of the year, 1--366
%m@month, 1--12
%M@minute, 0--60
%p@"am" or "pm"
%r@shorthand for "%I:%M:%S %p"
%R@shorthand for %H:%M"
%S@second, 0--60
%T@shorthand for "%H:%M:%S"
%U@week of the year (week starts on Sunday)
%w@day of the week, 0--6 (Sunday = 0)
%W@week of the year (week starts on Monday)
%y@year, 0-99
%Y@year, 4-digit
_
.TE
.KE
.EQ
delim off
.EN


Except for the non-numerical formats, these may be preceded by a "0" ("zero",
not "oh") to pad the field length with leading zeroes, and a positive digit,
to define the minimum field width (which will be overridden if the specified
width is not large enough to contain the number).  There is a 24-character
limit to the length of the printed text; longer strings will be truncated.

Examples:

Suppose the text is "76/12/25 23:11:11".  Then
.br
      set format x                 # defaults to "12/25/76" \\n "23:11"
.br
.br
      set format x "%A, %d %b %Y"  # "Saturday, 25 Dec 1976"
.br
.br
      set format x "%r %d"         # "11:11:11 pm 12/25/76"
.br

Suppose the text is "98/07/06 05:04:03".  Then
.br
      set format x "%1y/%2m/%3d %01H:%02M:%03S"  # "98/ 7/  6 5:04:003"
.br

See also \fBset xtics\fR for more information about tic labels.
.sp 2
.NH 2
Function style
.sp 1
.LP
.XS
Function style
.XE
The \fBset function style\fR command changes the default plotting style for
function plots.

Syntax:
.br
      set function style <style-choice>
.br
.br
      show function style
.br

See \fBset style\fR for the choices.  If no choice is given, the choices are
listed.  \fBshow function style\fR shows the current default function plotting
style.
.sp 2
.NH 2
Functions
.sp 1
.LP
.XS
Functions
.XE
The \fBshow functions\fR command lists all user-defined functions and their
definitions.

Syntax:
.br
      show functions
.br

For information about the definition and usage of functions in \fBgnuplot\fR,
please see \fBexpressions\fR and \fBuser-defined\fR.
.sp 2
.NH 2
Grid
.sp 1
.LP
.XS
Grid
.XE
The \fBset grid\fR command allows grid lines to be drawn on the plot.

Syntax:
.br
      set grid {{no}{m}xtics} {{no}{m}ytics} {{no}{m}ztics}
.br
.br
               {{no}{m}x2tics} {{no}{m}y2tics}
.br
.br
               {polar {<angle>}} {<major_linetype> {<minor_linetype>}}
.br
.br
      set nogrid
.br
.br
      show grid
.br

The grid can be enabled and disabled for the major and/or minor tic marks on
any axis, and the linetype can be specified for major and minor grid lines.
But note that <major_linetype> and <minor_linetype> are indices in the
default linetype list provided by the terminal; user-defined linetypes (via
the \fBset linestyle\fR command) are not accessible for grid lines.

Additionally, a polar grid can be selected for 2-d plots---circles are drawn
to intersect the selected tics, and radial lines are drawn at definable
intervals.  (The interval is given in degrees or radians ,depending on the
\fBset angles\fR setting.)  Note that a polar grid is no longer automatically
generated in polar mode.

The pertinent tics must be enabled before \fBset grid\fR can draw them; \fBgnuplot\fR
will quietly ignore instructions to draw grid lines at non-existent tics, but
they will appear if the tics are subsequently enabled.

If no linetype is specified for the minor gridlines, the same linetype as the
major gridlines is used.  The default polar angle is 30 degrees.

Z grid lines are drawn on the back of the plot.  This looks better if a
partial box is drawn around the plot---see \fBset border\fR.
.sp 2
.NH 2
Hidden3d
.sp 1
.LP
.XS
Hidden3d
.XE
The \fBset hidden3d\fR command enables hidden line removal for explicit surface
plotting (see \fBsplot\fR).

Syntax:
.br
      set hidden3d
.br
.br
      set nohidden3d
.br
.br
      show hidden3d
.br

Hidden line removal may be used for both explicit functions and for explicit
data.  It now works for parametric surfaces as well.  This mode is meaningful
only when surfaces are \fBsplot\fRted \fBwith lines\fR.

When this flag is set, both the hidden portion of the surface and possibly
its hidden contours (see \fBset contour\fR) as well as the hidden grid will be
removed.  Each surface has its hidden parts removed with respect to itself
and to other surfaces, if more than one surface is plotted.  But contours
drawn on the surface (\fBset contour surface\fR) don\&'t seem to work.  Labels and
arrows are always visible and are unaffected.
.sp 2
.NH 2
Isosamples
.sp 1
.LP
.XS
Isosamples
.XE
The isoline density of surfaces may be changed by the \fBset isosamples\fR
command.

Syntax:
.br
      set isosamples <iso_1> {,<iso_2>}
.br
.br
      show isosamples
.br

Each surface plot will have <iso_1> iso-u lines and <iso_2> iso-v lines.  If
you only specify <iso_1>, <iso_2> will be set to the same value as <iso_1>.
By default, sampling is set to 10 isolines per u or v axis.  A higher
sampling rate will produce more accurate plots, but will take longer.  These
parameters have no effect on data file plotting.

An isoline is a curve parameterized by one of the surface parameters while
the other surface parameter is fixed.  Isolines provide a simple means to
display a surface.  By fixing the u parameter of surface s(u,v), the iso-u
lines of the form c(v) = s(u0,v) are produced, and by fixing the v parameter,
the iso-v lines of the form c(u) = s(u,v0) are produced.

When a surface plot is being done without the removal of hidden lines, \fBset
samples\fR also has an effect on the number of points being evaluated---it
controls the number of points sampled along each isoline.  See \fBset samples\fR.
.sp 2
.NH 2
Key
.sp 1
.LP
.XS
Key
.XE
The \fBset key\fR enables a key (or legend) describing plots on a plot.

The contents of the key, i.e., the names given to each plotted data set and
function and samples of the lines and/or symbols used to represent them, are
determined by the \fBtitle\fR and \fBwith\fR options of the {\fBs\fR}\fBplot\fR command.
Please see \fBplot title\fR and \fBplot with\fR for more information.

Syntax:
.br
      set key {  left | right | top | bottom | outside | below
.br
.br
               | <position>}
.br
.br
              {Left | Right} {{no}reverse}
.br
.br
              {samplen <sample_length>} {spacing <vertical_spacing>}
.br
.br
              {width <width_increment>}
.br
.br
              {title "<text>"} {{no}box {<linetype>}}
.br
.br
      set nokey
.br
.br
      show key
.br

By default the key is placed in the upper right corner of the graph.  The
keywords \fBleft\fR, \fBright\fR, \fBtop\fR, \fBbottom\fR, \fBoutside\fR and \fBbelow\fR may be used
to place the key in the other corners inside the graph or to the right
(outside) or below the graph.  They may be given alone or combined.

Justification of the labels within the key is controlled by \fBLeft\fR or \fBRight\fR
(default is \fBRight\fR).  The text and sample can be reversed (\fBreverse\fR) and a
box can be drawn around the key (\fBbox {<linetype>}\fR) in a specified linetype.
But note that <linetype> is an index in the default linetype list provided by
the terminal; user-defined linetypes (via the \fBset linestyle\fR command) are
not accessible for the key box.

The length of the sample line can be controlled by \fBsamplen\fR.  The sample
length is computed as the sum of the tic length and <sample_length> times the
character width.  \fBsamplen\fR also affects the positions of point samples in
the key since these are drawn at the midpoint of the sample line, even if it
is not drawn.  <sample_length> must be an integer.

The vertical spacing between lines is controlled by \fBspacing\fR.  The spacing
is set equal to the product of the pointsize, the vertical tic size, and
<vertical_spacing>.  The program will guarantee that the vertical spacing is
no smaller than the character height.

The <width_increment> is a number of character widths to be added to or
subtracted from the length of the string.  This is useful only when you are
putting a box around the key and you are using control characters in the text.
\fBgnuplot\fR simply counts the number of characters in the string when computing
the box width; this allows you to correct it.

A title can be put on the key (\fBtitle "<text>"\fR)---see also \fBsyntax\fR for the
distinction between text in single- or double-quotes.  The key title uses the
same justification as do the plot titles.

The defaults for \fBset key\fR are \fBright\fR, \fBtop\fR, \fBRight\fR, \fBnoreverse\fR, \fBsamplen
4\fR, \fBspacing 1.25\fR, \fBtitle ""\fR, and \fBnobox\fR.  The default <linetype> is the
same as that used for the plot borders.  Entering \fBset key\fR with no options
returns the key to its default configuration.

The <position> can be a simple x,y,z as in previous versions, but these can
be preceded by one of four keywords (\fBfirst\fR, \fBsecond\fR, \fBgraph\fR, \fBscreen\fR)
which selects the coordinate system in which the position is specified.  See
\fBcoordinates\fR for more details.

The key is drawn as a sequence of lines, with one plot described on each
line.  On the right-hand side (or the left-hand side, if \fBreverse\fR is
selected) of each line is a representation that attempts to mimic the way the
curve is plotted.  On the other side of each line is the text description
(the line title), obtained from the \fBplot\fR command.  The lines are vertically
arranged so that an imaginary straight line divides the left- and right-hand
sides of the key.  It is the coordinates of the top of this line that are
specified with the \fBset key\fR command.  In a \fBplot\fR, only the x and y
coordinates are used to specify the line position.  For a \fBsplot\fR, x, y and
z are all used as a 3-d location mapped using the same mapping as the graph
itself to form the required 2-d screen position of the imaginary line.

Some or all of the key may be outside of the graph boundary, although this
may interfere with other labels and may cause an error on some devices.  If
you use the keywords \fBoutside\fR or \fBbelow\fR, \fBgnuplot\fR makes space for the keys
and the graph becomes smaller.  Putting keys outside to the right, they
occupy as few columns as possible, and putting them below, as many columns as
possible (depending of the length of the labels), thus stealing as little
space from the graph as possible.

When using the TeX or PostScript drivers, or similar drivers where formatting
information is embedded in the string, \fBgnuplot\fR is unable to calculate
correctly the width of the string for key positioning.  If the key is to be
positioned at the left, it may be convenient to use the combination  \fBset key
left Left reverse\fR.  The box and gap in the grid will be the width of the
literal string.

If \fBsplot\fR is being used to draw contours, the contour labels will be listed
in the key.  If the alignment of these labels is poor or a different number
of decimal places is desired, the label format can be specified.  See \fBset
clabel\fR for details.

Examples:

This places the key at the default location:
.br
      set key
.br

This disables the key:
.br
      set nokey
.br

This places a key at coordinates 2,3.5,2 in the default (first) coordinate
system:
.br
      set key 2,3.5,2
.br

This places the key below the graph:
.br
      set key below
.br

This places the key in the bottom left corner, left-justifies the text,
gives it a title, and draws a box around it in linetype 3:
.br
      set key left bottom Left title 'Legend' box 3
.br
.sp 2
.NH 2
Label
.sp 1
.LP
.XS
Label
.XE
Arbitrary labels can be placed on the plot using the \fBset label\fR command.

Syntax:
.br
      set label {<tag>} {"<label_text>"} {at <position>}
.br
.br
                {<justification>} {{no}rotate} {font "<name><,size>"}
.br
.br
      set nolabel {<tag>}
.br
.br
      show label
.br

The <position> is specified by either x,y or x,y,z, and may be preceded by
\fBfirst\fR, \fBsecond\fR, \fBgraph\fR, or \fBscreen\fR to select the coordinate system.
See \fBcoordinates\fR for details.

The tag is an integer that is used to identify the label. If no <tag> is
given, the lowest unused tag value is assigned automatically.  The tag can be
used to delete or modify a specific label.  To change any attribute of an
existing label, use the \fBset label\fR command with the appropriate tag, and
specify the parts of the label to be changed.

By default, the text is placed flush left against the point x,y,z.  To adjust
the way the label is positioned with respect to the point x,y,z, add the
parameter <justification>, which may be \fBleft\fR, \fBright\fR or \fBcenter\fR,
indicating that the point is to be at the left, right or center of the text.
Labels outside the plotted boundaries are permitted but may interfere with
axis labels or other text.

If \fBrotate\fR is given, the label is written vertically (if the terminal can do
so, of course).

If one (or more) axis is timeseries, the appropriate coordinate should be
given as a quoted time string according to the \fBtimefmt\fR format string.  See
\fBset xdata\fR and \fBset timefmt\fR.

The EEPIC, Imagen, LaTeX, and TPIC drivers allow \\\\ in a string to specify
a newline.

Examples:

To set a label at (1,2) to "y=x", use:
.br
      set label "y=x" at 1,2
.br

To set a label of the sign Sigma of size 24 at the center of the graph, use:
.br
      set label "S" at graph 0.5,0.5 center font "Symbol,24"
.br

To set a label "y=x^2" with the right of the text at (2,3,4), and tag the
label as number 3, use:
.br
      set label 3 "y=x^2" at 2,3,4 right
.br

To change the preceding label to center justification, use:
.br
      set label 3 center
.br

To delete label number 2, use:
.br
      set nolabel 2
.br

To delete all labels, use:
.br
      set nolabel
.br

To show all labels (in tag order), use:
.br
      show label
.br

To set a label on a graph with a timeseries on the x axis, use, for example:
.br
      set timefmt "%d/%m/%y,%H:%M"
.br
.br
      set label "Harvest" at "25/8/93",1
.br
.sp 2
.NH 2
Linestyle
.sp 1
.LP
.XS
Linestyle
.XE
Each terminal has a default set of line and point types, which can be seen
by using the command \fBtest\fR.  \fBset linestyle\fR defines a set of line types
and widths and point types and sizes so that you can refer to them later by
an index instead of repeating all the information at each invocation.

Syntax:
.br
      set linestyle <index> {linetype | lt <line_type>}
.br
.br
                            {linewidth | lw <line_width>}
.br
.br
                            {pointtype | pt <point_type>}
.br
.br
                            {pointsize | ps <point_size>}
.br
.br
      set nolinestyle
.br
.br
      show linestyle
.br

The line and point types are taken from the default types for the terminal
currently in use.  The line width and point size are multipliers for the
default width and size (but note that <point_size> here is unaffected by
the multiplier given on \&'set pointsize\&').

The defaults for the line and point types is the index.  The defaults for
the width and size are both unity.

Linestyles created by this mechanism do not replace the default styles;
both may be used.

Not all terminals support the line width and point size features, so these
terminals obviously cannot fully support \fBset linestyle\fR.

Note that this feature is not completely installed; linestyles defined by
this mechanism may be used with \&'plot\&', \&'splot\&', \&'replot\&', and \&'set arrow\&',
but not by other commands that allow the default index to be used, such as
\&\&'set grid\&'.

Example:
Suppose that the default lines for indices 1, 2, and 3 are red, green, and
blue, respectively, and the default point shapes for the same indices are a
square, a cross, and a triangle, respectively.  Then

.br
      set linestyle 1 lt 2 lw 2 pt 3 ps 0.5
.br

defines a new linestyle that is green and twice the default width and a new
pointstyle that is a half-sized triangle.  The commands

.br
      set function style lines
.br
.br
      plot f(x) lt 3, g(x) ls 1
.br

will create a plot of f(x) using the default blue line and a plot of g(x)
using the user-defined wide green line.  Similarly the commands

.br
      set function style linespoints
.br
.br
      plot p(x) lt 1 pt 3, q(x) ls 1
.br

will create a plot of f(x) using the default triangles connected by a red
line and q(x) using small triangles connected by a green line.
.sp 2
.NH 2
Lmargin
.sp 1
.LP
.XS
Lmargin
.XE
The command \fBset lmargin\fR sets the size of the left margin.  Please see
\fBset margin\fR for details.
.sp 2
.NH 2
Locale
.sp 1
.LP
.XS
Locale
.XE
The \fBlocale\fR setting determines the language with which \fB{x,y,z}{d,m}tics\fR
will write the days and months.

Syntax:
.br
      set locale {"<locale>"}
.br

<locale> may be any language designation acceptable to your installation.
See your system documentation for the available options.  The default value
is determined from the LANG environment variable.
.sp 2
.NH 2
Logscale
.sp 1
.LP
.XS
Logscale
.XE
Log scaling may be set on the x, y, z, x2 and/or y2 axes.

Syntax:
.br
      set logscale <axes> <base>
.br
.br
      set nologscale <axes>
.br
.br
      show logscale
.br

where <axes> may be any combinations of \fBx\fR, \fBy\fR, and \fBz\fR, in any order, or
\fBx2\fR or \fBy2\fR and where <base> is the base of the log scaling.  If <base> is
not given, then 10 is assumed.  If <axes> is not given, then all axes are
assumed.  \fBset nologscale\fR turns off log scaling for the specified axes.

Examples:

To enable log scaling in both x and z axes:
.br
      set logscale xz
.br

To enable scaling log base 2 of the y axis:
.br
      set logscale y 2
.br

To disable z axis log scaling:
.br
      set nologscale z
.br
.sp 2
.NH 2
Mapping
.sp 1
.LP
.XS
Mapping
.XE
If data are provided to \fBsplot\fR in spherical or cylindrical coordinates,
the \fBset mapping\fR command should be used to instruct \fBgnuplot\fR how to
interpret them.

Syntax:
.br
      set mapping {cartesian | spherical | cylindrical}
.br

A cartesian coordinate system is used by default.

For a spherical coordinate system, the data occupy two or three columns (or
\fBusing\fR entries).  The first two are interpreted as the polar and azimuthal
angles theta and phi (in the units specified by \fBset angles\fR).  The radius r
is taken from the third column if there is one, or is set to unity if there
is no third column.  The mapping is:

.br
      x = r * cos(theta) * cos(phi)
.br
.br
      y = r * sin(theta) * cos(phi)
.br
.br
      z = r * sin(phi)
.br

Note that this is a "geographic" spherical system, rather than a "polar" one.

For a cylindrical coordinate system, the data again occupy two or three
columns.  The first two are interpreted as theta (in the units specified by
\fBset angles\fR) and z.  The radius is either taken from the third column or set
to unity, as in the spherical case.  The mapping is:

.br
      x = r * cos(theta)
.br
.br
      y = r * sin(theta)
.br
.br
      z = z
.br

The effects of \fBmapping\fR can be duplicated with the \fBusing\fR filter on the
\fBsplot\fR command, but \fBmapping\fR may be more convenient if many data files are
to be processed.  However even if \fBmapping\fR is used, \fBusing\fR may still be
necessary if the data in the file are not in the required order.

\fBmapping\fR has no effect on \fBplot\fRs.
.sp 2
.NH 2
Margin
.sp 1
.LP
.XS
Margin
.XE
Normally the margins of the plot are automatically calculated based on tics
and axis labels.  These computed values can be overridden by the \fBset margin\fR
commands.  \fBshow margin\fR shows the current settings.

Syntax:
.br
      set bmargin {<margin>}
.br
.br
      set lmargin {<margin>}
.br
.br
      set rmargin {<margin>}
.br
.br
      set tmargin {<margin>}
.br
.br
      show margin
.br

The units of <margin> are character heights or widths, as appropriate.  A
positive value defines the absolute size of the margin.  A negative value (or
none) causes \fBgnuplot\fR to revert to the computed value.
.sp 2
.NH 2
Missing
.sp 1
.LP
.XS
Missing
.XE
The \fBset missing\fR command allows you to tell \fBgnuplot\fR what character is
used in a data file to denote missing data.

Syntax:
.br
      set missing {"<character>"}
.br
.br
      show missing
.br

Example:
.br
      set missing "?"
.br

would mean that, when plotting a file containing

.br
         1 1
.br
.br
         2 ?
.br
.br
         3 2
.br

the middle line would be ignored.

There is no default character for \fBmissing\fR.
.sp 2
.NH 2
Multiplot
.sp 1
.LP
.XS
Multiplot
.XE
The command \fBset multiplot\fR places \fBgnuplot\fR in the multiplot mode, in which
several plots are placed on the same page, window, or screen.

Syntax:
.br
      set multiplot
.br
.br
      set nomultiplot
.br

For some terminals, no plot is displayed until the command \fBset nomultiplot\fR
is given, which causes the entire page to be drawn and then returns \fBgnuplot\fR
to its normal single-plot mode.  For other terminals, each separate \fBplot\fR
command produces a plot, but the screen may not be cleared between plots.

Any labels or arrows that have been defined will be drawn for each plot
according to the current size and origin (unless their coordinates are
defined in the \fBscreen\fR system).  Just about everything else that can be
\fBset\fR is applied to each plot, too.  If you want something to appear only
once on the page, for instance a single time stamp, you\&'ll need to put a \fBset
time\fR/\fBset notime\fR pair around one of the \fBplot\fR, \fBsplot\fR or \fBreplot\fR
commands within the \fBset multiplot\fR/\fBset nomultiplot\fR block.

The commands \fBset origin\fR and \fBset size\fR must be used to correctly position
each plot; see \fBset origin\fR and \fBset size\fR for details of their usage.

Example:
.br
      set size 0.7,0.7
.br
.br
      set origin 0.1,0.1
.br
.br
      set multiplot
.br
.br
      set size 0.4,0.4
.br
.br
      set origin 0.1,0.1
.br
.br
      plot sin(x)
.br
.br
      set size 0.2,0.2
.br
.br
      set origin 0.5,0.5
.br
.br
      plot cos(x)
.br
.br
      set nomultiplot
.br

displays a plot of cos(x) stacked above a plot of sin(x).  Note the initial
\fBset size\fR and \fBset origin\fR.  While these are not always required, their
inclusion is recommended.  Some terminal drivers require that bounding box
information be available before any plots can be made, and the form given
above guarantees that the bounding box will include the entire plot array
rather than just the bounding box of the first plot.

\fBset size\fR and \fBset origin\fR refer to the entire plotting area used for each
plot.  If you want to have the axes themselves line up, perhaps to avoid
having to label all of them, you need to guarantee that the margins are the
same size.  This can be done with the \fBset margin\fR commands.  Please see \fBset
margin\fR for their use.
.sp 2
.NH 2
Mx2tics
.sp 1
.LP
.XS
Mx2tics
.XE
Minor tic marks along the x2 (top) axis are controlled by \fBset mx2tics\fR.
Please see \fBset mxtics\fR.
.sp 2
.NH 2
Mxtics
.sp 1
.LP
.XS
Mxtics
.XE
Minor tic marks along the x axis are controlled by \fBset mxtics\fR.  They can be
turned off with \fBset nomxtics\fR.  Similar commands control minor tics along
the other axes.

Syntax:
.br
      set mxtics {<freq> | default}
.br
.br
      set nomxtics
.br
.br
      show mxtics
.br

The same syntax applies to \fBmytics\fR, \fBmztics\fR, \fBmx2tics\fR and \fBmy2tics\fR.

<freq> is the number of sub-intervals (NOT the number of minor tics) between
major tics (ten is the default for a linear axis, so there are nine minor
tics between major tics). Selecting \fBdefault\fR will return the number of minor
ticks to its default value.

If the axis is logarithmic, the number of sub-intervals will be set to a
reasonable number by default (based upon the length of a decade).  This will
be overridden if <freq> is given.  However the usual minor tics (2, 3, ...,
8, 9 between 1 and 10, for example) are obtained by setting <freq> to 10,
even though there are but nine sub-intervals.

Minor tics can be used only with uniformly spaced major tics.  Since major
tics can be placed arbitrarily by \fBset {x|x2|y|y2|z}tics\fR, minor tics cannot
be used if major tics are explicitly \fBset\fR.

By default, minor tics are off for linear axes and on for logarithmic axes.
They inherit the settings for \fBaxis|border\fR and \fB{no}mirror\fR specified for
the major tics.  Please see \fBset xtics\fR for information about these.
.sp 2
.NH 2
My2tics
.sp 1
.LP
.XS
My2tics
.XE
Minor tic marks along the y2 (right-hand) axis are controlled by \fBset
my2tics\fR.  Please see \fBset mxtics\fR.
.sp 2
.NH 2
Mytics
.sp 1
.LP
.XS
Mytics
.XE
Minor tic marks along the y axis are controlled by \fBset mytics\fR.  Please
see \fBset mxtics\fR.
.sp 2
.NH 2
Mztics
.sp 1
.LP
.XS
Mztics
.XE
Minor tic marks along the z axis are controlled by \fBset mztics\fR.  Please
see \fBset mxtics\fR.
.sp 2
.NH 2
Offsets
.sp 1
.LP
.XS
Offsets
.XE
Offsets provide a mechanism to put a boundary around the data inside of an
autoscaled graph.

Syntax:
.br
      set offsets <left>, <right>, <top>, <bottom>
.br
.br
      set nooffsets
.br
.br
      show offsets
.br

Each offset may be a constant or an expression.  Each defaults to 0.  Left
and right offsets are given in units of the x axis, top and bottom offsets in
units of the y axis.  A positive offset expands the graph in the specified
direction, e.g., a positive bottom offset makes ymin more negative.  Negative
offsets, while permitted, can have unexpected interactions with autoscaling
and clipping.

Offsets are ignored in \fBsplot\fRs.

Example:
.br
      set offsets 0, 0, 2, 2
.br
.br
      plot sin(x)
.br

This graph of sin(x) will have a y range [-3:3] because the function
will be autoscaled to [-1:1] and the vertical offsets are each two.
.sp 2
.NH 2
Origin
.sp 1
.LP
.XS
Origin
.XE
The \fBset origin\fR command is used to specify the origin of a plotting surface
(i.e., the graph and its margins) on the screen.  The coordinates are given
in the \fBscreen\fR coordinate system (see \fBcoordinates\fR for information about
this system).

Syntax:
.br
      set origin <x-origin>,<y-origin>
.br
.sp 2
.NH 2
Output
.sp 1
.LP
.XS
Output
.XE
By default, screens are displayed to the standard output. The \fBset output\fR
command redirects the display to the specified file or device.

Syntax:
.br
      set output {"<filename>"}
.br
.br
      show output
.br

The filename must be enclosed in quotes.  If the filename is omitted, any
output file opened by a previous invocation of \fBset output\fR will be closed
and new output will be sent to STDOUT.  (If you give the command \fBset output
"STDOUT"\fR, your output may be sent to a file named "STDOUT"!  ["May be", not
"will be", because some terminals, like \fBx11\fR, ignore \fBset output\fR.])

MSDOS users should note that the \\ character has special significance in
double-quoted strings, so single-quotes should be used for filenames in
different directories.

When both \fBset terminal\fR and \fBset output\fR are used together, it is safest to
give \fBset terminal\fR first, because some terminals set a flag which is needed
in some operating systems.  This would be the case, for example, if the
operating system needs to know whether or not a file is to be formatted in
order to open it properly.

On machines with popen functions (Unix), output can be piped through a shell
command if the first character of the filename is \&'|\&'.  For instance,

.br
      set output "|lpr -Plaser filename"
.br
.br
      set output "|lp -dlaser filename"
.br

On MSDOS machines, \fBset output "PRN"\fR will direct the output to the default
printer.  On VMS, output can be sent directly to any spooled device.  It is
also possible to send the output to DECnet transparent tasks, which allows
some flexibility.
.sp 2
.NH 2
Parametric
.sp 1
.LP
.XS
Parametric
.XE
The \fBset parametric\fR command changes the meaning of \fBplot\fR (\fBsplot\fR) from
normal functions to parametric functions.  The command \fBset noparametric\fR
restores the plotting style to normal, single-valued expression plotting.

Syntax:
.br
      set parametric
.br
.br
      set noparametric
.br
.br
      show parametric
.br

For 2-d plotting, a parametric function is determined by a pair of parametric
functions operating on a parameter.  An example of a 2-d parametric function
would be \fBplot sin(t),cos(t)\fR, which draws a circle (if the aspect ratio is
set correctly---see \fBset size\fR).  \fBgnuplot\fR will display an error message if
both functions are not provided for a parametric \fBplot\fR.

For 3-d plotting, the surface is described as x=f(u,v), y=g(u,v), z=h(u,v).
Therefore a triplet of functions is required.  An example of a 3-d parametric
function would be \fBcos(u)*cos(v),cos(u)*sin(v),sin(u)\fR, which draws a sphere.
\fBgnuplot\fR will display an error message if all three functions are not
provided for a parametric \fBsplot\fR.

The total set of possible plots is a superset of the simple f(x) style plots,
since the two functions can describe the x and y values to be computed
separately.  In fact, plots of the type t,f(t) are equivalent to those
produced with f(x) because the x values are computed using the identity
function.  Similarly, 3-d plots of the type u,v,f(u,v) are equivalent to
f(x,y).

Note that the order the parametric functions are specified is xfunction,
yfunction (and zfunction) and that each operates over the common parametric
domain.

Also, the \fBset parametric\fR function implies a new range of values.  Whereas
the normal f(x) and f(x,y) style plotting assume an xrange and yrange (and
zrange), the parametric mode additionally specifies a trange, urange, and
vrange.  These ranges may be set directly with \fBset trange\fR, \fBset urange\fR,
and \fBset vrange\fR, or by specifying the range on the \fBplot\fR or \fBsplot\fR
commands.  Currently the default range for these parametric variables is
[-5:5].  Setting the ranges to something more meaningful is expected.
.sp 2
.NH 2
Pointsize
.sp 1
.LP
.XS
Pointsize
.XE
The \fBset pointsize\fR command changes the size of the points used in plots.

Syntax:
.br
      set pointsize <pointsize>
.br
.br
      show pointsize
.br

Default is pointsize 1.0.  Larger pointsizes (>1.0) are useful for high
resolution in bitmapped graphics.

The pointsize of a single plot may be changed on the \fBplot\fR command.  See
\fBplot with\fR for details.

Please note that the pointsize setting is not supported with all terminal
types.
.sp 2
.NH 2
Polar
.sp 1
.LP
.XS
Polar
.XE
The \fBset polar\fR command changes the meaning of the plot from rectangular
coordinates to polar coordinates.

Syntax:
.br
      set polar
.br
.br
      set nopolar
.br
.br
      show polar
.br

There have been changes made to polar mode in version 3.6, so that scripts
for \fBgnuplot\fR versions 3.5 and earlier will require modification.  The main
change is that the dummy variable t is used for the angle so that the x and
y ranges can be controlled independently.  Other changes are:
1) tics are no longer put along the zero axes automatically
---use \fBset xtics axis nomirror\fR; \fBset ytics axis nomirror\fR;
2) the grid, if selected, is not automatically polar
---use \fBset grid polar\fR;
3) the grid is not labelled with angles
---use \fBset label\fR as necessary.

In polar coordinates, the dummy variable (t) is an angle.  The default range
of t is [0:2*pi], or, if degree units have been selected, to [0:360] (see
\fBset angles\fR).

The command \fBset nopolar\fR changes the meaning of the plot back to the default
rectangular coordinate system.

The \fBset polar\fR command is not supported for \fBsplot\fRs.  See the \fBset mapping\fR
command for similar functionality for \fBsplot\fRs.

While in polar coordinates the meaning of an expression in t is really
r = f(t), where t is an angle of rotation.  The trange controls the domain
(the angle) of the function, and the x and y ranges control the range of the
graph in the x and y directions.  Each of these ranges, as well as the
rrange, may be autoscaled or set explicitly.  See \fBset xrange\fR for details
of all the \fBset range\fR commands.

Example:
.br
      set polar
.br
.br
      plot t*sin(t)
.br
.br
      plot [-2*pi:2*pi] [-3:3] [-3:3] t*sin(t)
.br

The first \fBplot\fR uses the default polar angular domain of 0 to 2*pi.  The
radius and the size of the graph are scaled automatically.  The second \fBplot\fR
expands the domain, and restricts the size of the graph to [-3:3] in both
directions.

You may want to \fBset size square\fR to have \fBgnuplot\fR try to make the aspect
ratio equal to unity, so that circles look circular.
.sp 2
.NH 2
Rmargin
.sp 1
.LP
.XS
Rmargin
.XE
The command \fBset rmargin\fR sets the size of the right margin.  Please see
\fBset margin\fR for details.
.sp 2
.NH 2
Rrange
.sp 1
.LP
.XS
Rrange
.XE
The \fBset rrange\fR command sets the range of the radial coordinate for a
graph in polar mode.  Please see \fBset xrange\fR for details.
.sp 2
.NH 2
Samples
.sp 1
.LP
.XS
Samples
.XE
The sampling rate of functions may be changed by the \fBset samples\fR command.

Syntax:
.br
      set samples <samples_1> {,<samples_2>}
.br
.br
      show samples
.br

By default, sampling is set to 100 points.  A higher sampling rate will
produce more accurate plots, but will take longer.  This parameter has no
effect on data-file plotting unless one of the \fBsmooth\fR options is used.

When a 2-d graph is being done, only the value of <samples_1> is relevant.

When a surface plot is being done without the removal of hidden lines, the
value of samples specifies the number of samples that are to be evaluated for
isoline.  Each iso-v line will have <sample_1> samples and each iso-u line
will have <sample_2> samples.  If you only specify <samples_1>, <samples_2>
will be set to the same value as <samples_1>.  See also \fBset isosamples\fR.
.sp 2
.NH 2
Size
.sp 1
.LP
.XS
Size
.XE
The \fBset size\fR command scales the displayed size of the plot.

Syntax:
.br
      set size {{no}square | ratio <r> | noratio} {<xscale>,<yscale>}
.br
.br
      show size
.br

The <xscale> and <yscale> values are the scaling factors for the size of the
plot, which includes the graph and the margins.

\fBratio\fR causes \fBgnuplot\fR to try to create a graph with an aspect ratio of <r>
(the ratio of the y-axis length to the x-axis length) within the portion of
the plot specified by <xscale> and <yscale>.

The meaning of a negative value for <r> is different.  If <r>=-1, gnuplot
tries to set the scales so that the unit has the same length on both the x
and y axes (suitable for geographical data, for instance).  If <r>=-2, the
unit on y has twice the length of the unit on x, and so on.

The success of \fBgnuplot\fR in producing the requested aspect ratio depends on
the terminal selected.  The graph area will be the largest rectangle of
aspect ratio <r> that will fit into the specified portion of the output
(leaving adequate margins, of course).

\fBsquare\fR is a synonym for \fBratio 1\fR.

Both \fBnoratio\fR and \fBnosquare\fR return the graph to its default aspect ratio
(1.0), but do not return <xscale> or <yscale> to their default values (also
1.0).

\fBratio\fR and \fBsquare\fR have no effect on 3-d plots.

\fBset size\fR is relative to the default size, which differs from terminal to
terminal.  Since \fBgnuplot\fR fills as much of the available plotting area as
possible by default, it is safer to use \fBset size\fR to decrease the size of
a plot than to increase it.  See \fBset terminal\fR for the default sizes.

On some terminals, changing the size of the plot will result in text being
misplaced.

Examples:

To set the size to normal size use:
.br
      set size 1,1
.br

To make the graph half size and square use:
.br
      set size square 0.5,0.5
.br

To make the graph twice as high as wide use:
.br
      set size ratio 2
.br

.sp 2
.NH 2
Style
.sp 1
.LP
.XS
Style
.XE
Default styles are chosen with the \fBset function style\fR and \fBset data style\fR
commands.  See \fBplot with\fR for information about how to override the default
plotting style for individual functions and data sets.

Syntax:
.br
      set function style <style>
.br
.br
      set data style <style>
.br
.br
      show function style
.br
.br
      show data style
.br

The types used for all line and point styles (i.e., solid, dash-dot, color,
etc. for lines; circles, squares, crosses, etc. for points) will be either
those specified on the \fBplot\fR or \fBsplot\fR command or will be chosen
sequentially from the types available to the terminal in use.  Use the
command \fBtest\fR to see what is available.

None of the styles requiring more than two columns of information (e.g.,
\fBerrorbars\fR) can be used with \fBsplot\fRs or function \fBplot\fRs.  Neither \fBboxes\fR
nor any of the \fBsteps\fR styles can be used with \fBsplot\fRs.  If an inappropriate
style is specified, it will be changed to \fBpoints\fR.

For 2-d data with more than two columns, \fBgnuplot\fR is picky about the allowed
\fBerrorbar\fR styles.  The \fBusing\fR option on the \fBplot\fR command can be used to
set up the correct columns for the style you want.  (In this discussion,
"column" will be used to refer both to a column in the data file and an entry
in the \fBusing\fR list.)

For three columns, only \fBxerrorbars\fR, \fByerrorbars\fR (or \fBerrorbars\fR), \fBboxes\fR,
and \fBboxerrorbars\fR are allowed.  If another plot style is used, the style
will be changed to \fByerrorbars\fR.  The \fBboxerrorbars\fR style will calculate the
boxwidth automatically.

For four columns, only \fBxerrorbars\fR, \fByerrorbars\fR (or \fBerrorbars\fR),
\fBxyerrorbars\fR, \fBboxxyerrorbars\fR, and \fBboxerrorbars\fR are allowed.  An illegal
style will be changed to \fByerrorbars\fR.

Five-column data allow only the \fBboxerrorbars\fR, \fBfinancebars\fR, and
\fBcandlesticks\fR styles.  (The last two of these are primarily used for plots
of financial prices.)  An illegal style will be changed to \fBboxerrorbars\fR
before plotting.

Six- and seven-column data only allow the \fBxyerrorbars\fR and \fBboxxyerrorbars\fR
styles.  Illegal styles will be changed to \fBxyerrorbars\fR before plotting.

For more information about error bars, please see \fBplot errorbars\fR.
.sp 2
.RS
.IP
.NH 3
Boxerrorbars
.sp 1
.LP
.XS
Boxerrorbars
.XE
The \fBboxerrorbars\fR style is only relevant to 2-d data plotting.  It is a
combination of the \fBboxes\fR and \fByerrorbars\fR styles.  The boxwidth will come
from the fourth column if the y errors are in the form of "ydelta" and the
boxwidth was not previously set equal to -2.0 (\fBset boxwidth -2.0\fR) or from
the fifth column if the y errors are in the form of "ylow yhigh".  The
special case  \fBboxwidth = -2.0\fR is for four-column data with y errors in the
form "ylow yhigh".  In this case the boxwidth will be calculated so that each
box touches the adjacent boxes.  The width will also be calculated in cases
where three-column data are used.

The box height is determined from the y error in the same way as it is for
the \fByerrorbars\fR style---either from y-ydelta to y+ydelta or from ylow to
yhigh, depending on how many data columns are provided.
.sp 2
.NH 3
Boxes
.sp 1
.LP
.XS
Boxes
.XE
The \fBboxes\fR style is only relevant to 2-d plotting.  It draws a box centered
about the given x coordinate from the x axis (not the graph border) to the
given y coordinate.  The width of the box is obtained in one of three ways.
If it is a data plot and the data file has a third column, this will be used
to set the width of the box.  If not, if a width has been set using the \fBset
boxwidth\fR command, this will be used.  If neither of these is available, the
width of each box will be calculated automatically so that it touches the
adjacent boxes.
.sp 2
.NH 3
Boxxyerrorbars
.sp 1
.LP
.XS
Boxxyerrorbars
.XE
The \fBboxxyerrorbars\fR style is only relevant to 2-d data plotting.  It is a
combination of the \fBboxes\fR and \fBxyerrorbars\fR styles.

The box width and height are determined from the x and y errors in the same
way as they are for the \fBxyerrorbars\fR style---either from xlow to xhigh and
from ylow to yhigh, or from x-xdelta to x+xdelta and from y-ydelta to
y+ydelta , depending on how many data columns are provided.
.sp 2
.NH 3
Candlesticks
.sp 1
.LP
.XS
Candlesticks
.XE
The \fBcandlesticks\fR style is only relevant for 2-d data plotting of financial
data.  Five columns of data are required; in order, these should be the x
coordinate (most likely a date) and the opening, low, high, and closing
prices.  The symbol is an open rectangle, centered horizontally at the x
coordinate and limited vertically by the opening and closing prices.  A
vertical line segment at the x coordinate extends up from the top of the
rectangle to the high price and another down to the low.  The width of the
rectangle may be changed by \fBset bar\fR.  The symbol will be unchanged if the
low and high prices are interchanged or if the opening and closing prices
are interchanged.  See \fBset bar\fR and \fBfinancebars\fR.
.sp 2
.NH 3
Dots
.sp 1
.LP
.XS
Dots
.XE
The \fBdots\fR style plots a tiny dot at each point; this is useful for scatter
plots with many points.
.sp 2
.NH 3
Financebars
.sp 1
.LP
.XS
Financebars
.XE
The \fBfinancebars\fR style is only relevant for 2-d data plotting of financial
data.  Five columns of data are required; in order, these should be the x
coordinate (most likely a date) and the opening, low, high, and closing
prices.  The symbol is a vertical line segment, located horizontally at the x
coordinate and limited vertically by the high and low prices.  A horizontal
tic on the left marks the opening price and one on the right marks the
closing price.  The length of these tics may be changed by \fBset bar\fR.  The
symbol will be unchanged if the high and low prices are interchanged.  See
\fBset bar\fR and \fBcandlesticks\fR.
.sp 2
.NH 3
Fsteps
.sp 1
.LP
.XS
Fsteps
.XE
The \fBfsteps\fR style is only relevant to 2-d plotting.  It connects consecutive
points with two line segments: the first from (x1,y1) to (x1,y2) and the
second from (x1,y2) to (x2,y2).
.sp 2
.NH 3
Histeps
.sp 1
.LP
.XS
Histeps
.XE
The \fBhisteps\fR style is only relevant to 2-d plotting.  It is intended for
plotting histograms.  Y-values are assumed to be centered at the x-values;
the point at x1 is represented as a horizontal line from ((x0+x1)/2,y1) to
((x1+x2)/2,y1).  The lines representing the end points are extended so that
the step is centered on at x.  Adjacent points are connected by a vertical
line at their average x, that is, from ((x1+x2)/2,y1) to ((x1+x2)/2,y2).

If \fBautoscale\fR is in effect, it selects the xrange from the data rather than
the steps, so the end points will appear only half as wide as the others.

\fBhisteps\fR is only a plotting style; \fBgnuplot\fR does not have the ability to
create bins and determine their population from some data set.
.sp 2
.NH 3
Impulses
.sp 1
.LP
.XS
Impulses
.XE
The \fBimpulses\fR style displays a vertical line from the x axis (not the graph
border), or from the grid base for \fBsplot\fR, to each point.
.sp 2
.NH 3
Lines
.sp 1
.LP
.XS
Lines
.XE
The \fBlines\fR style connects adjacent points with straight line segments.
.sp 2
.NH 3
Linespoints
.sp 1
.LP
.XS
Linespoints
.XE
The \fBlinespoints\fR style does both \fBlines\fR and \fBpoints\fR, that is, it draws a
small symbol at each point and then connects adjacent points with straight
line segments.  The command \fBset pointsize\fR may be used to change the size of
the points.  See \fBset pointsize\fR for its usage.

\fBlinespoints\fR may be abbreviated \fBlp\fR.
.sp 2
.NH 3
Points
.sp 1
.LP
.XS
Points
.XE
The \fBpoints\fR style displays a small symbol at each point.  The command \fBset
pointsize\fR may be used to change the size of the points.  See \fBset pointsize\fR
for its usage.
.sp 2
.NH 3
Steps
.sp 1
.LP
.XS
Steps
.XE
The \fBsteps\fR style is only relevant to 2-d plotting.  It connects consecutive
points with two line segments: the first from (x1,y1) to (x2,y1) and the
second from (x2,y1) to (x2,y2).
.sp 2
.NH 3
Vector
.sp 1
.LP
.XS
Vector
.XE
The \fBvector\fR style draws a vector from (x,y) to (x+xdelta,y+ydelta).  Thus
it requires four columns of data.  It also draws a small arrowhead at the
end of the vector.

The \fBvector\fR style is still experimental: it doesn\&'t get clipped properly
and other things may also be wrong with it.  Use it at your own risk.
.sp 2
.NH 3
Xerrorbars
.sp 1
.LP
.XS
Xerrorbars
.XE
The \fBxerrorbars\fR style is only relevant to 2-d data plots.  \fBxerrorbars\fR is
like \fBdots\fR, except that a horizontal error bar is also drawn.  At each point
(x,y), a line is drawn from (xlow,y) to (xhigh,y) or from (x-xdelta,y) to
(x+xdelta,y), depending on how many data columns are provided.  A tic mark
is placed at the ends of the error bar (unless \fBset bar\fR is used---see \fBset
bar\fR for details).
.sp 2
.NH 3
Xyerrorbars
.sp 1
.LP
.XS
Xyerrorbars
.XE
The \fBxyerrorbars\fR style is only relevant to 2-d data plots.  \fBxyerrorbars\fR is
like \fBdots\fR, except that horizontal and vertical error bars are also drawn.
At each point (x,y), lines are drawn from (x,y-ydelta) to (x,y+ydelta) and
from (x-xdelta,y) to (x+xdelta,y) or from (x,ylow) to (x,yhigh) and from
(xlow,y) to (xhigh,y), depending upon the number of data columns provided.  A
tic mark is placed at the ends of the error bar (unless \fBset bar\fR is
used---see \fBset bar\fR for details).

If data are provided in an unsupported mixed form, the \fBusing\fR filter on the
\fBplot\fR command should be used to set up the appropriate form.  For example,
if the data are of the form (x,y,xdelta,ylow,yhigh), then you can use

.br
      plot 'data' using 1:2:($1-$3),($1+$3),4,5 with xyerrorbars
.br
.sp 2
.NH 3
Yerrorbars
.sp 1
.LP
.XS
Yerrorbars
.XE
The \fByerrorbars\fR (or \fBerrorbars\fR) style is only relevant to 2-d data plots.
\fByerrorbars\fR is like \fBdots\fR, except that a vertical error bar is also drawn.
At each point (x,y), a line is drawn from (x,y-ydelta) to (x,y+ydelta) or
from (x,ylow) to (x,yhigh), depending on how many data columns are provided.
A tic mark is placed at the ends of the error bar (unless \fBset bar\fR is
used---see \fBset bar\fR for details).
.sp 2
.RE
.br
.NH 2
Surface
.sp 1
.LP
.XS
Surface
.XE
The command \fBset surface\fR controls the display of surfaces, which are drawn
as a mesh of isolines.

Syntax:
.br
      set surface
.br
.br
      set nosurface
.br
.br
      show surface
.br

Whenever \fBset nosurface\fR is issued, no surface isolines/mesh will be drawn.
This is useful if contours are to be displayed by themselves.  See also \fBset
contour\fR.
.sp 2
.NH 2
Terminal
.sp 1
.LP
.XS
Terminal
.XE
\fBgnuplot\fR supports many different graphics devices.  Use \fBset terminal\fR to
tell \fBgnuplot\fR what kind of output to generate.

Syntax:
.br
      set terminal {<terminal-type>}
.br
.br
      show terminal
.br

If <terminal-type> is omitted, \fBgnuplot\fR will list the available terminal
types.  <terminal-type> may be abbreviated.

Use \fBset output\fR to redirect this output to a file or device.

If both \fBset terminal\fR and \fBset output\fR are used together, it is safest to
give \fBset terminal\fR first, because some terminals set a flag which is needed
in some operating systems.

Several terminals have additional options.  For example, see \fBdumb\fR,
\fBiris4d\fR, \fBhpljii\fR or \fBpostscript\fR.

This document may describe drivers that are not available to you because they
were not installed, or it may not describe all the drivers that are available
to you, depending on its output format.
.sp 2
.RS
.IP
.NH 3
Aed767
.sp 1
.LP
.XS
Aed767
.XE
The \fBaed512\fR and \fBaed767\fR terminal drivers support AED graphics terminals.
The two drivers differ only in their horizontal ranges, which are 512 and
768 pixels, respectively.  Their vertical range is 575 pixels.  There are
no options for these drivers.
.sp 2
.NH 3
Aifm
.sp 1
.LP
.XS
Aifm
.XE
Several options may be set in \fBaifm\fR---the Adobe Illustrator 3.0+ driver.

Syntax:
.br
      set terminal aifm {<color>} {"<fontname>"} {<fontsize>}
.br

<color> is either \fBcolor\fR or \fBmonochrome\fR; "<fontname>" is the name of a
valid PostScript font; <fontsize> is the size of the font in PostScript
points, before scaling by the \fBset size\fR command.  Selecting \fBdefault\fR sets
all options to their default values: \fBmonochrome\fR, "Helvetica", and 14pt.

Since AI does not really support multiple pages, multiple graphs will be
drawn directly on top of one another.  However, each graph will be grouped
individually, making it easy to separate them inside AI (just pick them up
and move them).

Examples:
.br
      set term aifm
.br
.br
      set term aifm 22
.br
.br
      set size 0.7,1.4; set term aifm color "Times-Roman" 14
.br
.sp 2
.NH 3
Amiga
.sp 1
.LP
.XS
Amiga
.XE
The \fBamiga\fR terminal, for Commodore Amiga computers, allows the user to
select the font and its size.

Syntax:
.br
      set terminal amiga {"<fontname>"} {<fontsize>}
.br

The default font is 8-point "topaz".

This terminal uses a virtual screen, so it is possible that the graph will be
larger than the screen.
.sp 2
.NH 3
Apollo
.sp 1
.LP
.XS
Apollo
.XE
The \fBapollo\fR terminal driver supports the Apollo Graphics Primitive Resource
with rescaling after window resizing.  It has no options.

If a fixed-size window is used, the \fBgpr\fR terminal may be used instead.
.sp 2
.NH 3
Atari ST (via AES)
.sp 1
.LP
.XS
Atari ST (via AES)
.XE
The \fBatari\fR terminal has options to set the character size and the screen
colors.

Syntax:
.br
      set terminal atari {<fontsize>} {<col0> <col1> ... <col15.}
.br

The character size must appear if any colors are to be specified.  Each of
the (up to 16) colors is given as a three-digit hex number, where the digits
represent RED, GREEN and BLUE (in that order).  The range of 0--15 is scaled
to whatever color range the screen actually has.  On a normal ST screen, odd
and even intensities are the same.

Examples:
.br
      set terminal atari 4    # use small (6x6) font
.br
.br
      set terminal atari 6 0  # set monochrome screen to white on black
.br
.br
      set terminal atari 13 0 fff f00 f0 f ff f0f
.br
.br
                 # set first seven colors to black, white, green, blue,
.br
.br
                 # cyan, purple, and yellow and use large font (8x16).
.br

Additionally, if an environment variable GNUCOLORS exists, its contents are
interpreted as an options string, but an explicit terminal option takes
precedence.
.sp 2
.NH 3
Atari ST (via VDI)
.sp 1
.LP
.XS
Atari ST (via VDI)
.XE
The \fBvdi\fR terminal is the same as the \fBatari\fR terminal, except that it sends
output to the screen via the VDI and not into AES-Windows.

The \fBvdi\fR terminal has options to set the character size and the screen
colors.

Syntax:
.br
      set terminal vdi {<fontsize>} {<col0> <col1> ... <col15.}
.br

The character size must appear if any colors are to be specified.  Each of
the (up to 16) colors is given as a three-digit hex number, where the digits
represent RED, GREEN and BLUE (in that order).  The range of 0--15 is scaled
to whatever color range the screen actually has.  On a normal ST screen, odd
and even intensities are the same.

Examples:
.br
      set terminal vdi 4    # use small (6x6) font
.br
.br
      set terminal vdi 6 0  # set monochrome screen to white on black
.br
.br
      set terminal vdi 13 0 fff f00 f0 f ff f0f
.br
.br
                 # set first seven colors to black, white, green, blue,
.br
.br
                 # cyan, purple, and yellow and use large font (8x16).
.br

Additionally, if an environment variable GNUCOLORS exists, its contents are
interpreted as an options string, but an explicit terminal option takes
precedence.
.sp 2
.NH 3
Cgi
.sp 1
.LP
.XS
Cgi
.XE
The \fBcgi\fR and \fBhcgi\fR terminal drivers support SCO CGI drivers.  \fBhcgi\fR is for
printers; the environment variable CGIPRNT must be set.  \fBcgi\fR may be used
for either a display or hardcopy; if the environment variable CGIDISP is set,
then that display is used.  Otherwise CGIPRNT is used.
These terminals have no options.
.sp 2
.NH 3
Cgm
.sp 1
.LP
.XS
Cgm
.XE
The \fBcgm\fR terminal generates a Computer Graphics Metafile.  This file format
is a subset of the ANSI X3.122-1986 standard entitled "Computer Graphics -
Metafile for the Storage and Transfer of Picture Description Information".
Several options may be set in \fBcgm\fR.

Syntax:
.br
      set terminal cgm {<mode>} {<color>} {<rotation>}
.br
.br
                       {width <plot_width>} {linewidth <line_width>}
.br
.br
                       {"<font>"} {<fontsize>}
.br

where <mode> is \fBlandscape\fR, \fBportrait\fR, or \fBdefault\fR;
<color> is either \fBcolor\fR or \fBmonochrome\fR; 
<rotation> is either \fBrotate\fR or \fBnorotate\fR;
<plot_width> is the width of the page in points; 
<line_width> is the line width in points; 
<font> is the name of a font; and 
\fB<fontsize>\fR is the size of the font in points.

By default, \fBcgm\fR uses rotated text for the Y axis label.

The first five options can be in any order.  Selecting \fBdefault\fR sets all
options to their default values.

Examples:
.br
      set terminal cgm landscape color rotate width 432 linewidth 1 \\
.br
.br
                     'Arial Bold' 12                  # defaults
.br
.br
      set terminal cgm 14 linewidth 2  14  # wider lines & larger font
.br
.br
      set terminal cgm portrait 'Times Roman Italic' 12
.br
.sp 2
.RS
.IP
.NH 4
Font
.sp 1
.LP
.XS
Font
.XE
The first part of a Computer Graphics Metafile, the metafile description,
includes a font table.  In the picture body, a font is designated by an
index into this table.  By default, this terminal generates a table with
the following fonts:

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
@@Arial
@@Arial Italic
@@Arial Bold
@@Arial Bold Italic
@@Times Roman
@@Times Roman Italic
@@Times Roman Bold
@@Times Roman Bold Italic
@@Helvetica
@@Roman
.TE
.KE
.EQ
delim off
.EN

Case is not distinct, but the modifiers must appear in the above order (that
is, not \&'Arial Italic Bold\&').  \&'Arial Bold\&' is the default font.

You may also specify a font name which does not appear in the default font
table.  In that case, a new font table is constructed with the specified
font as its only entry.  You must ensure that the spelling, capitalization,
and spacing of the name are appropriate for the application that will read
the CGM file.
.sp 2
.NH 4
Fontsize
.sp 1
.LP
.XS
Fontsize
.XE
Fonts are scaled assuming the page is 6 inches wide.  If the \fBsize\fR command
is used to change the aspect ratio of the page or the CGM file is converted
to a different width (e.g. it is imported into a document in which the
margins are not 6 inches apart), the resulting font sizes will be different.
To change the assumed width, use the \fBwidth\fR option.
.sp 2
.NH 4
Linewidth
.sp 1
.LP
.XS
Linewidth
.XE
The \fBlinewidth\fR option sets the width of lines in pt.  The default width is
1 pt.  Scaling is affected by the actual width of the page, as discussed
under the \fBfontsize\fR and \fBwidth\fR options
.sp 2
.NH 4
Rotate
.sp 1
.LP
.XS
Rotate
.XE
The \fBnorotate\fR option may be used to disable text rotation.  For example,
the CGM input filter for Word for Windows 6.0c can accept rotated text, but
the DRAW editor within Word cannot.  If you edit a graph (for example, to
label a curve), all rotated text is restored to horizontal.  The Y axis
label will then extend beyond the clip boundary.  With \fBnorotate\fR, the Y
axis label starts in a less attractive location, but the page can be edited
without damage.  The \fBrotate\fR option confirms the default behavior.
.sp 2
.NH 4
Size
.sp 1
.LP
.XS
Size
.XE
Default size of a CGM page is 32599 units wide and 23457 units high for
landscape, or 23457 units wide by 32599 units high for portrait.
.sp 2
.NH 4
Width
.sp 1
.LP
.XS
Width
.XE
All distances in the CGM file are in abstract units.  The application that
reads the file determines the size of the final page.  By default, the width
of the final page is assumed to be 6 inches (15.24 cm).  This distance is
used to calculate the correct font size, and may be changed with the \fBwidth\fR
option.  The keyword should be followed by the width in points.  (Here, a
point is 1/72 inch, as in PostScript.  This unit is known as a "big point"
in TeX.)  \fBgnuplot\fR arithmetic can be used to convert from other units, as
follows:
.br
      set terminal cgm width 432            # default
.br
.br
      set terminal cgm width 6*72           # same as above
.br
.br
      set terminal cgm width 10/2.54*72     # 10 cm wide
.br
.sp 2
.NH 4
Winword6
.sp 1
.LP
.XS
Winword6
.XE
The default font table was chosen to match, where possible, the default font
assignments made by the Computer Graphics Metafile input filter for
Microsoft Word 6.0c, although the filter makes available only \&'Arial\&' and
\&\&'Times Roman\&' fonts and their bold and/or italic variants.  Other fonts such
as \&'Helvetica\&' and \&'Roman\&' are not available.  If the CGM file includes a
font table, the filter mostly ignores it.  However, it changes certain font
assignments so that they disagree with the table.  As a workaround, the
\fBwinword6\fR option deletes the font table from the CGM file.  In this case,
the filter makes predictable font assignments.  \&'Arial Bold\&' is correctly
assigned even with the font table present, which is one reason it was chosen
as the default.

\fBwinword6\fR disables the color tables for a similar reason---with the color
table included, Microsoft Word displays black for color 7.
.sp 2
.RE
.br
.NH 3
Corel
.sp 1
.LP
.XS
Corel
.XE
The \fBcorel\fR terminal driver supports CorelDraw.

Syntax:       set terminal corel {  default
.br
                          | {monochrome | color
.br
.br
                               {<fontname> {"<fontsize>" 
.br
.br
                                  {<xsize> <ysize> {<linewidth> }}}}}
.br

where the fontsize and linewidth are specified in points and the sizes in
inches.  The defaults are monochrome, "SwitzerlandLight", 22, 8.2, 10 and 1.2.
.sp 2
.NH 3
Debug
.sp 1
.LP
.XS
Debug
.XE
This terminal is provided to allow for the debugging of \fBgnuplot\fR.  It is
likely to be of use only for users who are modifying the source code.
.sp 2
.NH 3
Svga
.sp 1
.LP
.XS
Svga
.XE
The \fBsvga\fR terminal driver supports PCs with SVGA graphics.  It can only be
be used if it is compiled with DJGPP.  Its only option is the font.

Syntax:
.br
      set terminal svga {"<fontname>"}
.br
.sp 2
.NH 3
Dumb
.sp 1
.LP
.XS
Dumb
.XE
The \fBdumb\fR terminal driver has an optional size specification and trailing
linefeed control.

Syntax:
.br
      set terminal dumb {[no]feed} {<xsize> <ysize>}
.br

where <xsize> and <ysize> set the size of the dumb terminals. Default is
79 by 24. The last newline is printed only if \fBfeed\fR is enabled.

Examples:
.br
      set term dumb nofeed
.br
.br
      set term dumb 79 49 # VGA screen---why would anyone do that?
.br
.sp 2
.NH 3
Dxf
.sp 1
.LP
.XS
Dxf
.XE
The \fBdxf\fR terminal driver creates pictures that can be imported into AutoCad
(Release 10.x).  It has no options of its own, but some features of its plots
may be modified by other means.  The default size is 120x80 AutoCad units,
which can be changed by \fBset size\fR.  \fBdxf\fR uses seven colors (white, red,
yellow, green, cyan, blue and magenta), which can be changed only by
modifying the source file.  If a black-and-white plotting device is used, the
colors are mapped to differing line thicknesses.  See the description of the
AutoCad print/plot command.
.sp 2
.NH 3
Dxy800a
.sp 1
.LP
.XS
Dxy800a
.XE
This terminal driver supports the Roland DXY800A plotter.  It has no options.
.sp 2
.NH 3
Eepic
.sp 1
.LP
.XS
Eepic
.XE
The \fBeepic\fR terminal driver supports the extended LaTeX picture environment.
It is an alternative to the \fBlatex\fR driver.

The output of this terminal is intended for use with the "eepic.sty" macro
package for LaTeX.  To use it, you need "eepic.sty", "epic.sty" and a
printer driver that supports the "tpic" \\specials.  If your printer driver
doesn\&'t support those \\specials, "eepicemu.sty" will enable you to use some
of them.

Although dotted and dashed lines are possible with \fBeepic\fR and are tempting,
they do not work well for high-sample-rate curves, fusing the dashes all
together into a solid line.  For now, the \fBeepic\fR driver creates only solid
lines.  There is another gnuplot driver (\fBtpic\fR) that supports dashed lines,
but it cannot be used if your DVI driver doesn\&'t support "tpic" \\specials.

The \fBeepic\fR terminal has no options.
.sp 2
.NH 3
Emxvga
.sp 1
.LP
.XS
Emxvga
.XE
The \fBemxvga\fR, \fBemxvesa\fR and \fBvgal\fR terminal drivers support PCs with SVGA,
vesa SVGA and VGA graphics boards, respectively.  They are intended to be
compiled with "emx-gcc" under either DOS or OS/2.  They also need VESA and
SVGAKIT maintained by Johannes Martin (JMARTIN@GOOFY.ZDV.UNI-MAINZ.DE) with
additions by David J. Liu (liu@phri.nyu.edu).

Syntax:
.br
      set terminal emxvga
.br
.br
      set terminal emxvesa {vesa-mode}
.br
.br
      set terminal vgal
.br

The only option is the vesa mode for \fBemxvesa\fR, which defaults to G640x480x256.
.sp 2
.NH 3
Epson-180dpi
.sp 1
.LP
.XS
Epson-180dpi
.XE
This driver supports a family of Epson printers and derivatives.

\fBepson-180dpi\fR and \fBepson-60dpi\fR are drivers for Epson LQ-style 24-pin
printers with resolutions of 180 and 60 dots per inch, respectively.

\fBepson-lx800\fR is a generic 9-pin driver appropriate for printers like the
Epson LX-800, the Star NL-10 and NX-1000, the PROPRINTER, and so forth.

\fBnec-cp6\fR is generix 24-pin driver that can be used for printers like the
NEC CP6 and the Epson LQ-800.

The \fBokidata\fR driver supports the 9-pin OKIDATA 320/321 Standard printers.

The \fBstarc\fR driver is for the Star Color Printer.

The \fBtandy-60dpi\fR driver is for the Tandy DMP-130 series of 9-pin, 60-dpi
printers.

Only \fBnec-cp6\fR has any options.
Syntax:
.br
      set terminal nec-cp6 {monochrome | colour | draft}
.br

which defaults to monochrome.
With each of these drivers, a binary copy is required on a PC to print.  Do
not use \fBprint\fR---use instead \fBcopy file /b lpt1:\fR.
.sp 2
.NH 3
Excl
.sp 1
.LP
.XS
Excl
.XE
The \fBexcl\fR terminal driver supports Talaris printers such as the EXCL Laser
printer and the 1590.  It has no options.
.sp 2
.NH 3
Hercules
.sp 1
.LP
.XS
Hercules
.XE
These drivers supports PC monitors with autodetected graphics boards.  They
can be used only when compiled with Zortech C/C++.  None have options.
.sp 2
.NH 3
Fig
.sp 1
.LP
.XS
Fig
.XE
The \fBfig\fR terminal device generates output in the Fig graphics language.

Syntax:
.br
      set terminal fig {monochrome | color} {small | big}
.br
.br
                       {pointsmax <max_points>}
.br
.br
                       {landscape | portrait}
.br
.br
                       {metric | inches}
.br
.br
                       {fontsize <fsize>}
.br
.br
                       {size <xsize> <ysize>}
.br
.br
                       {thickness <units>}
.br
.br
                       {depth <layer>}
.br

\fBmonochrome\fR and \fBcolor\fR determine whether the picture is black-and-white or
\fBcolor\fR.  \fBsmall\fR and \fBbig\fR produce a 5x3 or 8x5 inch graph in the default
\fBlandscape\fR mode and 3x5 or 5x8 inches in \fBportrait\fR mode.  <max_points>
sets the maximum number of points per polyline.  Default units for editing
with "xfig" may be \fBmetric\fR or \fBinches\fR.  \fBfontsize\fR sets the size of the
text font to <fsize> points.  \fBsize\fR sets (overrides) the size of the drawing
area to <xsize>*<ysize> in units of inches or centimeters depending on the
\fBinches\fR or \fBmetric\fR setting in effect.  \fBdepth\fR sets the default depth layer
for all lines and text.  The default depth is 10 to leave room for adding
material with "xfig" on top of the plot.

\fBthickness\fR sets the default line thickness, which is 1 if not specified.
Overriding the thickness can be achieved by adding a multiple of 100 to the
to the \fBlinetype\fR value for a \fBplot\fR command.  In a similar way the \fBdepth\fR
of plot elements (with respect to the default depth) can be controlled by
adding a multiple of 1000 to <linetype>.  The depth is then <layer> +
<linetype>/1000 and the thickness is (<linetype>%1000)/100 or, if that is
zero, the default line thickness.
Additional point-plot symbols are also available with the \fBfig\fR driver. The
symbols can be used through \fBpointtype\fR values % 100 above 50, with different
fill intensities controlled by <pointtype> % 5 and outlines in black (for
<pointtype> % 10 < 5) or in the current color.  Available symbols are
.br
        50 - 59:  circles
.br
.br
        60 - 69:  squares
.br
.br
        70 - 79:  diamonds
.br
.br
        80 - 89:  upwards triangles
.br
.br
        90 - 99:  downwards triangles
.br
The size of these symbols is linked to the font size.  The depth of symbols
is by default one less than the depth for lines to achieve nice error bars.
If <pointtype> is above 1000, the depth is <layer> + <pointtype>/1000-1.  If
<pointtype>%1000 is above 100, the fill color is (<pointtype>%1000)/100-1.

Available fill colors are (from 1 to 9): black, blue, green, cyan, red,
magenta, yellow, white and dark blue (in monochrome mode: black for 1 to 6
and white for 7 to 9).

See \fBplot with\fR for details of <linetype> and <pointtype>.

The \fBbig\fR option is a substitute for the \fBbfig\fR terminal in earlier versions,
which is no longer supported.

Examples:
.br
      set terminal fig monochrome small pointsmax 1000  # defaults
.br

.br
      plot 'file.dat' with points linetype 102 pointtype 759
.br
would produce circles with a blue outline of width 1 and yellow fill color.

.br
      plot 'file.dat' using 1:2:3 with err linetype 1 pointtype 554
.br
would produce errorbars with black lines and circles filled red.  These
circles are one layer above the lines (at depth 9 by default).

To plot the error bars on top of the circles use
.br
      plot 'file.dat' using 1:2:3 with err linetype 1 pointtype 2554
.br
.sp 2
.NH 3
Gif
.sp 1
.LP
.XS
Gif
.XE
The \fBgif\fR terminal driver generates output in GIF format.  It must be linked
with the "gd" library (link with "-Lterm/gd -lgd" if your directory structure
is "gnuplot/term/gd").  "gd" cannot be distributed with \fBgnuplot\fR because of
license problems.  Find out about "gd" from http://www.boutell.com/

Syntax:
.br
      set terminal gif {transparent} {interlace}
.br
.br
                       {small | medium | large}
.br
.br
                       {size <x>,<y>}
.br
.br
                       {<color0> <color1> <color2> ...}
.br

\fBtransparent\fR instructs the driver to generate transparent GIFs.  The first
color will be the transparent one.

\fBinterlace\fR instructs the driver to generate interlaced GIFs.

The choice of fonts is \fBsmall\fR (6x12 pixels), \fBmedium\fR (7x13 Bold) or \fBlarge\fR
(8x16).

The size <x,y> is given in pixels---it defaults to 640x480.  The number of
pixels can be also modified by scaling with the \fBset size\fR command.

Each color must be of the form \&'xrrggbb\&', where x is the literal character
\&\&'x\&' and \&'rrggbb\&' are the red, green and blue components in hex.  For example,
\&\&'x00ff00\&' is green.  The background color is set first, then the border
colors, then the X & Y axis colors, then the plotting colors.  The maximum
number of colors that can be set is 256.

Examples:
.br
      set terminal gif small size 640,480 \\
.br
.br
                       xffffff x000000 x404040 \\
.br
.br
                       xff0000 xffa500 x66cdaa xcdb5cd \\
.br
.br
                       xadd8e6 x0000ff xdda0dd x9500d3    # defaults
.br

which uses white for the non-transparent background, black for borders, gray
for the axes, and red, orange, medium aquamarine, thistle 3, light blue, blue,
plum and dark violet for eight plotting colors.

.br
      set terminal gif transparent xffffff \\
.br
.br
                       x000000 x202020 x404040 x606060 \\
.br
.br
                       x808080 xA0A0A0 xC0C0C0 xE0E0E0 \\
.br
which uses white for the transparent background, black for borders, dark
gray for axes, and a gray-scale for the six plotting colors.

The page size is 640x480 pixels.  The \fBgif\fR driver can create either color
or monochromatic output, but you have no control over which is produced.

The current version of the \fBgif\fR driver does not support animated GIFs.
.sp 2
.NH 3
Unixplot
.sp 1
.LP
.XS
Unixplot
.XE
The \fBunixplot\fR driver produces device-independent output in the GNU plot
graphics language.  The default size of the PostScript results generated by
"plot2ps" is 5 x 3 inches; this can be increased up to about 8.25 x 8.25 by
\fBset size\fR.

Syntax:
.br
      set terminal unixplot {"<fontname>"} {<fontsize>}
.br

which defaults to 10-point "Courier".

There is a non-GNU version of the \fBunixplot\fR driver which cannot be compiled
unless this version is left out.
.sp 2
.NH 3
Gpic
.sp 1
.LP
.XS
Gpic
.XE
The \fBgpic\fR terminal driver generates GPIC graphs in the Free Software
Foundations\&'s "groff" package.  The default size is 5 x 3 inches.  The only
option is the origin, which defaults to (0,0).

Syntax:
.br
      set terminal gpic {<x> <y>}
.br

where \fBx\fR and \fBy\fR are in inches.

A simple graph can be formatted using

.br
      groff -p -mpic -Tps file.pic > file.ps.
.br

The output from pic can be pipe-lined into eqn, so it is possible to put
complex functions in a graph with the \fBset label\fR and \fBset {x/y}label\fR
commands.  For instance,

.br
      set ylab '@space 0 int from 0 to x alpha ( t ) roman d t@'
.br

will label the y axis with a nice integral if formatted with the command:

.br
      gpic filename.pic | geqn -d@@ -Tps | groff -m[macro-package] -Tps
.br
.br
          > filename.ps
.br

Figures made this way can be scaled to fit into a document.  The pic language
is easy to understand, so the graphs can be edited by hand if need be.  All
co-ordinates in the pic-file produced by \fBgnuplot\fR are given as x+gnuplotx
and y+gnuploty.  By default x and y are given the value 0.  If this line is
removed with an editor in a number of files, one can put several graphs in
one figure like this (default size is 5.0x3.0 inches):

.br
      .PS 8.0
.br
.br
      x=0;y=3
.br
.br
      copy "figa.pic"
.br
.br
      x=5;y=3
.br
.br
      copy "figb.pic"
.br
.br
      x=0;y=0
.br
.br
      copy "figc.pic"
.br
.br
      x=5;y=0
.br
.br
      copy "figd.pic"
.br
.br
      .PE
.br

This will produce an 8-inch-wide figure with four graphs in two rows on top
of each other.

One can also achieve the same thing by the command

.br
      set terminal gpic x y
.br

for example, using

.br
      .PS 6.0
.br
.br
      copy "trig.pic"
.br
.br
      .PE
.br
.sp 2
.NH 3
Gpr
.sp 1
.LP
.XS
Gpr
.XE
The \fBgpr\fR terminal driver supports the Apollo Graphics Primitive Resource
for a fixed-size window.  It has no options.

If a variable window size is desired, use the \fBapollo\fR terminal instead.
.sp 2
.NH 3
Grass
.sp 1
.LP
.XS
Grass
.XE
The \fBgrass\fR terminal driver gives \fBgnuplot\fR capabilities to users of the 
GRASS geographic information system.  Contact grassp-list@moon.cecer.army.mil
for more information.  Pages are written to the current frame of the GRASS
Graphics Window.  There are no options.
.sp 2
.NH 3
Hp2623a
.sp 1
.LP
.XS
Hp2623a
.XE
The \fBhp2623a\fR terminal driver supports the Hewlett Packard HP2623A.  It has
no options.
.sp 2
.NH 3
Hp2648
.sp 1
.LP
.XS
Hp2648
.XE
The \fBhp2648\fR terminal driver supports the Hewlett Packard HP2647 and HP2648.
It has no options.
.sp 2
.NH 3
Hp500c
.sp 1
.LP
.XS
Hp500c
.XE
The \fBhp500c\fR terminal driver supports the Hewlett Packard HP DeskJet 500c.
It has options for resolution and compression.

Syntax:
.br
      set terminal hp500c {<res>} {<comp>}
.br

where \fBres\fR can be 75, 100, 150 or 300 dots per inch and \fBcomp\fR can be "rle",
or "tiff".  Any other inputs are replaced by the defaults, which are 75 dpi
and no compression.  Rasterization at the higher resolutions may require a
large amount of memory.
.sp 2
.NH 3
Hpgl
.sp 1
.LP
.XS
Hpgl
.XE
The \fBhpgl\fR driver produces HPGL output for devices like the HP7475A plotter.
There are two options which can be set---the number of pens and "eject", which
tells the plotter to eject a page when done.  The default is to use 6 pens
and not to eject the page when done.

The international character sets ISO-8859-1 and CP850 are recognized via
\fBset encoding iso_8859_1\fR or \fBset encoding cp850\fR (see \fBset encoding\fR for
details).

Syntax:
.br
      set terminal hpgl {<number_of_pens>} {eject}
.br

The selection

.br
      set terminal hpgl 8 eject
.br

is equivalent to the previous \fBhp7550\fR terminal, and the selection

.br
      set terminal hpgl 4
.br

is equivalent to the previous \fBhp7580b\fR terminal.

The \fBpcl5\fR driver supports the Hewlett-Packard Laserjet III.  It actually uses
HPGL-2, but there is a name conflict among the terminal devices.  It has
several options

Syntax:
.br
      set terminal pcl5 {<mode>} {<font>} {<fontsize>}
.br

where <mode> is \fBlandscape\fR, or \fBportrait\fR, <font> is \fBstick\fR, \fBunivers\fR, or
\fBcg_times\fR, and <fontsize> is the size in points.

With \fBpcl5\fR international characters are handled by the printer; you just put
the appropriate 8-bit character codes into the text strings.  You don\&'t need
to bother with \fBset encoding\fR.

HPGL graphics can be imported by many software packages.
.sp 2
.NH 3
Hpljii
.sp 1
.LP
.XS
Hpljii
.XE
The \fBhpljii\fR terminal driver supports the HP Laserjet Series II printer.  The
\fBhpdj\fR driver supports the HP DeskJet 500 printer.  These drivers allow a
choice of resolutions.

Syntax:
.br
      set terminal hpljii | hpdj {<res>}
.br

where \fBres\fR may be 75, 100, 150 or 300 dots per inch; the default is 75.
Rasterization at the higher resolutions may require a large amount of memory.

The \fBhp500c\fR terminal is similar to \fBhpdj\fR; \fBhp500c\fR additionally supports
color and compression.
.sp 2
.NH 3
Hppj
.sp 1
.LP
.XS
Hppj
.XE
The \fBhppj\fR terminal driver supports the HP PaintJet and HP3630 printers.  The
only option is the choice of font.

Syntax:
.br
      set terminal hppj {FNT5X9 | FNT9X17 | FNT13X25}
.br

with the middle-sized font (FNT9X17) being the default.
.sp 2
.NH 3
Imagen
.sp 1
.LP
.XS
Imagen
.XE
The \fBimagen\fR terminal driver supports Imagen laser printers.  It is capable
of placing multiple graphs on a single page.

Syntax:
.br
      set terminal imagen {<fontsize>} {portrait | landscape}
.br
.br
                          {[<horiz>,<vert>]}
.br

where \fBfontsize\fR defaults to 12 points and the layout defaults to \fBlandscape\fR.
\fB<horiz>\fR and \fB<vert>\fR are the number of graphs in the horizontal and
vertical directions; these default to unity.

Example:
.br
      set terminal imagen portrait [2,3]
.br

puts six graphs on the page in three rows of two in portrait orientation.
.sp 2
.NH 3
Iris4d
.sp 1
.LP
.XS
Iris4d
.XE
The \fBiris4d\fR terminal driver supports Silicon Graphics IRIS 4D computers.
Its only option is 8- or 24-bit color depth.  The default is 8.

Syntax:
.br
      set terminal iris4d {8 | 24}
.br

The color depth is not really a choice -- the value appropriate for the
hardware should be selected.

When using 24-bit mode, the colors can be directly specified via the file
\&.gnuplot_iris4d that is searched in the current directory and then in the
home directory specified by the HOME environment variable.  This file holds
RGB values for the background, border, labels and nine plotting colors, in
that order.  For example, here is a file containing the default colors:

.br
      85   85   85     Background   (dark gray)
.br
.br
      0    0    0      Boundary     (black)
.br
.br
      170  0    170    Labeling     (magenta)
.br
.br
      85   255  255    Plot Color 1 (light cyan)
.br
.br
      170  0    0      Plot Color 2 (red)
.br
.br
      0    170  0      Plot Color 3 (green)
.br
.br
      255  85   255    Plot Color 4 (light magenta)
.br
.br
      255  255  85     Plot Color 5 (yellow)
.br
.br
      255  85   85     Plot Color 6 (light red)
.br
.br
      85   255  85     Plot Color 7 (light green)
.br
.br
      0    170  170    Plot Color 8 (cyan)
.br
.br
      170  170  0      Plot Color 9 (brown)
.br

This file must have exactly 12 lines of RGB triples.  No empty lines are
allowed, and anything after the third number on a line is ignored.
.sp 2
.NH 3
Kyo
.sp 1
.LP
.XS
Kyo
.XE
The \fBkyo\fR and \fBprescribe\fR terminal drivers support the Kyocera laser printer.
The only difference between the two is that \fBkyo\fR uses "Helvetica" whereas
\fBprescribe\fR uses "Courier".  There are no options.
.sp 2
.NH 3
Latex
.sp 1
.LP
.XS
Latex
.XE
The \fBlatex\fR and \fBemtex\fR drivers allow two options.

Syntax:
.br
      set terminal latex | emtex {courier | roman} {<fontsize>}
.br

\fBfontsize\fR may be any size you specify.  The default is 10-point Roman.

Unless your driver is capable of building fonts at any size (e.g. dvips),
stick to the standard 10, 11 and 12 point sizes.

METAFONT users beware: METAFONT does not like odd sizes.
.sp 2
.NH 3
Linux
.sp 1
.LP
.XS
Linux
.XE
The \fBlinux\fR driver has no additional options to specify.  It looks at the
environment variable GSVGAMODE for the default mode; if not set, it uses
1024x768x256 as default mode or, if that is not possible, 640x480x16
(standard VGA).
.sp 2
.NH 3
Mf
.sp 1
.LP
.XS
Mf
.XE
The \fBmf\fR terminal driver creates a input file to the METAFONT program.  Thus a
figure may be used in the TeX document in the same way as is a character.

To use a picture in a document, the METAFONT program must be run with the
output file from \fBgnuplot\fR as input.  Thus, the user needs a basic knowledge
of the font creating process and the procedure for including a new font in a
document.  However, if the METAFONT program is set up properly at the local
site, an unexperienced user could perform the operation without much trouble.

The text support is based on a METAFONT character set.  Currently the
Computer Modern Roman font set is input, but the user is in principal free to
chose whatever fonts he or she needs.  The METAFONT source files for the
chosen font must be available.  Each character is stored in a separate
picture variable in METAFONT.  These variables may be manipulated (rotated,
scaled etc.) when characters are needed.  The drawback is the interpretation
time in the METAFONT program.  On some machines (i.e. PC) the limited amount
of memory available may also cause problems if too many pictures are stored.

The \fBmf\fR terminal has no options.
.sp 2
.RS
.IP
.NH 4
METAFONT Instructions
.sp 1
.LP
.XS
METAFONT Instructions
.XE

- Set your terminal to METAFONT:
.br
  set terminal mf
.br
- Select an output-file, e.g.:
.br
  set output "myfigures.mf"
.br
- Create your pictures. Each picture will generate a separate character. Its
default size will be 5*3 inches. You can change the size by saying \fBset size
0.5,0.5\fR or whatever fraction of the default size you want to have.

- Quit \fBgnuplot\fR.

- Generate a TFM and GF file by running METAFONT on the output of \fBgnuplot\fR.
Since the picture is quite large (5*3 in), you will have to use a version of
METAFONT that has a value of at least 150000 for memmax.  On Unix systems
these are conventionally installed under the name bigmf.  For the following
assume that the command virmf stands for a big version of METAFONT.  For
example:

- Invoke METAFONT:
.br
    virmf '&plain'
.br
- Select the output device: At the METAFONT prompt (\&'*\&') type:
.br
    \\mode:=CanonCX;     % or whatever printer you use
.br
- Optionally select a magnification:
.br
    mag:=1;             % or whatever you wish
.br
- Input the \fBgnuplot\fR-file:
.br
    input myfigures.mf
.br
On a typical Unix machine there will usually be a script called "mf" that
executes virmf \&'&plain\&', so you probably can substitute mf for virmf &plain.
This will generate two files: mfput.tfm and mfput.$$$gf (where $$$ indicates
the resolution of your device).  The above can be conveniently achieved by
typing everything on the command line, e.g.:
virmf \&'&plain\&' \&'\\mode:=CanonCX; mag:=1; input myfigures.mf\&'
In this case the output files will be named myfigures.tfm and
myfigures.300gf.

- Generate a PK file from the GF file using gftopk:
.br
  gftopk myfigures.300gf myfigures.300pk
.br
The name of the output file for gftopk depends on the DVI driver you use.
Ask your local TeX administrator about the naming conventions.  Next, either
install the TFM and PK files in the appropriate directories, or set your
environment variables properly.  Usually this involves setting TEXFONTS to
include the current directory and doing the same thing for the environment
variable that your DVI driver uses (no standard name here...).  This step is
necessary so that TeX will find the font metric file and your DVI driver will
find the PK file.

- To include your pictures in your document you have to tell TeX the font:
.br
  \\font\\gnufigs=myfigures
.br
Each picture you made is stored in a single character.  The first picture is
character 0, the second is character 1, and so on...  After doing the above
step, you can use the pictures just like any other characters.  Therefore, to
place pictures 1 and 2 centered in your document, all you have to do is:
.br
  \\centerline{\\gnufigs\\char0}
.br
.br
  \\centerline{\\gnufigs\\char1}
.br
in plain TeX.  For LaTeX you can, of course, use the picture environment and
place the picture wherever you wish by using the \\makebox and \\put macros.

This conversion saves you a lot of time once you have generated the font;
TeX handles the pictures as characters and uses minimal time to place them,
and the documents you make change more often than the pictures do.  It also
saves a lot of TeX memory.  One last advantage of using the METAFONT driver
is that the DVI file really remains device independent, because no \\special
commands are used as in the eepic and tpic drivers.
.sp 2
.RE
.br
.NH 3
Mgr
.sp 1
.LP
.XS
Mgr
.XE
The \fBmgr\fR terminal driver supports the Mgr Window system.  It has no options.
.sp 2
.NH 3
Mif
.sp 1
.LP
.XS
Mif
.XE
The \fBmif\fR terminal driver produces Frame Maker MIF format version 3.00.  It
plots in MIF Frames with the size 15*10 cm, and plot primitives with the same
pen will be grouped in the same MIF group.  Plot primitives in a \fBgnuplot\fR
page will be plotted in a MIF Frame, and several MIF Frames are collected in
one large MIF Frame.  The MIF font used for text is "Times".

Several options may be set in the MIF 3.00 driver.

Syntax:
.br
      set terminal mif {colour | monochrome} {polyline | vectors}
.br
.br
                       {help | ?}
.br

\fBcolour\fR plots lines with line types >= 0 in colour (MIF sep. 2--7) and
\fBmonochrome\fR plots all line types in black (MIF sep. 0).
\fBpolyline\fR plots curves as continuous curves and \fBvectors\fR plots curves as
collections of vectors.
\fBhelp\fR and \fB?\fR print online help on standard error output---both print a
short description of the usage; \fBhelp\fR also lists the options;

Examples:
.br
      set term mif colour polylines    # defaults
.br
.br
      set term mif                     # defaults
.br
.br
      set term mif vectors
.br
.br
      set term mif help
.br
.sp 2
.NH 3
Mtos
.sp 1
.LP
.XS
Mtos
.XE
The \fBmtos\fR terminal has no options.  It sends data via a pipe to an external
program called GPCLIENT.  It runs under MULTITOS, Magic 3.x, MagicMAC. and
MiNT.  If you cannot find GPCLIENT, than mail to dirk@lstm.uni-erlangen.de.
.sp 2
.NH 3
Next
.sp 1
.LP
.XS
Next
.XE
Several options may be set in the next driver.

Syntax:
.br
      set terminal next {<mode>} {<type> } {<color>} {<dashed>}
.br
.br
                 {"<fontname>"} {<fontsize>} title {"<newtitle>"}
.br

where <mode> is  \fBdefault\fR, which sets all options to their defaults;
<type> is either \fBnew\fR or \fBold\fR, where \fBold\fR invokes the old single window;
<color> is either \fBcolor\fR or \fBmonochrome\fR;
<dashed> is either \fBsolid\fR or \fBdashed\fR;
"<fontname>" is the name of a valid PostScript font;
<fontsize> is the size of the font in PostScript points; and
<title> is the title for the GnuTerm window.
Defaults are  \fBnew\fR, \fBmonochrome\fR, \fBdashed\fR, "Helvetica", 14pt.

Examples:
.br
      set term next default
.br
.br
      set term next 22
.br
.br
      set term next color "Times-Roman" 14
.br
.br
      set term next color "Helvetica" 12 title "MyPlot"
.br
.br
      set term next old
.br
.sp 2
.NH 3
Pbm
.sp 1
.LP
.XS
Pbm
.XE
Several options may be set in the \fBpbm\fR terminal---the driver for PBMplus.

Syntax:
.br
      set terminal pbm {<fontsize>} {<mode>}
.br

where <fontsize> is \fBsmall\fR, \fBmedium\fR, or \fBlarge\fR and <mode> is \fBmonochrome\fR,
\fBgray\fR or \fBcolor\fR.  The default plot size is 640 pixels wide and 480 pixels
high; this may be changed by \fBset size\fR.

The output of the \fBpbm\fR driver depends upon <mode>: \fBmonochrome\fR produces a
portable bitmap (one bit per pixel), \fBgray\fR a portable graymap (three bits
per pixel) and \fBcolor\fR a portable pixmap (color, four bits per pixel).

The output of this driver can be used with Jef Poskanzer\&'s excellent PBMPLUS
package, which provides programs to convert the above PBMPLUS formats to GIF,
TIFF, MacPaint, Macintosh PICT, PCX, X11 bitmap and many others.

Examples:
.br
      set terminal pbm small monochrome             # defaults
.br
.br
      set size 2,2; set terminal pbm color medium
.br
.sp 2
.NH 3
Pc
.sp 1
.LP
.XS
Pc
.XE
The \fBpc\fR terminal driver supports PCs with arbitrary graphics boards, which
will be automatically detected.  It should be used only if you are not using
the gcc or Zortec C/C++ compilers.
.sp 2
.NH 3
Pm
.sp 1
.LP
.XS
Pm
.XE
The \fBpm\fR terminal driver provides an OS/2 Presentation Manager window in
which the graph is plotted.  The window is opened when the first graph is
plotted.  This window has its own online help as well as facilities for
printing, copying to the clipboard and some line type and color adjustments.
The \fBmultiplot\fR option is supported.

Syntax:
.br
      set terminal pm {server {n}} {persist} {widelines} {enhanced} {"title"}
.br

If \fBpersist\fR is specified, each graph appears in its own window and all
windows remain open after \fBgnuplot\fR exits.  If \fBserver\fR is specified, all
graphs appear in the same window, which remains open when \fBgnuplot\fR exits.
This option takes an optional numerical argument which specifies an instance
of the server process.  Thus multiple server windows can be in use at the
same time.

If \fBwidelines\fR is specified, all plots will be drawn with wide lines.  If
\fBenhanced\fR is specified, sub- and superscripts and multiple fonts are
enabled using the same syntax as the \fBenhanced postscript\fR option (see \fBset terminal postscript enhanced\fR for details).  Font names for the basic
PostScript fonts may be abbreviated to single letters.

If \fBtitle\fR is specified, it will be used as the title of the plot window.
It will also be used as the name of the server instance, and will override
the optional numerical argument.
.sp 2
.NH 3
Png
.sp 1
.LP
.XS
Png
.XE
The \fBpng\fR terminal driver supports Portable Network Graphics.  To compile it,
you will need  the third-party libraries "libpng" and "zlib"; both are
available at ftp://ftp.uu.net/graphics/png.  \fBpng\fR has two options.

Syntax:
.br
      set terminal png {small | medium | large}
.br
.br
                       {monochrome | gray | color}
.br

The defaults are small (fontsize) and monochrome.
.sp 2
.NH 3
Postscript
.sp 1
.LP
.XS
Postscript
.XE
Several options may be set in the \fBpostscript\fR driver.

Syntax:
.br
      set terminal postscript {<mode>} {color | monochrome}
.br
.br
                              {solid | dashed} {<duplexing>}
.br
.br
                              {enhanced | noenhanced}
.br
.br
                              {"<fontname>"} {<fontsize>}
.br

where <mode> is \fBlandscape\fR, \fBportrait\fR, \fBeps\fR or \fBdefault\fR
\fBsolid\fR draws all plots with solid lines, overriding any dashed patterns;
<duplexing> is \fBdefaultplex\fR, \fBsimplex\fR or \fBduplex\fR ("duplexing" in
PostScript is the ability of the printer to print on both sides of the same
page---don\&'t set this if your printer can\&'t do it);
\fBenhanced\fR activates the "Enhanced PostScript" features (subscripts,
superscripts and mixed fonts);
\fB"<fontname>"\fR is the name of a valid PostScript font; and \fB<fontsize>\fR is
the size of the font in PostScript points.

\fBdefault\fR mode sets all options to their defaults: \fBlandscape\fR, \fBmonochrome\fR,
\fBdashed\fR, \fBdefaultplex\fR, \fBnoenhanced\fR, "Helvetica" and 14pt.
.br
 Default size of a PostScript plot is 10 inches wide and 7 inches high.
.br

\fBeps\fR mode generates EPS (Encapsulated PostScript) output, which is just
regular PostScript with some additional lines that allow the file to be
imported into a variety of other applications.  (The added lines are
PostScript comment lines, so the file may still be printed by itself.)  To
get EPS output, use the \fBeps\fR mode and make only one plot per file.  In \fBeps\fR
mode the whole plot, including the fonts, is reduced to half of the default
size.

Examples:
.br
      set terminal postscript default       # old postscript
.br
.br
      set terminal postscript enhanced      # old enhpost
.br
.br
      set terminal postscript landscape 22  # old psbig
.br
.br
      set terminal postscript eps 14        # old epsf1
.br
.br
      set terminal postscript eps 22        # old epsf2
.br
.br
      set size 0.7,1.4; set term post portrait color "Times-Roman" 14
.br
.sp 2
.RS
.IP
.NH 4
Enhanced postscript
.sp 1
.LP
.XS
Enhanced postscript
.XE

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
.TE
.TS
center box tab ($) ;
c c l .
Control$Examples$Explanation
_
^$a^x$superscript
\&_$a\&_x$subscript
 @ $ @x or a\&@^b\&_c$phantom box (occupies no width)
 & $ &{space}$inserts space of specified length
.TE
.KE
.EQ
delim off
.EN


{text} can be used to allow multiple-character text, where only a single
character is expected (e.g., 2^{10}).  To change the font and/or size, use
the full form:  {/[fontname][=fontsize] text}   (For example, {/Symbol=20 G}
is a 20 point GAMMA).  (The \&'/\&' character MUST be the first character after
the \&'{\&'.)

If the encoding vector has been changed by \fBset encoding\fR, the default
encoding vector can be used instead by following the slash with a dash.  This
is unnecessary if you use the Symbol font, however---since /Symbol uses its
own encoding vector, \fBgnuplot\fR will not apply any other encoding vector to
it.

The phantom box is useful for a@^b_c to align superscripts and subscripts,
and for overwriting an accent on a letter.  (The latter is tricky; it is much
easier to use \fBset encoding iso_8859_1\fR to change to the ISO Latin-1 encoding
vector, which contains a large variety of letters with accents or other
diacritical marks.)  It is common sense to put the shorter of the two in the
phantom box.

Space equal in length to a string can be inserted using the \&'&\&' character.
Thus
.br
        'abc&{def}ghi'
.br
would produce
.br
        'abc   ghi'.
.br

You can access special symbols numerically by specifying \\character-code (in
octal), e.g., {/Symbol \\245} is the symbol for infinity.

You can escape control characters using \\, e.g.,  \\\\, \\{, and so on.

But be aware that strings in double-quotes are parsed differently than those
enclosed in single-quotes.  The major difference is that backslashes may need
to be doubled when in double-quoted strings.

Examples (these are hard to describe in words---try them!):
.br
      set xlabel 'Time (10^6 {/Symbol m}s)'
.br
.br
      set title '{/Symbol=18 \\362@_{/=9.6 0}^{/=12 x}} \\
.br
.br
                 {/Helvetica e^{-{/Symbol m}^2/2} d}{/Symbol m}'
.br

The file "ps_guide.ps" in the /docs subdirectory of the \fBgnuplot\fR source
distribution contains more examples of the enhanced syntax.
.sp 2
.RE
.br
.NH 3
Pslatex and pstex
.sp 1
.LP
.XS
Pslatex and pstex
.XE
The \fBpslatex\fR and \fBpstex\fR drivers generate output for further processing by
LaTeX and TeX, respectively.  Figures generated by \fBpstex\fR can be included
in any plain-based format (including LaTeX).

Syntax:
.br
      set terminal pslatex | |pstex {<color>} {<dashed>} {<rotate>}
.br
.br
                                    {auxfile} {<font_size>}
.br

<color> is either \fBcolor\fR or \fBmonochrome\fR.  <rotate> is either \fBrotate\fR or
\fBnorotate\fR and determines if the y-axis label is rotated.  <font_size> is
used to scale the font from its usual size.

If \fBauxfile\fR is specified, it directs the driver to put the PostScript
commands into an auxiliary file instead of directly into the LaTeX file.
This is useful if your pictures are large enough that dvips cannot handle
them.  The name of the auxiliary PostScript file is derived from the name of
the TeX file given on the \fBset output\fR command; it is determined by replacing
the trailing \fB.tex\fR (actually just the final extent in the file name---and
the option will be turned off if there is no extent) with \fB.ps\fR in the output
file name.  Remember to close the file before leaving \fBgnuplot\fR.

Examples:
.br
      set term pslatex monochrome dashed rotate       # set to defaults
.br
To write the PostScript commands into the file "foo.ps":
.br
      set term pslatex auxfile
.br
.br
      set output "foo.tex"; plot ...: set output
.br
.sp 2
.NH 3
Pstricks
.sp 1
.LP
.XS
Pstricks
.XE
The \fBpstricks\fR driver is intended for use with the "pstricks.sty" macro
package for LaTeX.  It is an alternative to the \fBeepic\fR and \fBlatex\fR drivers.
You need "pstricks.sty", and, of course, a printer that understands
PostScript.  Ghostscript understands PostScript, too.

PSTricks is available via anonymous ftp from the /pub directory at
Princeton.EDU.  This driver definitely does not come close to using the full
capability of the PSTricks package.

Syntax:
.br
      set terminal pstricks {hacktext | nohacktext} {unit | nounit}
.br

The first option invokes an ugly hack that gives nicer numbers; the second
has to do with plot scaling.  The defaults are \fBhacktext\fR and \fBnounit\fR.
.sp 2
.NH 3
Qms
.sp 1
.LP
.XS
Qms
.XE
The \fBqms\fR terminal driver supports the QMS/QUIC Laser printer, the Talaris
1200 and others.  It has no options.
.sp 2
.NH 3
Regis
.sp 1
.LP
.XS
Regis
.XE
The \fBregis\fR terminal device generates output in the REGIS graphics language.
It has the option of using 4 (the default) or 16 colors.

Syntax:
.br
      set terminal regis {4 | 16}
.br
.sp 2
.NH 3
Rgip
.sp 1
.LP
.XS
Rgip
.XE
The \fBrgip\fR and \fBuniplex\fR terminal drivers support RGIP metafiles.  They can
combine several graphs on a single page, but only one page is allowed in a
given output file.

Syntax:
.br
      set terminal rgip | uniplex {portrait | landscape}
.br
.br
                                  {[<horiz>,<vert>]} {<fontsize>}
.br

permissible values for the font size are in the range 1--8, with the default
being 1.  The default layout is landscape.  Graphs are placed on the page in
a \fBhoriz\fRx\fBvert\fR grid, which defaults to [1,1].

Example:
.br
      set terminal uniplex portrait [2,3]
.br

puts six graphs on a page in three rows of two in portrait orientation.
.sp 2
.NH 3
Sun
.sp 1
.LP
.XS
Sun
.XE
The \fBsun\fR terminal driver supports the SunView window system.  It has no
options.
.sp 2
.NH 3
Tek410x
.sp 1
.LP
.XS
Tek410x
.XE
The \fBtek410x\fR terminal driver supports the 410x and 420x family of Tektronix
terminals.  It has no options.
.sp 2
.NH 3
Table
.sp 1
.LP
.XS
Table
.XE
Instead of producing a picture, the \fBtable\fR terminal prints out evaluation
results in a multicolumn ASCII table of X Y Z values.  For those times when
you really want to see the numbers, now you can see them on the screen or
save to a file.  This can be useful if you want to use the contouring engine
of \fBgnuplot\fR to work out the contours of your data and then save them for
further use, perhaps for plotting with \fBplot\fR.  See \fBset contour\fR for an
example.  The same trick can be used to save gridded data (\fBset dgrid3d\fR).
.sp 2
.NH 3
Tek40
.sp 1
.LP
.XS
Tek40
.XE
This family of terminal drivers supports a variety of VT-like terminals.
\fBtek40xx\fR supports Tektronix 4010 and others as well as most TEK emulators;
\fBvttek\fR supports VT-like tek40xx terminal emulators; \fBkc-tek40xx\fR supports
MS-DOS Kermit Tek4010 terminal emulators in color: \fBkm-tek40xx\fR supports them
in monochrome; \fBselanar\fR supports Selanar graphics; and \fBbitgraph\fR supports
BBN Bitgraph terminals.  None have any options.
.sp 2
.NH 3
Texdraw
.sp 1
.LP
.XS
Texdraw
.XE
The \fBtexdraw\fR terminal driver supports the LaTeX texdraw environment.  It is
intended for use with "texdraw.sty" and "texdraw.tex" in the texdraw package.
.br
 It has no options.
.br
.sp 2
.NH 3
Tgif
.sp 1
.LP
.XS
Tgif
.XE
Tgif is an X11-based drawing tool---it has nothing to do with GIF.

The \fBtgif\fR driver supports different pointsizes (with \fBset pointsize\fR),
different label fonts and font sizes (e.g. \fBset label "Hallo" at x,y font
"Helvetica,34"\fR) and multiple graphs on the page.  The proportions of the
axes are not changed.

Syntax:
.br
      set terminal tgif {portrait | landscape} {<[x,y]>}
.br
.br
                        {solid | dashed}
.br
.br
                        {"<fontname>"} {<fontsize>}
.br

where <[x,y]> specifies the number of graphs in the x and y directions on the
page, "<fontname>" is the name of a valid PostScript font, and <fontsize>
specifies the size of the PostScript font.  Defaults are \fBportrait\fR, \fB[1,1]\fR,
\fBdashed\fR, \fB"Helvetica"\fR, and \fB18\fR.

The \fBsolid\fR option is usually prefered if lines are colored, as they often
are in the editor.  Hardcopy will be black-and-white, so \fBdashed\fR should be
chosen for that.

Multiplot is implemented in two different ways.

The first multiplot implementation is the standard gnuplot multiplot feature:

.br
      set terminal tgif
.br
.br
      set output "file.obj"
.br
.br
      set multiplot
.br
.br
      set origin x01,y01
.br
.br
      set size  xs,ys
.br
.br
      plot ...
.br
.br
           ...
.br
.br
      set origin x02,y02
.br
.br
      plot ...
.br
.br
      set nomultiplot
.br

See \fBset multiplot\fR for further information.

The second version is the [x,y] option for the driver itself.  The advantage
of this implementation is that everything is scaled and placed automatically
without the need for setting origins and sizes; the graphs keep their natural
x/y proportions of 3/2 (or whatever is fixed by \fBset size\fR).

If both multiplot methods are selected, the standard method is chosen and a
warning message is given.

Examples of single plots (or standard multiplot):
.br
      set terminal tgif                  # defaults
.br
.br
      set terminal tgif "Times-Roman" 24
.br
.br
      set terminal tgif landscape
.br
.br
      set terminal tgif landscape solid
.br

Examples using the built-in multiplot mechanism:
.br
      set terminal tgif portrait [2,4]  # portrait; 2 plots in the x-
.br
.br
                                        # and 4 in the y-direction
.br
.br
      set terminal tgif [1,2]           # portrait; 1 plot in the x-
.br
.br
                                        # and 2 in the y-direction
.br
.br
      set terminal tgif landscape [3,3] # landscape; 3 plots in both
.br
.br
                                        # directions
.br
.sp 2
.NH 3
Tkcanvas
.sp 1
.LP
.XS
Tkcanvas
.XE
This terminal driver generates tk canvas widget commands.  To use it, rebuild
\fBgnuplot\fR (after uncommenting or inserting the appropriate line in "term.h"),
then

.br
 gnuplot> set term tkcanvas
.br
.br
 gnuplot> set output 'plot.file'
.br

After invoking "wish", execute the following sequence of tcl commands:

.br
 % source plot.file
.br
.br
 % canvas .c
.br
.br
 % pack .c
.br
.br
 % gnuplot .c
.br

The code generated by \fBgnuplot\fR creates a tcl procedure called "gnuplot"
that takes the name of a canvas as its argument.  When the procedure is,
called, it clears the canvas, finds the size of the canvas and draws the plot
in it, scaled to fit.

The current version of \fBtkcanvas\fR supports neither \fBmultiplot\fR nor \fBreplot\fR.
.sp 2
.NH 3
Tpic
.sp 1
.LP
.XS
Tpic
.XE
The \fBtpic\fR terminal driver supports the LaTeX picture environment with tpic
\\specials.  It is an alternative to the \fBlatex\fR and \fBeepic\fR terminal drivers.
Options are the point size, line width, and dot-dash interval.

Syntax:
.br
      set terminal tpic <pointsize> <linewidth> <interval>
.br

where \fBpointsize\fR and \fBlinewidth\fR are integers in milli-inches and \fBinterval\fR
is a float in inches.  If a non-positive value is specified, the default is
chosen: pointsize = 40, linewidth = 6, interval = 0.1.
.sp 2
.NH 3
Unixpc
.sp 1
.LP
.XS
Unixpc
.XE
The \fBunixpc\fR terminal driver supports AT&T 3b1 and AT&T 7300 Unix PC.  It has
no options.
.sp 2
.NH 3
Unixplot
.sp 1
.LP
.XS
Unixplot
.XE
The \fBunixplot\fR terminal driver generates output in the Unix "plot" graphics
language.  It has no options.
This terminal cannot be compiled if the GNU version of plot is to be used; in
that case, use the \fBgnugraph\fR terminal instead.
.sp 2
.NH 3
Vx384
.sp 1
.LP
.XS
Vx384
.XE
The \fBvx384\fR terminal driver supports the Vectrix 384 and Tandy color
printers.  It has no options.
.sp 2
.NH 3
Vws
.sp 1
.LP
.XS
Vws
.XE
The \fBvws\fR terminal driver supports the VAX Windowing System.  It has no
options.
.sp 2
.NH 3
Windows
.sp 1
.LP
.XS
Windows
.XE
Three options may be set in the \fBwindows\fR terminal driver.

Syntax:
.br
      set terminal windows {<color>} {"<fontname>"} {<fontsize>}
.br

where \fB<color>\fR is either \fBcolor\fR or \fBmonochrome\fR, \fB"<fontname>"\fR is the
name of a valid Windows font, and \fB<fontsize>\fR is the size of the font in
points.
.sp 2
.RS
.IP
.NH 4
Graph-menu
.sp 1
.LP
.XS
Graph-menu
.XE
The \fBgnuplot graph\fR window has the following options on a pop-up menu
accessed by pressing the right mouse button or selecting \fBOptions\fR from the
system menu:

\fBBring to Top\fR when checked brings the graph window to the top after every
plot.

\fBColor\fR when checked enables color linestyles.  When unchecked it forces
monochrome linestyles.

\fBCopy to Clipboard\fR copies a bitmap and a Metafile picture.

\fBBackground...\fR sets the window background color.

\fBChoose Font...\fR selects the font used in the graphics window.

\fBLine Styles...\fR allows customization of the line colors and styles.

\fBPrint...\fR prints the graphics windows using a Windows printer driver and
allows selection of the printer and scaling of the output.  The output
produced by \fBPrint\fR is not as good as that from \fBgnuplot\fR\&'s own printer
drivers.

\fBUpdate wgnuplot.ini\fR saves the current window locations, window sizes, text
window font, text window font size, graph window font, graph window font
size, background color and linestyles to the initialization file
\fBWGNUPLOT.INI\fR.
.sp 2
.NH 4
Printing
.sp 1
.LP
.XS
Printing
.XE
In order of preference, graphs may be be printed in the following ways.

\fB1.\fR Use the \fBgnuplot\fR command \fBset terminal\fR to select a printer and \fBset
output\fR to redirect output to a file.

\fB2.\fR Select the \fBPrint...\fR command from the \fBgnuplot graph\fR window.  An extra
command \fBscreendump\fR does this from the text window.

\fB3.\fR If \fBset output "PRN"\fR is used, output will go to a temporary file.  When
you exit from \fBgnuplot\fR or when you change the output with another \fBset
output\fR command, a dialog box will appear for you to select a printer port.
If you choose OK, the output will be printed on the selected port, passing
unmodified through the print manager.  It is possible to accidentally (or
deliberately) send printer output meant for one printer to an incompatible
printer.
.sp 2
.NH 4
Text-menu
.sp 1
.LP
.XS
Text-menu
.XE
The \fBgnuplot text\fR window has the following options on a pop-up menu accessed
by pressing the right mouse button or selecting \fBOptions\fR from the system
menu:

\fBCopy to Clipboard\fR copies marked text to the clipboard.

\fBPaste\fR copies text from the clipboard as if typed by the user.

\fBChoose Font...\fR selects the font used in the text window.

\fBSystem Colors\fR when selected makes the text window honor the System Colors
set using the Control Panel.  When unselected, text is black or blue on a
white background.

\fBUpdate wgnuplot.ini\fR saves the current text window location, text window
size, text window font and text window font size to the initialisation file
\fBWGNUPLOT.INI\fR.

\fBMENU BAR\fR

If the menu file \fBWGNUPLOT.MNU\fR is found in the same directory as
WGNUPLOT.EXE, then the menu specified in \fBWGNUPLOT.MNU\fR will be loaded.
Menu commands:

[Menu] starts a new menu with the name on the following line.

[EndMenu] ends the current menu.

[--] inserts a horizontal menu separator.

[|] inserts a vertical menu separator.

[Button] puts the next macro on a push button instead of a menu.

Macros take two lines with the macro name (menu entry) on the first line and
the macro on the second line.  Leading spaces are ignored.  Macro commands:

[INPUT] --- Input string with prompt terminated by [EOS] or {ENTER}

[EOS] --- End Of String terminator.  Generates no output.

[OPEN] --- Get name of file to open from list box, with title of list box
terminated by [EOS], followed by default filename terminated by [EOS] or
{ENTER}.  This uses COMMDLG.DLL from Windows 3.1.

[SAVE] --- Get name of file to save.  Similar to [OPEN]

Macro character substitutions:

{ENTER} --- Carriage Return \&'\\r\&'

{TAB} --- Tab \&'\\011\&'

{ESC} --- Escape \&'\\033\&'

{^A} --- \&'\\001\&'

\&...

{^_} --- \&'\\031\&'

Macros are limited to 256 characters after expansion.
.sp 2
.NH 4
Wgnuplot.ini
.sp 1
.LP
.XS
Wgnuplot.ini
.XE
Windows \fBgnuplot\fR will read some of its options from the \fB[WGNUPLOT]\fR section
of \fBWGNUPLOT.INI\fR in the Windows directory.  A sample \fBWGNUPLOT.INI\fR file:

.br
      [WGNUPLOT]
.br
.br
      TextOrigin=0 0
.br
.br
      TextSize=640 150
.br
.br
      TextFont=Terminal,9
.br
.br
      GraphOrigin=0 150
.br
.br
      GraphSize=640 330
.br
.br
      GraphFont=Arial,10
.br
.br
      GraphColor=1
.br
.br
      GraphToTop=1
.br
.br
      GraphBackground=255 255 255
.br
.br
      Border=0 0 0 0 0
.br
.br
      Axis=192 192 192 2 2
.br
.br
      Line1=0 0 255 0 0
.br
.br
      Line2=0 255 0 0 1
.br
.br
      Line3=255 0 0 0 2
.br
.br
      Line4=255 0 255 0 3
.br
.br
      Line5=0 0 128 0 4
.br

The \fBGraphFont\fR entry specifies the font name and size in points.  The five
numbers given in the \fBBorder\fR, \fBAxis\fR and \fBLine\fR entries are the \fBRed\fR
intensity (0--255), \fBGreen\fR intensity, \fBBlue\fR intensity, \fBColor Linestyle\fR
and \fBMono Linestyle\fR.  \fBLinestyles\fR are 0=SOLID, 1=DASH, 2=DOT, 3=DASHDOT,
4=DASHDOTDOT.  In the sample \fBWGNUPLOT.INI\fR file above, Line 2 is a green
solid line in color mode, or a dashed line in monochrome mode.  The default
line width is 1 pixel.  If \fBLinestyle\fR is negative, it specifies the width of
a SOLID line in pixels.  Line1 and any linestyle used with the \fBpoints\fR style
must be SOLID with unit width.
.sp 2
.NH 4
Windows3.0
.sp 1
.LP
.XS
Windows3.0
.XE
Windows 3.1 is preferred, but WGNUPLOT will run under Windows 3.0 with the
following restrictions:
\fB1.\fR COMMDLG.DLL and SHELL.DLL (available with Windows 3.1 or Borland C++
3.1) must be in the windows directory.

\fB2.\fR WGNUPLOT.HLP produced by Borland C++ 3.1 is in Windows 3.1 format.
You need to use the WINHELP.EXE supplied with Borland C++ 3.1.

\fB3.\fR It will not run in real mode due to lack of memory.

\fB4.\fR TrueType fonts are not available in the graph window.

\fB5.\fR Drag-drop does not work.
.sp 2
.RE
.br
.NH 3
X11
.sp 1
.LP
.XS
X11
.XE
\fBgnuplot\fR provides the \fBx11\fR terminal type for use with X servers.  This
terminal type is set automatically at startup if the \fBDISPLAY\fR environment
variable is set, if the \fBTERM\fR environment variable is set to \fBxterm\fR, or
if the \fB-display\fR command line option is used.

Syntax:
.br
      set terminal x11 {reset} {<n>}
.br

Multiple plot windows are supported: \fBset terminal x11 <n>\fR directs the
output to plot window number n.  If n>0, the terminal number will be
appended to the window title and the icon will be labeled \fBgplt <n>\fR.
The active window may distinguished by a change in cursor (from default
to crosshair.)

Plot windows remain open even when the \fBgnuplot\fR driver is changed to a
different device.  A plot window can be closed by pressing the letter q
while that window has input focus, or by choosing \fBclose\fR from a window
manager menu.

All plot windows can be closed by specifying \fBreset\fR, which actually
terminates the subprocess which maintains the windows (unless -persist was
specified).

For terminal type \fBx11\fR, \fBgnuplot\fR accepts (when initialized) the standard
X Toolkit options and resources such as geometry, font, and background from
from the command line arguments or a configuration file.  See the X(1) man
page (or its equivalent) for a description of the options.

Many other options are available for the \fBx11\fR terminal.  These may be
specified either as command-line options when \fBgnuplot\fR is invoked or as
resources in the configuration file "/.Xdefaults".  Thus they are chosen
at start-up time and cannot be altered during a single \fBgnuplot\fR session.
.sp 2
.RS
.IP
.NH 4
Command-line-options
.sp 1
.LP
.XS
Command-line-options
.XE
In addition to the X Toolkit options, the following options may be specified
on the command line when starting \fBgnuplot\fR or as resources in your
".Xdefaults" file:

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
`-mono`@@forces monochrome rendering on color displays.
`-gray`@@requests grayscale rendering on grayscale or color displays.
       @@(Grayscale displays receive monochrome rendering by default.)
`-clear`@@requests that the window be cleared momentarily before a
        @@new plot is displayed.
`-tvtwm`@@requests that geometry specifications for position of the
        @@window be made relative to the currently displayed portion
        @@of the virtual root.
`-raise`@@raise plot window after each plot
`-noraise`@@do not raise plot window after each plot
`-persist`@@plot windows survive after main gnuplot program exits
.TE
.KE
.EQ
delim off
.EN

The options are shown above in their command-line syntax.  When entered as
resources in ".Xdefaults", they require a different syntax.

Example:
.br
      gnuplot*gray: on
.br

\fBgnuplot\fR provides a command line option (\fB-pointsize v\fR) and a resource
(\fBgnuplot*pointsize: v\fR) to control the size of points plotted with the
\fBpoints\fR plotting style.  The value \fBv\fR is a real number (greater than 0 and
less than or equal to ten) used as a scaling factor for point sizes.  For
example, \fB-pointsize 2\fR uses points twice the default size, and \fB-pointsize\fR
\fB0.5\fR uses points half the normal size.

Plot windows will automatically be closed at the end of the session
unless the \fB-persist\fR option was given.

For monochrome displays, \fBgnuplot\fR does not honor foreground or background
colors.  The default is black-on-white.  \fB-rv\fR or \fBgnuplot*reverseVideo: on\fR
requests white-on-black.

For color displays, \fBgnuplot\fR honors the following resources (shown here with
their default values).  The values may be color names as listed in the X11
rgb.txt file on your system, hexadecimal RGB color specifications (see X11
documentation), or a color name followed by a comma and an \fBintensity\fR value
from 0 to 1.  For example, \fBblue,.5\fR means a half intensity blue.

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
@@gnuplot*background: white
@@gnuplot*textColor: black
@@gnuplot*borderColor: black
@@gnuplot*axisColor: black
@@gnuplot*line1Color: red
@@gnuplot*line2Color: green
@@gnuplot*line3Color: blue
@@gnuplot*line4Color: magenta
@@gnuplot*line5Color: cyan
@@gnuplot*line6Color: sienna
@@gnuplot*line7Color: orange
@@gnuplot*line8Color: coral
.TE
.KE
.EQ
delim off
.EN


The command-line syntax for these is, for example,

Example:
.br
      gnuplot -background coral
.br

When \fB-gray\fR is selected, \fBgnuplot\fR honors the following resources for
grayscale or color displays (shown here with their default values).  Note
that the default background is black.

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
@@gnuplot*background: black
@@gnuplot*textGray: white
@@gnuplot*borderGray: gray50
@@gnuplot*axisGray: gray50
@@gnuplot*line1Gray: gray100
@@gnuplot*line2Gray: gray60
@@gnuplot*line3Gray: gray80
@@gnuplot*line4Gray: gray40
@@gnuplot*line5Gray: gray90
@@gnuplot*line6Gray: gray50
@@gnuplot*line7Gray: gray70
@@gnuplot*line8Gray: gray30
.TE
.KE
.EQ
delim off
.EN


\fBgnuplot\fR honors the following resources for setting the width (in pixels) of
plot lines (shown here with their default values.)  0 or 1 means a minimal
width line of 1 pixel width.  A value of 2 or 3 may improve the appearance of
some plots.

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
@@gnuplot*borderWidth: 2
@@gnuplot*axisWidth: 0
@@gnuplot*line1Width: 0
@@gnuplot*line2Width: 0
@@gnuplot*line3Width: 0
@@gnuplot*line4Width: 0
@@gnuplot*line5Width: 0
@@gnuplot*line6Width: 0
@@gnuplot*line7Width: 0
@@gnuplot*line8Width: 0
.TE
.KE
.EQ
delim off
.EN


\fBgnuplot\fR honors the following resources for setting the dash style used for
plotting lines.  0 means a solid line.  A two-digit number \fBjk\fR (\fBj\fR and \fBk\fR
are >= 1  and <= 9) means a dashed line with a repeated pattern of \fBj\fR pixels
on followed by \fBk\fR pixels off.  For example, \&'16\&' is a "dotted" line with one
pixel on followed by six pixels off.  More elaborate on/off patterns can be
specified with a four-digit value.  For example, \&'4441\&' is four on, four off,
four on, one off.  The default values shown below are for monochrome displays
or monochrome rendering on color or grayscale displays.  For color displays,
the default for each is 0 (solid line) except for \fBaxisDashes\fR which defaults
to a \&'16\&' dotted line.

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
@@gnuplot*borderDashes: 0
@@gnuplot*axisDashes: 16
@@gnuplot*line1Dashes: 0
@@gnuplot*line2Dashes: 42
@@gnuplot*line3Dashes: 13
@@gnuplot*line4Dashes: 44
@@gnuplot*line5Dashes: 15
@@gnuplot*line6Dashes: 4441
@@gnuplot*line7Dashes: 42
@@gnuplot*line8Dashes: 13
.TE
.KE
.EQ
delim off
.EN


The size or aspect ratio of a plot may be changed by resizing the \fBgnuplot\fR
window.
.sp 2
.RE
.br
.NH 3
Xlib
.sp 1
.LP
.XS
Xlib
.XE
The \fBxlib\fR terminal driver supports the X11 Windows System.  It generates
gnulib_x11 commands.  \fBset term x11\fR behaves similarly to \fBset terminal xlib;
set output "|gnuplot_x11"\fR.  \fBxlib\fR has no options, but see \fBx11\fR.
.sp 2
.RE
.br
.NH 2
Tics
.sp 1
.LP
.XS
Tics
.XE
The \fBset tics\fR command can be used to change the tics to be drawn outwards.

Syntax:
.br
      set tics {<direction>}
.br
.br
      show tics
.br

where <direction> may be \fBin\fR (the default) or \fBout\fR.

See also \fBset xtics\fR for more control of major (labelled) tic marks and \fBset
mxtics\fR for control of minor tic marks.
.sp 2
.NH 2
Ticslevel
.sp 1
.LP
.XS
Ticslevel
.XE
Using \fBsplot\fR, one can adjust the relative height of the vertical (Z) axis
using \fBset ticslevel\fR.  The numeric argument provided specifies the location
of the bottom of the scale (as a fraction of the z-range) above the xy-plane.
The default value is 0.5.  Negative values are permitted, but tic labels on
the three axes may overlap.

To place the xy-plane at a position \&'pos\&' on the z-axis, \fBticslevel\fR should
be set equal to  (pos - zmin) / (zmin - zmax).

Syntax:
.br
      set ticslevel {<level>}
.br
.br
      show tics
.br

See also \fBset view\fR.
.sp 2
.NH 2
Ticscale
.sp 1
.LP
.XS
Ticscale
.XE
The size of the tic marks can be adjusted with \fBset ticscale\fR.

Syntax:
.br
      set ticscale {<major> {<minor>}}
.br
.br
      show tics
.br

If <minor> is not specified, it is 0.5*<major>.  The default size is 1.0 for
major tics and 0.5 for minor tics.  Note that it is possible to have the tic
marks pointing outward by specifying a negative size.
.sp 2
.NH 2
Timestamp
.sp 1
.LP
.XS
Timestamp
.XE
The command \fBset timestamp\fR places the time and date of the plot in the left
margin.

Syntax:
.br
      set timestamp {"<format>"} {top|bottom} {{no}rotate}
.br
.br
                    {<xoff>}{,<yoff>} {"<font>"}
.br
.br
      set notimestamp
.br
.br
      show timestamp
.br

The format string allows you to choose the format used to write the date and
time.  Its default value is what asctime() uses: "%a %b %d %H:%M:%S %Y"
(weekday, month name, day of the month, hours, minutes, seconds, four-digit
year).  With \fBtop\fR or \fBbottom\fR you can place the timestamp at the top or
bottom of the left margin (default: bottom).  \fBrotate\fR lets you write the
timestamp vertically, if your terminal supports vertical text.  The constants
<xoff> and <off> are offsets from the default position given in character
screen coordinates.  <font> is used to specify the font with which the time
is to be written.

The abbreviation \fBtime\fR may be used in place of \fBtimestamp\fR.

Example:
.br
      set timestamp "%d/%m/%y %H:%M" 80,-2 "Helvetica"
.br

See \fBset timefmt\fR for more information about time format strings.
.sp 2
.NH 2
Timefmt
.sp 1
.LP
.XS
Timefmt
.XE
This command applies to timeseries where data are composed of dates/times.
It has no meaning unless the command \fBset xdata time\fR is given also.

Syntax:
.br
      set timefmt "<format string>"
.br
.br
      show timefmt
.br

The string argument tells \fBgnuplot\fR how to read timedata from the datafile.
The valid formats are:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Format@Explanation
_
%d@day of the month, 1--31
%m@month of the year, 1--12
%y@year, 0--99
%Y@year, 4-digit
%j@day of the year, 1--365
%H@hour, 0--24
%M@minute, 0--60
%S@second, 0--60
%b@three-character abbreviation of the name of the month
%B@name of the month
_
.TE
.KE
.EQ
delim off
.EN

Any character is allowed in the string, but must match exactly.  \\t (tab) is
recognized.  Backslash-octals (\\nnn) are converted to char.  If there is no
separating character between the date/time elements, then %d, %m, %y, %H, %M
and %S read two digits each, %Y reads four digits and %j reads three digits.
%b requires three characters, and %B requires as many as it needs.

Spaces are treated slightly differently.  A space in the string stands for
zero or more whitespace characters in the file.  That is, "%H %M" can be used
to read "1220" and "12     20" as well as "12 20".

Each set of non-blank characters in the timedata counts as one column in the
\fBusing n:n\fR specification.  Thus \fB11:11  25/12/76  21.0\fR consists of three
columns.  To avoid confusion, \fBgnuplot\fR requires that you provide a complete
\fBusing\fR specification if your file contains timedata.

Since \fBgnuplot\fR cannot read non-numerical text, if the date format includes
the day or month in words, the format string must exclude this text.  But
it can still be printed with the "%a", "%A", "%b", or "%B" specifier: see
\fBset format\fR for more details about these and other options for printing
timedata.  (\fBgnuplot\fR will determine the proper month and weekday from the
numerical values.)

See also \fBset xdata\fR and \fBTime/date\fR for more information.

Example:
.br
      set timefmt "%d/%m/%Y\\t%H:%M"
.br
tells \fBgnuplot\fR to read date and time separated by tab.  (But look closely at
your data---what began as a tab may have been converted to spaces somewhere
along the line; the format string must match what is actually in the file.)
.sp 2
.NH 2
Title
.sp 1
.LP
.XS
Title
.XE
The \fBset title\fR command produces a plot title that is centered at the top of
the plot.  \fBset title\fR is a special case of \fBset label\fR.

Syntax:
.br
      set title {"<title-text>"} {<xoff>}{,<yoff>} {"<font>,{<size>}"}
.br
.br
      show title
.br

Specifying constants <xoff> or <yoff> as optional offsets for the title will
move the title <xoff> or <yoff> character screen coordinates (not graph
coordinates).  For example, "\fBset title ,-1\fR" will change only the y offset
of the title, moving the title down by roughly the height of one character.

<font> is used to specify the font with which the title is to be written;
the units of the font <size> depend upon which terminal is used.

\fBset title\fR with no parameters clears the title.

See \fBsyntax\fR for details about the processing of backslash sequences and
the distinction between single- and double-quotes.
.sp 2
.NH 2
Tmargin
.sp 1
.LP
.XS
Tmargin
.XE
The command \fBset tmargin\fR sets the size of the top margin.  Please see
\fBset margin\fR for details.
.sp 2
.NH 2
Trange
.sp 1
.LP
.XS
Trange
.XE
The \fBset trange\fR command sets the parametric range used to compute x and y
values when in parametric or polar modes.  Please see \fBset xrange\fR for
details.
.sp 2
.NH 2
Urange
.sp 1
.LP
.XS
Urange
.XE
The \fBset urange\fR and \fBset vrange\fR commands set the parametric ranges used
to compute x, y, and z values when in \fBsplot\fR parametric mode.  Please see
\fBset xrange\fR for details.
.sp 2
.NH 2
Variables
.sp 1
.LP
.XS
Variables
.XE
The \fBshow variables\fR command lists all user-defined variables and their
values.

Syntax:
.br
      show variables
.br
.sp 2
.NH 2
View
.sp 1
.LP
.XS
View
.XE
The \fBset view\fR command sets the viewing angle for \fBsplot\fRs.  It controls how
the 3-d coordinates of the plot are mapped into the 2-d screen space.  It
provides controls for both rotation and scaling of the plotted data, but
supports orthographic projections only.

Syntax:
.br
      set view <rot_x> {,{<rot_z>}{,{<scale>}{,<scale_z>}}}
.br
.br
      show view
.br

where <rot_x> and <rot_z> control the rotation angles (in degrees) in a
virtual 3-d coordinate system aligned with the screen such that initially
(that is, before the rotations are performed) the screen horizontal axis is
x, screen vertical axis is y, and the axis perpendicular to the screen is z.
The first rotation applied is <rot_x> around the x axis.  The second rotation
applied is <rot_z> around the new z axis.

<rot_x> is bounded to the [0:180] range with a default of 60 degrees, while
<rot_z> is bounded to the [0:360] range with a default of 30 degrees.
<scale> controls the scaling of the entire \fBsplot\fR, while <scale_z> scales
the z axis only.  Both scales default to 1.0.

Examples:
.br
      set view 60, 30, 1, 1
.br
.br
      set view ,,0.5
.br

The first sets all the four default values.  The second changes only scale,
to 0.5.

See also \fBset ticslevel\fR.
.sp 2
.NH 2
Vrange
.sp 1
.LP
.XS
Vrange
.XE
The \fBset urange\fR and \fBset vrange\fR commands set the parametric ranges used
to compute x, y, and z values when in \fBsplot\fR parametric mode.  Please see
\fBset xrange\fR for details.
.sp 2
.NH 2
X2data
.sp 1
.LP
.XS
X2data
.XE
The \fBset x2data\fR command sets data on the x2 (top) axis to timeseries
(dates/times).  Please see \fBset xdata\fR.
.sp 2
.NH 2
X2dtics
.sp 1
.LP
.XS
X2dtics
.XE
The \fBset x2dtics\fR command changes tics on the x2 (top) axis to days of the
week.  Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
X2label
.sp 1
.LP
.XS
X2label
.XE
The \fBset x2label\fR command sets the label for the x2 (top) axis.  Please see
\fBset xlabel\fR.
.sp 2
.NH 2
X2mtics
.sp 1
.LP
.XS
X2mtics
.XE
The \fBset x2mtics\fR command changes tics on the x2 (top) axis to months of the
year.  Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
X2range
.sp 1
.LP
.XS
X2range
.XE
The \fBset x2range\fR command sets the horizontal range that will be displayed on
the x2 (top) axis.  Please see \fBset xrange\fR for details.
.sp 2
.NH 2
X2tics
.sp 1
.LP
.XS
X2tics
.XE
The \fBset x2tics\fR command controls major (labelled) tics on the x2 (top) axis.
Please see \fBset xtics\fR for details.
.sp 2
.NH 2
X2zeroaxis
.sp 1
.LP
.XS
X2zeroaxis
.XE
The \fBset x2zeroaxis\fR command draws a line at the origin of the x2 (top) axis
(x2 = 0).  For details, please see
\fBset zeroaxis\fR.
.sp 2
.NH 2
Xdata
.sp 1
.LP
.XS
Xdata
.XE
This command sets the datatype on the x axis to date/time.  A similar command
does the same thing for each of the other axes.

Syntax:
.br
      set xdata {time}
.br
.br
      show xdata
.br

The same syntax applies to \fBydata\fR, \fBzdata\fR, \fBx2data\fR and \fBy2data\fR.

The \fBtime\fR option signals that the datatype is indeed date/time.  If the
option is not specified, the datatype reverts to normal.

See \fBset timefmt\fR to tell \fBgnuplot\fR how to read date or time data.  The
date/time is converted to seconds from start of the century.  There is
currently only one timefmt, which implies that all the date/time columns must
confirm to this format.  Specification of ranges should be supplied as quoted
strings according to this format to avoid interpretation of the date/time as
an expression.

The function \&'strftime\&' (type "man strftime" on unix to look it up) is used
to print ticmark labels.  \fBgnuplot\fR tries to figure out a reasonable format
for this  unless the \fBset format x "string"\fR has supplied something that does
not look like a decimal format (more than one \&'%\&' or neither %f nor %g).

See also \fBTime/date\fR for more information.
.sp 2
.NH 2
Xdtics
.sp 1
.LP
.XS
Xdtics
.XE
The \fBset xdtics\fR commands converts the x-axis tic marks to days of the week
where 0=Sun and 6=Sat.  Overflows are converted modulo 7 to dates.  \fBset
noxdtics\fR returns the labels to their default values.  Similar commands do
the same things for the other axes.

Syntax:
.br
      set xdtics
.br
.br
      set noxdtics
.br
.br
      show xdtics
.br

The same syntax applies to \fBydtics\fR, \fBzdtics\fR, \fBx2dtics\fR and \fBy2dtics\fR.

See also the \fBset format\fR command.
.sp 2
.NH 2
Xlabel
.sp 1
.LP
.XS
Xlabel
.XE
The \fBset xlabel\fR command sets the x axis label.  Similar commands set labels
on the other axes.

Syntax:
.br
      set xlabel {"<label>"} {<xoff>}{,<yoff>} {"<font>{,<size>}"}
.br
.br
      show xlabel
.br

The same syntax applies to \fBx2label\fR, \fBylabel\fR, \fBy2label\fR and \fBzlabel\fR.

Specifying the constants <xoff> or <yoff> as optional offsets for a label
will move it <xoff> or <yoff> character widths or heights.  For example,
"\fB set xlabel -1\fR" will change only the x offset of the xlabel, moving the
label roughly one character width to the left.   The size of a character
depends on both the font and the terminal.

<font> is used to specify the font in which the label is written; the units
of the font <size> depend upon which terminal is used.

To clear a label, put no options on the command line, e.g., "\fBset y2label\fR".

The default positions of the axis labels are as follows:

xlabel:  The x-axis label is centered below the bottom axis.

ylabel:  The position of the y-axis label depends on the terminal, and can be
one of the following three positions:

1. Horizontal text flushed left at the top left of the plot.  Terminals that
cannot rotate text will probably use this method.  If \fBset x2tics\fR is also
in use, the ylabel may overwrite the left-most x2tic label.  This may be
remedied by adjusting the ylabel position or the left margin.

2. Vertical text centered vertically at the left of the plot.  Terminals
that can rotate text will probably use this method.

3. Horizontal text centered vertically at the left of the plot.  The EEPIC,
LaTeX and TPIC drivers use this method.  The user must insert line breaks
using \\\\ to prevent the ylabel from overwriting the plot.  To produce a
vertical row of characters, add \\\\ between every printing character (but this
is ugly).

zlabel: The z-axis label is centered along the z axis and placed in the space
above the grid level.

y2label: The y2-axis label is placed to the right of the y2 axis.  The
position is terminal-dependent in the same manner as is the y-axis label.

x2label: The x2-axis label is placed above the top axis but below the plot
title.  It is also possible to create an x2-axis label by using new-line
characters to make a multi-line plot title, e.g.,

.br
      set title "This is the title\\n\\nThis is the x2label"
.br

Note that double quotes must be used.  The same font will be used for both
lines, of course.

If you are not satisfied with the default position of an axis label, use \fBset
label\fR instead--that command gives you much more control over where text is
placed.

Please see \fBset syntax\fR for further information about backslash processing
and the difference between single- and double-quoted strings.
.sp 2
.NH 2
Xmtics
.sp 1
.LP
.XS
Xmtics
.XE
The \fBset xmtics\fR commands converts the x-axis tic marks to months of the
year where 1=Jan and 12=Dec.  Overflows are converted modulo 12 to months.
The tics are returned to their default labels by \fBset noxmtics\fR.  Similar
commands perform the same duties for the other axes.

Syntax:
.br
      set xmtics
.br
.br
      set noxmtics
.br
.br
      show xmtics
.br

The same syntax applies to \fBx2mtics\fR, \fBymtics\fR, \fBy2mtics\fR, and \fBzmtics\fR.

See also the \fBset format\fR command.
.sp 2
.NH 2
Xrange
.sp 1
.LP
.XS
Xrange
.XE
The \fBset xrange\fR command sets the horizontal range that will be displayed.
A similar command exists for each of the other axes, as well as for the
polar radius r and the parametric variables t, u, and v.

Syntax:
.br
      set xrange [{{<min>}:{<max>}}] {{no}reverse} {{no}writeback}
.br
.br
      show xrange
.br

where <min> and <max> terms are constants, expressions or an asterisk to set
autoscaling.  If the data are date/time, you must give the range as a quoted
string according to the \fBset timefmt\fR format.  Any value omitted will not be
changed.

The same syntax applies to \fByrange\fR, \fBzrange\fR, \fBx2range\fR, \fBy2range\fR,
\fBrrange\fR, \fBtrange\fR, \fBurange\fR and \fBvrange\fR.

The \fBreverse\fR option reverses the direction of the axis, e.g., \fBset xrange
[0:1] reverse\fR will produce an axis with 1 on the left and 0 on the right.
This is identical to the axis produced by \fBset xrange [1:0]\fR, of course.
\fBreverse\fR is intended primarily for use with \fBautoscale\fR.

The \fBwriteback\fR option essentially saves the range found by \fBautoscale\fR in
the buffers that would be filled by \fBset xrange\fR.  This is useful if you wish
to plot several functions together but have the range determined by only
some of them.  The \fBwriteback\fR operation is performed during the \fBplot\fR
execution, so it must be specified before that command.  For example,

.br
      set xrange [-10:10]
.br
.br
      set yrange [] writeback
.br
.br
      plot sin(x)
.br
.br
      set noautoscale y
.br
.br
      replot x/2
.br

results in a yrange of [-1:1] as found only from the range of sin(x); the
[-5:5] range of x/2 is ignored.  Executing \fBshow yrange\fR after each command
in the above example should help you understand what is going on.

In 2-d, \fBxrange\fR and \fByrange\fR determine the extent of the axes, \fBtrange\fR
determines the range of the parametric variable in parametric mode or the
range of the angle in polar mode.  Similarly in parametric 3-d, \fBxrange\fR,
\fByrange\fR, and \fBzrange\fR govern the axes and \fBurange\fR and \fBvrange\fR govern the
parametric variables.

In polar mode, \fBrrange\fR determines the radial range plotted.  <rmin> acts as
an additive constant to the radius, whereas <rmax> acts as a clip to the
radius---no point with radius greater than <rmax> will be plotted.  \fBxrange\fR
and \fByrange\fR are affected---the ranges can be set as if the graph was of
r(t)-rmin, with rmin added to all the labels.

Any range may be partially or totally autoscaled, although it may not make
sense to autoscale a parametric variable unless it is plotted with data.

Ranges may also be specified on the \fBplot\fR command line.  A range given on
the plot line will be used for that single \fBplot\fR command; a range given by
a \fBset\fR command will be used for all subsequent plots that do not specify
their own ranges.  The same holds true for \fBsplot\fR.

Examples:

To set the xrange to the default:
.br
      set xrange [-10:10]
.br

To set the yrange to increase downwards:
.br
      set yrange [10:-10]
.br

To change zmax to 10 without affecting zmin (which may still be autoscaled):
.br
      set zrange [:10]
.br

To autoscale xmin while leaving xmax unchanged:
.br
      set xrange [*:]
.br
.sp 2
.NH 2
Xtics
.sp 1
.LP
.XS
Xtics
.XE
Fine control of the major (labelled) tics on the x axis is possible with the
\fBset xtics\fR command.  The tics may be turned off with the \fBset noxtics\fR
command, and may be turned on (the default state) with \fBset xtics\fR.  Similar
commands control the major tics on the y, z, x2 and y2 axes.

Syntax:
.br
      set xtics {axis | border} {{no}mirror} {{no}rotate}
.br
.br
                {  <incr>
.br
.br
                 | <start>, <incr> {,<end>}
.br
.br
                 | ({"<label>"} <pos> {,{"<label>"} <pos>}...) }
.br
.br
      set noxtics
.br
.br
      show xtics
.br

The same syntax applies to \fBytics\fR, \fBztics\fR, \fBx2tics\fR and \fBy2tics\fR.

\fBaxis\fR or \fBborder\fR tells \fBgnuplot\fR to put the tics (both the tics themselves
and the accompanying labels) along the axis or the border, respectively.
\fBmirror\fR tells it to put unlabelled tics at the same positions on the
opposite border.  \fBnomirror\fR does what you think it does.  \fBrotate\fR asks
\fBgnuplot\fR to rotate the text through 90 degrees, if the underlying terminal
driver supports text rotation.  \fBnorotate\fR cancels this.  The defaults are
\fBborder mirror norotate\fR for tics on the x, y, x2, and y2 axes.  For the
z axis, the the \fB{axis | border}\fR option is not available and the default
is \fBnomirror\fR.  If you do want to mirror the z-axis tics, you might want
to create a bit more room for them with \fBset border\fR.

The positions of the tics may be specified in either of two forms:

The <start>, <incr>, <end> form specifies that a series of tics will be
plotted on the axis between the values <start> and <end> with an increment of
<incr>.  If <end> is not given, it is assumed to be infinity.  The increment
may be negative.  If neither <start> nor <end> is given, <start> is assumed
to be negative infinity, <end> is assumed to be positive infinity, and the
tics will be drawn at multiples of <step>---there will be a tic at zero (if
it is within the plotted range).  If the axis is logarithmic, the increment
will be used as a multiplicative factor.

Examples:

Make tics at 0, 0.5, 1, 1.5, ..., 9.5, 10.
.br
      set xtics 0,.5,10
.br

Make tics at ..., -10, -5, 0, 5, 10, ...
.br
      set xtics 5
.br

Make tics at 1, 100, 1e4, 1e6, 1e8.
.br
      set logscale x; set xtics 1,100,10e8
.br

The ("<label>" <pos>, ...) form allows arbitrary tic positions or non-numeric
tic labels.  A set of tics is a set of positions, each with its own optional
label.  Note that the label is a string enclosed by quotes, and may be a
constant string, such as "hello", or contain formatting information for the
tic number (which is the same as the position), such as "%3f clients".  See
\fBset format\fR for more information about this case.  The label may be made
empty by specifying it as an empty string.  If no string is given, the
default label (numerical) is used.  In this form, the tics do not need to be
listed in numerical order.

Examples:
.br
      set xtics ("low" 0, "medium" 50, "high" 100)
.br
.br
      set xtics (1,2,4,8,16,32,64,128,256,512,1024)
.br
.br
      set ytics ("bottom" 0, "" 10, "top" 20)
.br

In the second example, all tics are labelled.  In the third, only the end
tics are labelled.

Tics will only be plotted when in range.

Minor (unlabelled) tics can be added by the \fBset mxtics\fR command.

In case of timeseries data, position values must be given as quoted dates
or times according to the format \fBtimefmt\fR.  If the <start>, <incr>, <end>
form is used, <start> and <end> must be given according to \fBtimefmt\fR, but
<incr> must be in seconds.  Times will be written out according to the format
given on "set format", however.

Examples:
.br
      set xdata time
.br
.br
      set timefmt "%d/%m"
.br
.br
      set format x "%b %d"
.br
.br
      set xrange ["00/12":"06/12"]
.br
.br
      set xtics "01/12", 172800, "05/12"
.br

.br
      set xdata time
.br
.br
      set timefmt "%d/%m"
.br
.br
      set format x "%b %d"
.br
.br
      set xrange ["00/12":"06/12"]
.br
.br
      set xtics ("01/12", "" "03/12", "05/12")
.br
Both of these will produce tics "Dec 1", "Dec 3", and "Dec 5", but in the
second example the tic at "Dec 3" will be unlabelled.

.sp 2
.NH 2
Xzeroaxis
.sp 1
.LP
.XS
Xzeroaxis
.XE
The \fBset xzeroaxis\fR command draws a line at x = 0.  For details, please see
\fBset zeroaxis\fR.
.sp 2
.NH 2
Y2data
.sp 1
.LP
.XS
Y2data
.XE
The \fBset y2data\fR command sets y2 (right-hand) axis data to timeseries
(dates/times).  Please see \fBset xdata\fR.
.sp 2
.NH 2
Y2dtics
.sp 1
.LP
.XS
Y2dtics
.XE
The \fBset y2dtics\fR command changes tics on the y2 (right-hand) axis to days of
the week.  Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
Y2label
.sp 1
.LP
.XS
Y2label
.XE
The \fBset y2dtics\fR command sets the label for the y2 (right-hand) axis.
Please see \fBset xlabel\fR.
.sp 2
.NH 2
Y2mtics
.sp 1
.LP
.XS
Y2mtics
.XE
The \fBset y2mtics\fR command changes tics on the y2 (right-hand) axis to months
of the year.  Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
Y2range
.sp 1
.LP
.XS
Y2range
.XE
The \fBset y2range\fR command sets the vertical range that will be displayed on
the y2 (right-hand) axis.  Please see \fBset xrange\fR for details.
.sp 2
.NH 2
Y2tics
.sp 1
.LP
.XS
Y2tics
.XE
The \fBset y2tics\fR command controls major (labelled) tics on the y2 (right-hand)
axis.  Please see \fBset xtics\fR for details.
.sp 2
.NH 2
Y2zeroaxis
.sp 1
.LP
.XS
Y2zeroaxis
.XE
The \fBset y2zeroaxis\fR command draws a line at the origin of the y2 (right-hand)
axis (y2 = 0).  For details, please see \fBset zeroaxis\fR.
.sp 2
.NH 2
Ydata
.sp 1
.LP
.XS
Ydata
.XE
Sets y-axis data to timeseries (dates/times).  Please see \fBset xdata\fR.
.sp 2
.NH 2
Ydtics
.sp 1
.LP
.XS
Ydtics
.XE
The \fBset ydtics\fR command changes tics on the y axis to days of the week.
Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
Ylabel
.sp 1
.LP
.XS
Ylabel
.XE
This command sets the label for the y axis.  Please see \fBset xlabel\fR.
.sp 2
.NH 2
Ymtics
.sp 1
.LP
.XS
Ymtics
.XE
The \fBset ymtics\fR command changes tics on the y axis to months of the year.
Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
Yrange
.sp 1
.LP
.XS
Yrange
.XE
The \fBset yrange\fR command sets the vertical range that will be displayed on
the y axis.  Please see \fBset xrange\fR for details.
.sp 2
.NH 2
Ytics
.sp 1
.LP
.XS
Ytics
.XE
The \fBset ytics\fR command controls major (labelled) tics on the y axis.
Please see \fBset xtics\fR for details.
.sp 2
.NH 2
Yzeroaxis
.sp 1
.LP
.XS
Yzeroaxis
.XE
The \fBset yzeroaxis\fR command draws a line at y = 0.  For details, please see
\fBset zeroaxis\fR.
.sp 2
.NH 2
Zdata
.sp 1
.LP
.XS
Zdata
.XE
Set zaxis date to timeseries (dates/times).  Please see \fBset xdata\fR.
.sp 2
.NH 2
Zdtics
.sp 1
.LP
.XS
Zdtics
.XE
The \fBset zdtics\fR command changes tics on the z axis to days of the week.
Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
Zero
.sp 1
.LP
.XS
Zero
.XE
The \fBzero\fR value is the default threshold for values approaching 0.0.

Syntax:
.br
      set zero <expression>
.br
.br
      show zero
.br

\fBgnuplot\fR will not plot a point if its imaginary part is greater in magnitude
than the \fBzero\fR threshold.  Axis ranges cannot be less than \fBzero\fR.  The
default \fBzero\fR value is 1e-8.
.sp 2
.NH 2
Zeroaxis
.sp 1
.LP
.XS
Zeroaxis
.XE
The x axis may be drawn by \fBset xzeroaxis\fR and removed by \fBset noxzeroaxis\fR.
Similar commands behave similarly for the y, x2, and y2 axes.

Syntax:
.br
      set zeroaxis {<linetype>}
.br
.br
      set xzeroaxis {<linetype>}
.br
.br
      set yzeroaxis {<linetype>}
.br
.br
      set x2zeroaxis {<linetype>}
.br
.br
      set y2zeroaxis {<linetype>}
.br
.br
      set nozeroaxis
.br
.br
      set noxzeroaxis
.br
.br
      etc.
.br
.br
      show zeroaxis
.br
.br
      show xzeroaxis
.br
.br
      etc.
.br

By default, these options are off.  The selected zero axis is drawn with a
line of type <linetype> from the default linetype list provided by the
terminal; user-defined linetypes (via the \fBset linestyle\fR command) are not
accessible for these axes.  If <linetype> is not specified, any zero axes
selected will be drawn using the axis linetype (linetype 0).

\fBset zeroaxis l\fR is equivalent to \fBset xzeroaxis l; set yzeroaxis l\fR. \fBset
nozeroaxis\fR is equivalent to \fBset noxzeroaxis; set noyzeroaxis\fR.
.sp 2
.NH 2
Zlabel
.sp 1
.LP
.XS
Zlabel
.XE
This command sets the label for the z axis.  Please see \fBset xlabel\fR.
.sp 2
.NH 2
Zmtics
.sp 1
.LP
.XS
Zmtics
.XE
The \fBset zmtics\fR command changes tics on the z axis to months of the year.
Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
Zrange
.sp 1
.LP
.XS
Zrange
.XE
The \fBset zrange\fR command sets the range that will be displayed on the z axis.
The zrange is used only by \fBsplot\fR and is ignored by \fBplot\fR.  Please see \fBset
xrange\fR for details.
.sp 2
.NH 2
Ztics
.sp 1
.LP
.XS
Ztics
.XE
The \fBset ztics\fR command controls major (labelled) tics on the z axis.
Please see \fBset xtics\fR for details.
.sp 2
.RE
.br
.NH 1
Shell
.sp 1
.LP
.XS
Shell
.XE
The \fBshell\fR command spawns an interactive shell.  To return to \fBgnuplot\fR,
type \fBlogout\fR if using VMS, \fBexit\fR or the END-OF-FILE character if using
Unix, \fBendcli\fR if using AmigaDOS, or \fBexit\fR if using MS-DOS or OS/2.

A single shell command may be spawned by preceding it with the ! character
($ if using VMS) at the beginning of a command line.  Control will return
immediately to \fBgnuplot\fR after this command is executed.  For example, in
Unix, AmigaDOS, MS-DOS or OS/2,

.br
      ! dir
.br

prints a directory listing and then returns to \fBgnuplot\fR.

On an Atari, the \fB!\fR command first checks whether a shell is already loaded
and uses it, if available.  This is practical if \fBgnuplot\fR is run from
\fBgulam\fR, for example.
.sp 2
.NH 1
Splot
.sp 1
.LP
.XS
Splot
.XE
\fBsplot\fR is the primary command for drawing 3-d plots (well, actually
projections on a 2-d surface, but you knew that).  It can create a plot from
functions or data in a manner very similar to the \fBplot\fR command.

Please see \fBplot\fR for features common to the \fBplot\fR command; only differences
are discussed in detail here.

Syntax:
.br
      splot {<ranges>}
.br
.br
            {<function> | {"<datafile>" {datafile-modifiers}}}
.br
.br
            {<title-spec>} {with <style>}
.br
.br
            {, {definitions,} <function> ...}
.br

where either a <function> or the name of a data file enclosed in quotes is
supplied.  A function is a mathematical expression, or a triple (\fBsplot\fR) of
mathematical expressions in parametric mode.

By default \fBsplot\fR draws the xy plane completely below the plotted data.  The
offset between the lowest ztic and the xy plane can be changed by \fBset
ticslevel\fR.  The orientation of a \&'splot\&' is controlled by \fBset view\fR.  See
\fBset view\fR and \fBset ticslevel\fR for more information.

The syntax for setting ranges on the \fBsplot\fR command is the same as for
\fBplot\fR.  In non-parametric mode, the order in which ranges must be given is
\fBxrange\fR, \fByrange\fR, and \fBzrange\fR.  In parametric mode, the order is \fBurange\fR,
\fBvrange\fR, \fBxrange\fR, \fByrange\fR, and \fBzrange\fR.

The \fBtitle\fR option is the same as in \fBplot\fR.  The operation of \fBwith\fR is also
the same as in \fBplot\fR, except that the plotting styles available to \fBsplot\fR
are limited to \fBlines\fR, \fBpoints\fR, \fBlinespoints\fR, \fBdots\fR, and \fBimpulses\fR;  the
error-bar capabilities of \fBplot\fR are not available for \fBsplot\fR.

The datafile options have more differences.
.sp 2
.RS
.IP
.NH 2
Data-file
.sp 1
.LP
.XS
Data-file
.XE
Discrete data contained in a file can be displayed by specifying the name of
the data file (enclosed in quotes) on the \fBplot\fR or \fBsplot\fR command line.

Syntax:
.br
      splot '<file_name>' {binary | matrix}
.br
.br
                          {index <index list>}
.br
.br
                          {every <every list>}
.br
.br
                          {using <using list>}
.br

The special filenames \fB""\fR and \fB"-"\fR are permitted, as in \fBplot\fR.

In brief, \fBbinary\fR indicates that the file is binary, \fBmatrix\fR indicates that
the data are in matrix form, \fBindex\fR selects which data sets in a
multi-data-set file are to be plotted, \fBevery\fR specifies which datalines
within a single data set are to be plotted, and \fBusing\fR determines how the
columns within a single record are to be interpreted.

The options \fBindex\fR and \fBevery\fR behave the same way as with \fBplot\fR.  \fBusing\fR
also does, with the obvious difference that the \fBusing\fR list must provide
three entries instead of two.

The \fBplot\fR options \fBthru\fR and \fBsmooth\fR are not available for \fBsplot\fR.

Data file organization is essentially the same as for \fBplot\fR, except that
each point is an (x,y,z) triple.  If only a single value is provided, it will
be used for z, the data point number will be used for x, and the y-isoline
number will be used for y; thus "\fBsplot \&'file\&' using 1\fR" is identical to
"\fBsplot \&'file\&' using 0:-1:1\fR".  If two values are provided, \fBgnuplot\fR gives
you an error message.  Three values are interpreted as an (x,y,z) triple.
Additional values are generally used as errors, which can be used by \fBfit\fR.

Single blank records separate datalines (which are interpreted as y-isolines)
in a \fBsplot\fR datafile.  No line will join points separated by a blank record.
If all datalines contain the same number of points,\fBgnuplot\fR will draw
cross-isolines in the opposite direction.  This is termed "grid data", and is
required for drawing a surface, for contouring (\fBset contour\fR) and
hidden-line removal (\fBset hidden3d\fR).

It is no longer necessary to specify \fBparametric\fR mode for three-column
\fBsplot\fRs.
.sp 2
.RS
.IP
.NH 3
Binary
.sp 1
.LP
.XS
Binary
.XE
In previous versions, \fBgnuplot\fR dynamically detected binary data files.  It
is now necessary to specify the keyword \fBbinary\fR directly after the filename.

Single precision floats are stored in a binary file as follows:

.br
      <N+1>  <y0>   <y1>   <y2>  ...  <yN>
.br
.br
       <x0> <z0,0> <z0,1> <z0,2> ... <z0,N>
.br
.br
       <x1> <z1,0> <z1,1> <z1,2> ... <z1,N>
.br
.br
        :      :      :      :   ...    :
.br


which are converted into triplets:

.br
      <x0> <y0> <z0,0>
.br
.br
      <x0> <y1> <z0,1>
.br
.br
      <x0> <y2> <z0,2>
.br
.br
       :    :     :
.br
.br
      <x0> <yN> <z0,N>
.br

.br
      <x1> <y0> <z1,0>
.br
.br
      <x1> <y1> <z1,1>
.br
.br
       :    :     :
.br

These triplets are then converted into \fBgnuplot\fR iso-curves and then
\fBgnuplot\fR proceeds in the usual manner to do the rest of the plotting.

A collection of matrix and vector manipulation routines (in C) is provided
in \fBbinary.c\fR.  The routine to write binary data is

.br
      int fwrite_matrix(file,m,nrl,nrl,ncl,nch,row_title,column_title)
.br

An example of using these routines is provided in the file \fBbf_test.c\fR, which
generates binary files for the demo file \fBdemo/binary.dem\fR.

The \fBindex\fR keyword is not supported, since the file format allows only one
surface per file.  The \fBevery\fR and \fBusing\fR filters are supported.  \fBusing\fR
operates as if the data were read in the above triplet form.
.sp 2
.NH 3
Example datafile
.sp 1
.LP
.XS
Example datafile
.XE
A simple example of plotting a 3-d data file is

.br
      splot 'datafile.dat'
.br

where the file "datafile.dat" might contain:

.br
      # The valley of the Gnu.
.br
.br
         0 0 10
.br
.br
         0 1 10
.br
.br
         0 2 10
.br

.br
         1 0 10
.br
.br
         1 1 5
.br
.br
         1 2 10
.br

.br
         2 0 10
.br
.br
         2 1 1
.br
.br
         2 2 10
.br

.br
         3 0 10
.br
.br
         3 1 0
.br
.br
         3 2 10
.br

Note that "datafile.dat" defines a 4 by 3 grid ( 4 rows of 3 points each ).
Rows are separated by blank records.

Note also that the x value is held constant within each dataline.  If you
instead keep y constant, and plot with hidden-line removal enabled, you will
find that the surface is drawn \&'inside-out\&'.

Actually for grid data it is not necessary to keep the x values constant
within an dataline, nor is it necessary to keep the y values the same along
the perpendicular datalines.  \fBgnuplot\fR requires only that the number of
points be the same for each dataline.
.sp 2
.NH 3
Matrix
.sp 1
.LP
.XS
Matrix
.XE
The \fBmatrix\fR flag indicates that the data are stored in matrix format.  In
its present implementation the z-values are read in a row at a time, i. e.,
.br
      z11 z12 z13 z14 ...
.br
.br
      z21 z22 z23 z24 ...
.br
.br
      z31 z32 z33 z34 ...
.br
and so forth.  The row and column indices are used for the x- and y-values.
used as x, y, and z.
.sp 2
.RE
.br
.RE
.br
.NH 1
Test
.sp 1
.LP
.XS
Test
.XE
\fBtest\fR creates a display of line and point styles and other useful things
appropriate for the terminal you are using.

Syntax:
.br
      test
.br
.sp 2
.NH 1
Update
.sp 1
.LP
.XS
Update
.XE
This command writes the current values of the fit parameters into the given
file, which is formatted as an initial-value file (as described in the \fBfit\fR
section).  This is useful for saving the current values for later use or for
restarting a converged or stopped fit.

Syntax:
.br
      update <filename> {<filename>}
.br

If the file already exists, \fBgnuplot\fR first renames it by appending \fB.old\fR
and then opens a new file.  That is, "\fBupdate \&'fred\&'\fR" behaves the same way
as "\fB!rename fred fred.old; update \&'fred.old\&' \&'fred\&'\fR".  [On DOS and other
systems that use the twelve-character "filename.ext" naming convention, "ext"
will be "\fBold\fR" and "filename" will be related (hopefully recognizably) to
the initial name.  Renaming is not done at all on VMS systems, since they use
file-versioning.]

If a second filename is supplied, the updated values are written to this
file instead, and the original parameter file is left unmodified.

Please see \fBfit\fR for more information.
.sp 3
.NH 1
Graphical User Interfaces
.sp 1
.LP
.XS
Graphical User Interfaces
.XE
Several graphical user interfaces have been written for \fBgnuplot\fR and one for
win32 is included in this distribution.  In addition, there is a Macintosh
interface at
.br
       ftp://ftp.ee.gatech.edu/pub/mac/gnuplot
.br
and several X11 interfaces include three Tcl/Tk located at the usual Tcl/Tk
repositories.
.sp 3
.NH 1
Bugs
.sp 1
.LP
.XS
Bugs
.XE
The bessel functions do not work for complex arguments.

The gamma function does not work for complex arguments.

There is a bug in the stdio library for old Sun operating systems (SunOS
Sys4-3.2).  The "%g" format for \&'printf\&' sometimes incorrectly prints numbers
(e.g., 200000.0 as "2").  Thus, tic mark labels may be incorrect on a Sun4
version of \fBgnuplot\fR.  A work-around is to rescale the data or use the \fBset
format\fR command to change the tic mark format to "%7.0f" or some other
appropriate format.  This appears to have been fixed in SunOS 4.0.

Another bug: On a Sun3 under SunOS 4.0, and on Sun4\&'s under Sys4-3.2 and
SunOS 4.0, the \&'sscanf\&' routine incorrectly parses "00 12" with the format
"%f %f" and reads 0 and 0 instead of 0 and 12.  This affects data input.  If
the data file contains x coordinates that are zero but are specified like
\&\&'00\&', \&'000\&', etc, then you will read the wrong y values.  Check any data
files or upgrade the SunOS.  It appears to have been fixed in SunOS 4.1.1.

Suns appear to overflow when calculating exp(-x) for large x, so \fBgnuplot\fR
gets an undefined result.  One work-around is to make a user-defined function
like e(x) = x<-500 ? 0 : exp(x).  This affects plots of Gaussians (exp(-x*x))
in particular, since x*x grows quite rapidly.

Microsoft C 5.1 has a nasty bug associated with the %g format for \&'printf\&'.
When any of the formats "%.2g", "%.1g", "%.0g", "%.g" are used, \&'printf\&' will
incorrectly print numbers in the range 1e-4 to 1e-1.  Numbers that should be
printed in the %e format are incorrectly printed in the %f format, with the
wrong number of zeros after the decimal point.  To work around this problem,
use the %e or %f formats explicitly.

\fBgnuplot\fR, when compiled with Microsoft C, did not work correctly on two VGA
displays that were tested.  The CGA, EGA and VGA drivers should probably be
rewritten to use the Microsoft C graphics library.  \fBgnuplot\fR compiled with
Borland C++ uses the Turbo C graphics drivers and does work correctly with
VGA displays.

VAX/VMS 4.7 C compiler release 2.4 also has a poorly implemented %g format
for \&'printf\&'.  The numbers are printed numerically correct, but may not be in
the requested format.  The K&R second edition says that for the %g format, %e
is used if the exponent is less than -4 or greater than or equal to the
precision.  The VAX uses %e format if the exponent is less than -1.  The VAX
appears to take no notice of the precision when deciding whether to use %e or
%f for numbers less than 1.  To work around this problem, use the %e or %f
formats explicitly.  From the VAX C 2.4 release notes: e,E,f,F,g,G  Result
will always contain a decimal  point.  For g and G, trailing zeros will not
be removed from the result.

VAX/VMS 5.2 C compiler release 3.0 has a slightly better implemented %g
format than release 2.4, but not much.  Trailing decimal points are now
removed, but trailing zeros are still not removed from %g numbers in
exponential format.

The two preceding problems are actually in the libraries rather than in the
compilers.  Thus the problems will occur whether \fBgnuplot\fR is built using
either the DEC compiler or some other one (e.g. the latest gcc).

ULTRIX X11R3 has a bug that causes the X11 driver to display "every other"
graph.  The bug seems to be fixed in DEC\&'s release of X11R4 so newer releases
of ULTRIX don\&'t seem to have the problem.  Solutions for older sites include
upgrading the X11 libraries (from DEC or direct from MIT) or defining
ULTRIX_KLUDGE when compiling the x11.trm file.  Note that the kludge is not
an ideal fix, however.

The constant HUGE was incorrectly defined in the NeXT OS 2.0 operating
system.  HUGE should be set to 1e38 in plot.h. This error has been corrected
in the 2.1 version of NeXT OS.

Some older models of HP plotters do not have a page eject command \&'PG\&'.  The
current HPGL driver uses this command in HPGL_reset.  This may need to be
removed for these plotters.  The current PCL5 driver uses HPGL/2 for text as
well as graphics.  This should be modified to use scalable PCL fonts.

On the Atari version, it is not possible to send output directly to the
printer (using \fB/dev/lp\fR as output file), since CRs are added to LFs in
binary output.  As a work-around, write the output to a file and copy it to
the printer afterwards using a shell command.

On AIX 4, the literal \&'NaNq\&' in a datafile causes the special internal value
\&\&'not-a-number\&' to be stored, rather than setting an internal \&'undefined\&'
flag.  A workaround is to use \fBset missing \&'NaNq\&'\fR.

There may be an up-to-date list of bugs since the release on the WWW page:
.br
      http://www.cs.dartmouth.edu/gnuplot
.br

Please report any bugs to bug-gnuplot@dartmouth.edu.
.pn 1
.ds RH %
.af % i
.bp
.PX
